package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

import cn.hmsoft.jdbc.entity.Table;
import cn.hmsoft.ses.data.model.std.StdResume;

/**
 * 毕业申请表 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-03-14 13:39:18
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_apply", keyColumn = "id", sequenceName = "SEQ_BY_APPLY")
public class ByApply implements Serializable {
	private static final long serialVersionUID = 7340453690417086409L;
	// 申请日期
	private LocalDateTime apply_date;
	// 申请类型 0-考生正常申请;1-后台手工办证;2-考生手工办证
	private Integer apply_type;
	// 毕业时间配置ID
	private Integer by_time_config_id;
	// 嘉奖
	private String commend;
	// 文件路径
	private String file_path;
	// 主键
	private Integer id;
	// 是否通过
	private Integer is_passed;
	// 专业ID
	private Integer major_id;
	// 备注
	private String remark;
	// 主考学校
	private Integer school_id;
	// 市考办
	private Integer city_org_id;
	// 技能
	private String skill;
	// 状态 0-待现场确认,1-待终审,3-待发放,4-待上报,5-完成
	private Integer status;
	// 学生注册ID
	private Integer std_id;
	// 学生来源 0-社会考生,1-其他网络助学，助学班
	private Integer std_source;
	// 是否驳回
	private Integer is_auth_back;
	// 审批单位（主考学校和市考办），和机构表关联
	private Integer org_id;
	// 考生的准考证
	private String ticket_no;
	//
	private Integer exam_time_id;// 时间批次ID

	// *****************毕业申请填写********************
	private Integer std_sex;// 毕业申请-性别
	private String native_prov;// 毕业申请-籍贯-省市自治区
	private String native_city;// 毕业申请-籍贯-市
	private Integer nation;// 毕业申请-民族
	private Integer political;// 毕业申请-政治面貌
	private String pre_edu;// 毕业申请-考前学历
	private String work_unit;// 毕业申请-工作单位
	private String address;// 毕业申请-家庭住址
	private String post_code;// 毕业申请-邮政编码
	private String diaplma_no;// 毕业申请-毕业证书号
	private LocalDate std_birth;// 毕业申请-出生年月
	private String telephone;// 毕业申请-联系电话
	private String by_photo;// 毕业申请-毕业照片
	private String by_file;// 毕业申请-毕业照片
	private String score_file;
	private String std_confirm;
	private String cert_file;
	private String std_by_photo;

	// *****************A,B岗终************************
	private Integer final_auth_a;// 0-待审核,1-审核通过,2-审核不通过

	private Integer final_auth_b;// 0-待审核,1-审核通过,2-审核不通过

	protected String std_birth_str;// 毕业申请-出生年月

	private Integer is_xuexin_pass;// 学信网学历认证 1通过0 不通过

	private Integer is_firstauth_pass; // 初审是否通过标识 1通过0或者空 不通过
	
	private LocalDateTime update_time;
	
	private String cert_file_two;
	private String by_file_two;
	private String by_file_three;
	private String by_file_four;
	private String by_file_five;
	
	private String score_file_two;
	private String score_file_three;
	private String score_file_four;
	private String score_file_five;
	

	protected String major_remark;
	protected Integer pack_num;

	private Integer order_org_id;

	private String by_photo_path;// 文件服务器毕业照片路径
	private String by_photo_id;// 文件服务器毕业照片ID

	protected String year_code;

	protected String idcard_photo_path;

	public String getScore_file_two() {
		return score_file_two;
	}

	public void setScore_file_two(String score_file_two) {
		this.score_file_two = score_file_two;
	}

	public String getScore_file_three() {
		return score_file_three;
	}

	public void setScore_file_three(String score_file_three) {
		this.score_file_three = score_file_three;
	}

	public String getScore_file_four() {
		return score_file_four;
	}

	public void setScore_file_four(String score_file_four) {
		this.score_file_four = score_file_four;
	}

	public String getScore_file_five() {
		return score_file_five;
	}

	public void setScore_file_five(String score_file_five) {
		this.score_file_five = score_file_five;
	}

	public String getBy_file_two() {
		return by_file_two;
	}

	public void setBy_file_two(String by_file_two) {
		this.by_file_two = by_file_two;
	}

	public String getBy_file_three() {
		return by_file_three;
	}

	public void setBy_file_three(String by_file_three) {
		this.by_file_three = by_file_three;
	}

	public String getBy_file_four() {
		return by_file_four;
	}

	public void setBy_file_four(String by_file_four) {
		this.by_file_four = by_file_four;
	}

	public String getBy_file_five() {
		return by_file_five;
	}

	public void setBy_file_five(String by_file_five) {
		this.by_file_five = by_file_five;
	}

	public String getCert_file_two() {
		return cert_file_two;
	}

	public void setCert_file_two(String cert_file_two) {
		this.cert_file_two = cert_file_two;
	}

	public LocalDateTime getUpdate_time() {
		return update_time;
	}

	public void setUpdate_time(LocalDateTime update_time) {
		this.update_time = update_time;
	}

	public String getStd_by_photo() {
		return std_by_photo;
	}

	public void setStd_by_photo(String std_by_photo) {
		this.std_by_photo = std_by_photo;
	}

	public String getCert_file() {
		return cert_file;
	}

	public void setCert_file(String cert_file) {
		this.cert_file = cert_file;
	}

	public String getStd_confirm() {
		return std_confirm;
	}

	public void setStd_confirm(String std_confirm) {
		this.std_confirm = std_confirm;
	}

	public String getScore_file() {
		return score_file;
	}

	public void setScore_file(String score_file) {
		this.score_file = score_file;
	}

	public String getIdcard_photo_path() {
		return idcard_photo_path;
	}

	public void setIdcard_photo_path(String idcard_photo_path) {
		this.idcard_photo_path = idcard_photo_path;
	}

	public String getYear_code() {
		return year_code;
	}

	public void setYear_code(String year_code) {
		this.year_code = year_code;
	}

	public String getBy_photo_path() {
		return by_photo_path;
	}

	public void setBy_photo_path(String by_photo_path) {
		this.by_photo_path = by_photo_path;
	}

	public String getBy_photo_id() {
		return by_photo_id;
	}

	public void setBy_photo_id(String by_photo_id) {
		this.by_photo_id = by_photo_id;
	}

	public Integer getPack_num() {
		return pack_num;
	}

	public void setPack_num(Integer pack_num) {
		this.pack_num = pack_num;
	}

	public String getMajor_remark() {
		return major_remark;
	}

	public void setMajor_remark(String major_remark) {
		this.major_remark = major_remark;
	}

	public Integer getIs_firstauth_pass() {
		return is_firstauth_pass;
	}

	public void setIs_firstauth_pass(Integer is_firstauth_pass) {
		this.is_firstauth_pass = is_firstauth_pass;
	}

	/**
	 * 申请日期
	 */
	public void setApply_date(LocalDateTime apply_date) {
		this.apply_date = apply_date;
	}

	/**
	 * 申请日期
	 */
	public LocalDateTime getApply_date() {
		return apply_date;
	}

	/**
	 * 申请类型 0-考生正常申请;1-后台手工办证;2-考生手工办证
	 */
	public void setApply_type(Integer apply_type) {
		this.apply_type = apply_type;
	}

	/**
	 * 申请类型 0-考生正常申请;1-后台手工办证;2-考生手工办证
	 */
	public Integer getApply_type() {
		return apply_type;
	}

	/**
	 * 毕业时间配置ID
	 */
	public void setBy_time_config_id(Integer by_time_config_id) {
		this.by_time_config_id = by_time_config_id;
	}

	/**
	 * 毕业时间配置ID
	 */
	public Integer getBy_time_config_id() {
		return by_time_config_id;
	}

	/**
	 * 嘉奖
	 */
	public void setCommend(String commend) {
		this.commend = commend;
	}

	/**
	 * 嘉奖
	 */
	public String getCommend() {
		return commend;
	}

	/**
	 * 文件路径
	 */
	public void setFile_path(String file_path) {
		this.file_path = file_path;
	}

	/**
	 * 文件路径
	 */
	public String getFile_path() {
		return file_path;
	}

	/**
	 * 主键
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * 主键
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * 是否通过
	 */
	public void setIs_passed(Integer is_passed) {
		this.is_passed = is_passed;
	}

	/**
	 * 是否通过
	 */
	public Integer getIs_passed() {
		return is_passed;
	}

	/**
	 * 专业ID
	 */
	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
	}

	/**
	 * 专业ID
	 */
	public Integer getMajor_id() {
		return major_id;
	}

	/**
	 * 备注
	 */
	public void setRemark(String remark) {
		this.remark = remark;
	}

	/**
	 * 备注
	 */
	public String getRemark() {
		return remark;
	}

	/**
	 * 主考学校
	 */
	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}

	/**
	 * 主考学校
	 */
	public Integer getSchool_id() {
		return school_id;
	}

	public Integer getCity_org_id() {
		return city_org_id;
	}

	public void setCity_org_id(Integer city_org_id) {
		this.city_org_id = city_org_id;
	}

	/**
	 * 技能
	 */
	public void setSkill(String skill) {
		this.skill = skill;
	}

	/**
	 * 技能
	 */
	public String getSkill() {
		return skill;
	}

	/**
	 * 状态 0-待现场确认,1-待终审,3-待发放,4-待上报,5-已上报
	 */
	public void setStatus(Integer status) {
		this.status = status;
	}

	/**
	 * 状态 0-待现场确认,1-待终审,3-待发放,4-待上报,5-已上报
	 */
	public Integer getStatus() {
		return status;
	}

	/**
	 * 学生注册ID
	 */
	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
	}

	/**
	 * 学生注册ID
	 */
	public Integer getStd_id() {
		return std_id;
	}

	/**
	 * 学生来源 0-社会考生,1-其他网络助学，助学班
	 */
	public void setStd_source(Integer std_source) {
		this.std_source = std_source;
	}

	/**
	 * 学生来源 0-社会考生,1-其他网络助学，助学班
	 */
	public Integer getStd_source() {
		return std_source;
	}

	/**
	 * 审批单位（主考学校和市考办），和机构表关联
	 */
	public Integer getOrg_id() {
		return org_id;
	}

	/**
	 * 审批单位（主考学校和市考办），和机构表关联
	 */
	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
	}

	// 准考证
	protected String cert_path;
	protected String photo_path;
	protected String std_name;
	protected String school_name;// 主考学校
	protected String by_time;// 毕业时间
	protected String major_name;
	protected String major_level;
	protected String cert_no;
	protected String professional;

	// 审核备注
	protected String auth_remark;
	protected Integer auth_type;
	protected String status_text;

	protected String org_name; // 主考学校名称
	protected String org_code;
	protected Integer org_type;
	protected String major_code;
	protected String city_name; // 地市名称
	protected Integer num_people; // 人数
	protected Integer levels;
	protected Integer total_people;// 总人数
	protected Integer junior_num; // 专科人数
	protected Integer graduate_num;// 本科人数
	protected String unit_name; // 现场审核单位

	// 毕业登记-考生从业经历
	protected List<StdResume> resumeList;
	protected String resumeJson;
	protected String diaplmaNo;// 考生端提交过来的,与 diaplma_no区别
	protected String time_out;

	public Integer getOrg_type() {
		return org_type;
	}

	public void setOrg_type(Integer org_type) {
		this.org_type = org_type;
	}

	public String getTime_out() {
		return time_out;
	}

	public void setTime_out(String time_out) {
		this.time_out = time_out;
	}

	// setter,getter
	public String getTicket_no() {
		return ticket_no;
	}

	public String getCert_path() {
		return cert_path;
	}

	public String getStd_name() {
		return std_name;
	}

	public String getSchool_name() {
		return school_name;
	}

	public String getBy_time() {
		return by_time;
	}

	public String getMajor_name() {
		return major_name;
	}

	public String getCert_no() {
		return cert_no;
	}

	public String getAddress() {
		return address;
	}

	public String getProfessional() {
		return professional;
	}

	public String getTelephone() {
		return telephone;
	}

	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
	}

	public void setCert_path(String cert_path) {
		this.cert_path = cert_path;
	}

	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	public void setSchool_name(String school_name) {
		this.school_name = school_name;
	}

	public void setBy_time(String by_time) {
		this.by_time = by_time;
	}

	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}

	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public void setProfessional(String professional) {
		this.professional = professional;
	}

	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	public Integer getNation() {
		return nation;
	}

	public void setNation(Integer nation) {
		this.nation = nation;
	}

	public String getPhoto_path() {
		return photo_path;
	}

	public void setPhoto_path(String photo_path) {
		this.photo_path = photo_path;
	}

	public String getAuth_remark() {
		return auth_remark;
	}

	public Integer getAuth_type() {
		return auth_type;
	}

	public void setAuth_remark(String auth_remark) {
		this.auth_remark = auth_remark;
	}

	public void setAuth_type(Integer auth_type) {
		this.auth_type = auth_type;
	}

	public Integer getIs_auth_back() {
		return is_auth_back;
	}

	public void setIs_auth_back(Integer is_auth_back) {
		this.is_auth_back = is_auth_back;
	}

	public String getMajor_level() {
		return major_level;
	}

	public void setMajor_level(String major_level) {
		this.major_level = major_level;
	}

	public String getStatus_text() {
		return status_text;
	}

	public void setStatus_text(String status_text) {
		this.status_text = status_text;
	}

	public String getOrg_name() {
		return org_name;
	}

	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	public String getMajor_code() {
		return major_code;
	}

	public void setMajor_code(String major_code) {
		this.major_code = major_code;
	}

	public String getCity_name() {
		return city_name;
	}

	public void setCity_name(String city_name) {
		this.city_name = city_name;
	}

	public Integer getNum_people() {
		return num_people;
	}

	public void setNum_people(Integer num_people) {
		this.num_people = num_people;
	}

	public String getOrg_code() {
		return org_code;
	}

	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}

	public Integer getLevels() {
		return levels;
	}

	public void setLevels(Integer levels) {
		this.levels = levels;
	}

	public Integer getTotal_people() {
		return total_people;
	}

	public void setTotal_people(Integer total_people) {
		this.total_people = total_people;
	}

	public Integer getJunior_num() {
		return junior_num;
	}

	public void setJunior_num(Integer junior_num) {
		this.junior_num = junior_num;
	}

	public Integer getGraduate_num() {
		return graduate_num;
	}

	public void setGraduate_num(Integer graduate_num) {
		this.graduate_num = graduate_num;
	}

	public List<StdResume> getResumeList() {
		return resumeList;
	}

	public void setResumeList(List<StdResume> resumeList) {
		this.resumeList = resumeList;
	}

	public Integer getStd_sex() {
		return std_sex;
	}

	public String getNative_prov() {
		return native_prov;
	}

	public String getNative_city() {
		return native_city;
	}

	public Integer getPolitical() {
		return political;
	}

	public String getWork_unit() {
		return work_unit;
	}

	public String getPost_code() {
		return post_code;
	}

	public String getDiaplma_no() {
		return diaplma_no;
	}

	public void setStd_sex(Integer std_sex) {
		this.std_sex = std_sex;
	}

	public void setNative_prov(String native_prov) {
		this.native_prov = native_prov;
	}

	public void setNative_city(String native_city) {
		this.native_city = native_city;
	}

	public void setPolitical(Integer political) {
		this.political = political;
	}

	public void setWork_unit(String work_unit) {
		this.work_unit = work_unit;
	}

	public void setPost_code(String post_code) {
		this.post_code = post_code;
	}

	public void setDiaplma_no(String diaplma_no) {
		this.diaplma_no = diaplma_no;
	}

	public LocalDate getStd_birth() {
		return std_birth;
	}

	public void setStd_birth(LocalDate std_birth) {
		this.std_birth = std_birth;
	}

	public String getResumeJson() {
		return resumeJson;
	}

	public void setResumeJson(String resumeJson) {
		this.resumeJson = resumeJson;
	}

	public String getPre_edu() {
		return pre_edu;
	}

	public void setPre_edu(String pre_edu) {
		this.pre_edu = pre_edu;
	}

	public String getBy_photo() {
		return by_photo;
	}

	public void setBy_photo(String by_photo) {
		this.by_photo = by_photo;
	}

	public Integer getFinal_auth_a() {
		return final_auth_a;
	}

	public Integer getFinal_auth_b() {
		return final_auth_b;
	}

	public void setFinal_auth_a(Integer final_auth_a) {
		this.final_auth_a = final_auth_a;
	}

	public void setFinal_auth_b(Integer final_auth_b) {
		this.final_auth_b = final_auth_b;
	}

	public Integer getExam_time_id() {
		return exam_time_id;
	}

	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
	}

	public String getDiaplmaNo() {
		return diaplmaNo;
	}

	public void setDiaplmaNo(String diaplmaNo) {
		this.diaplmaNo = diaplmaNo;
	}

	public String getStd_birth_str() {
		return std_birth_str;
	}

	public void setStd_birth_str(String std_birth_str) {
		this.std_birth_str = std_birth_str;
	}

	public String getUnit_name() {
		return unit_name;
	}

	public void setUnit_name(String unit_name) {
		this.unit_name = unit_name;
	}

	public Integer getIs_xuexin_pass() {
		return is_xuexin_pass;
	}

	public void setIs_xuexin_pass(Integer is_xuexin_pass) {
		this.is_xuexin_pass = is_xuexin_pass;
	}

	public Integer getOrder_org_id() {
		return order_org_id;
	}

	public void setOrder_org_id(Integer order_org_id) {
		this.order_org_id = order_org_id;
	}

	public String getBy_file() {
		return by_file;
	}

	public void setBy_file(String by_file) {
		this.by_file = by_file;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

}