package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 课程顶替详情表 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-01-07 16:16:11
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_course_repl_detail", keyColumn = "id", sequenceName = "SEQ_by_course_repl_detail")
public class ByCourseReplDetail implements Serializable {
	private static final long serialVersionUID = -6014536766012600887L;
  	//主键ID
  	private Integer id;
  	//是否适用所有专业 0：不适用；1:适用
  	private Integer is_all;
  	//专业代码 冗余字段,老库中有7位的代码
  	private String major_code;
  	//专业ID 和专业信息表关联
  	private Integer major_id;
  	//原课程ID 指以前的课程，多个课程ID用英文逗号分隔
  	private String old_course_ids;
  	//原课程名称 带有课程代码，多个用|分隔
  	private String old_course_names;
  	//备注
  	private String remark;
  	//顶替课程ID 课程ID，多个课程ID用英文逗号分隔
  	private String repl_course_ids;
  	//顶替课程名称 带有课程代码，多个用|分隔
  	private String repl_course_names;
  	//顶替规则ID 和课程顶替规则表关联
  	private Integer rule_id;
  	//状态 0：禁用；1：启用
  	private Integer status;
  
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 是否适用所有专业 0：不适用；1:适用
	 */	
  	public void setIs_all(Integer is_all) {
		this.is_all = is_all;
  	}
 	/**
	 * 是否适用所有专业 0：不适用；1:适用
	 */	 	
  	public Integer getIs_all() {
		return is_all;
  	}
	/**
	 * 专业代码 冗余字段,老库中有7位的代码
	 */	
  	public void setMajor_code(String major_code) {
		this.major_code = major_code;
  	}
 	/**
	 * 专业代码 冗余字段,老库中有7位的代码
	 */	 	
  	public String getMajor_code() {
		return major_code;
  	}
	/**
	 * 专业ID 和专业信息表关联
	 */	
  	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
  	}
 	/**
	 * 专业ID 和专业信息表关联
	 */	 	
  	public Integer getMajor_id() {
		return major_id;
  	}
	/**
	 * 原课程ID 指以前的课程，多个课程ID用英文逗号分隔
	 */	
  	public void setOld_course_ids(String old_course_ids) {
		this.old_course_ids = old_course_ids;
  	}
 	/**
	 * 原课程ID 指以前的课程，多个课程ID用英文逗号分隔
	 */	 	
  	public String getOld_course_ids() {
		return old_course_ids;
  	}
	/**
	 * 原课程名称 带有课程代码，多个用|分隔
	 */	
  	public void setOld_course_names(String old_course_names) {
		this.old_course_names = old_course_names;
  	}
 	/**
	 * 原课程名称 带有课程代码，多个用|分隔
	 */	 	
  	public String getOld_course_names() {
		return old_course_names;
  	}
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 顶替课程ID 课程ID，多个课程ID用英文逗号分隔
	 */	
  	public void setRepl_course_ids(String repl_course_ids) {
		this.repl_course_ids = repl_course_ids;
  	}
 	/**
	 * 顶替课程ID 课程ID，多个课程ID用英文逗号分隔
	 */	 	
  	public String getRepl_course_ids() {
		return repl_course_ids;
  	}
	/**
	 * 顶替课程名称 带有课程代码，多个用|分隔
	 */	
  	public void setRepl_course_names(String repl_course_names) {
		this.repl_course_names = repl_course_names;
  	}
 	/**
	 * 顶替课程名称 带有课程代码，多个用|分隔
	 */	 	
  	public String getRepl_course_names() {
		return repl_course_names;
  	}
	/**
	 * 顶替规则ID 和课程顶替规则表关联
	 */	
  	public void setRule_id(Integer rule_id) {
		this.rule_id = rule_id;
  	}
 	/**
	 * 顶替规则ID 和课程顶替规则表关联
	 */	 	
  	public Integer getRule_id() {
		return rule_id;
  	}
	/**
	 * 状态 0：禁用；1：启用
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 0：禁用；1：启用
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
  	
  	protected Integer[] major_ids; //专业ID集合
  	protected Integer year; 
  	protected String major_name;
  	protected String major_level;
  	protected String total_credits;

	public Integer[] getMajor_ids() {
		return major_ids;
	}

	public void setMajor_ids(Integer[] major_ids) {
		this.major_ids = major_ids;
	}
	public Integer getYear() {
		return year;
	}
	public void setYear(Integer year) {
		this.year = year;
	}
	public String getMajor_name() {
		return major_name;
	}
	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}
	public String getMajor_level() {
		return major_level;
	}
	public void setMajor_level(String major_level) {
		this.major_level = major_level;
	}
	public String getTotal_credits() {
		return total_credits;
	}
	public void setTotal_credits(String total_credits) {
		this.total_credits = total_credits;
	}
	
	
  	
}