package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 课程顶替规则表 定义课程的顶替规则，如：老1门课程 整体 顶替 新一门课程 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-01-07 16:16:11
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_course_repl_rule", keyColumn = "id", sequenceName = "SEQ_by_course_repl_rule")
public class ByCourseReplRule implements Serializable {
	private static final long serialVersionUID = 4889155302621092052L;
  	//主键ID
  	private Integer id;
  	//原课程总数量 即指老课程
  	private Integer old_course_num;
  	//原课程顶替规则 1：整体(全部课程当做一个整体);2：任选(任选几门课程)
  	private Integer old_course_rule;
  	//原课程任选数量 规则为任选时，必填
  	private Integer rule_num;
  	//顶替课程总数量 新课程
  	private Integer repl_course_num;
  	//顶替课程顶替规则 1：整体(全部课程当做一个整体);2：任选(任选几门课程)
  	private Integer repl_course_rule;
  	//顶替课程任选数量 规则为任选时，必填
  	private Integer repl_num;
  	//顶替模式 1：课程模式；2：学分模式
  	private Integer repl_type;
  	//备注
  	private String remark;
  
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 原课程总数量 即指老课程
	 */	
  	public void setOld_course_num(Integer old_course_num) {
		this.old_course_num = old_course_num;
  	}
 	/**
	 * 原课程总数量 即指老课程
	 */	 	
  	public Integer getOld_course_num() {
		return old_course_num;
  	}
	/**
	 * 原课程顶替规则 1：整体(全部课程当做一个整体);2：任选(任选几门课程)
	 */	
  	public void setOld_course_rule(Integer old_course_rule) {
		this.old_course_rule = old_course_rule;
  	}
 	/**
	 * 原课程顶替规则 1：整体(全部课程当做一个整体);2：任选(任选几门课程)
	 */	 	
  	public Integer getOld_course_rule() {
		return old_course_rule;
  	}
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 顶替课程总数量 新课程
	 */	
  	public void setRepl_course_num(Integer repl_course_num) {
		this.repl_course_num = repl_course_num;
  	}
 	/**
	 * 顶替课程总数量 新课程
	 */	 	
  	public Integer getRepl_course_num() {
		return repl_course_num;
  	}
	/**
	 * 顶替课程顶替规则 1：整体(全部课程当做一个整体);2：任选(任选几门课程)
	 */	
  	public void setRepl_course_rule(Integer repl_course_rule) {
		this.repl_course_rule = repl_course_rule;
  	}
 	/**
	 * 顶替课程顶替规则 1：整体(全部课程当做一个整体);2：任选(任选几门课程)
	 */	 	
  	public Integer getRepl_course_rule() {
		return repl_course_rule;
  	}
	/**
	 * 顶替课程任选数量 规则为任选时，必填
	 */	
  	public void setRepl_num(Integer repl_num) {
		this.repl_num = repl_num;
  	}
 	/**
	 * 顶替课程任选数量 规则为任选时，必填
	 */	 	
  	public Integer getRepl_num() {
		return repl_num;
  	}
	/**
	 * 顶替模式 1：课程模式；2：学分模式
	 */	
  	public void setRepl_type(Integer repl_type) {
		this.repl_type = repl_type;
  	}
 	/**
	 * 顶替模式 1：课程模式；2：学分模式
	 */	 	
  	public Integer getRepl_type() {
		return repl_type;
  	}
	/**
	 * 原课程任选数量 规则为任选时，必填
	 */	
  	public void setRule_num(Integer rule_num) {
		this.rule_num = rule_num;
  	}
 	/**
	 * 原课程任选数量 规则为任选时，必填
	 */	 	
  	public Integer getRule_num() {
		return rule_num;
  	}
}