package cn.hmsoft.ses.data.model.by;

import cn.hmsoft.jdbc.entity.Table;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 毕业论文申请申请表 模型.
 * 
 */
@Table(tableName = "by_paper_apply", keyColumn = "id", sequenceName = "seq_by_paper_apply")
public class ByPaperApply implements Serializable {
	private static final long serialVersionUID = 7340453690412286409L;
	// 申请日期
	private LocalDateTime apply_date;
	// 申请类型 0-考生正常申请;1-后台手工办证;2-考生手工办证
	private Integer apply_type;
	// 主键
	private Integer id;

	// 专业ID
	private Integer major_id;
	// 备注
	private String remark;
	// 主考学校
	private Integer school_id;

	private Integer status;
	// 学生注册ID
	private Integer std_id;
	// 学生来源 0-社会考生,1-其他网络助学，助学班
	private Integer std_source;
	// 是否驳回
	private Integer is_auth_back;

	// 考生的准考证
	private String ticket_no;
	//
	private Integer exam_time_id;// 时间批次ID

	// *****************毕业申请填写********************
	private Integer std_sex;// 毕业申请-性别
	private Integer nation;// 毕业申请-民族
	private String pre_edu;// 毕业申请-考前学历
	private String work_unit;// 毕业申请-工作单位
	private String address;// 毕业申请-家庭住址
	private String post_code;// 毕业申请-邮政编码
	private LocalDate std_birth;// 毕业申请-出生年月
	private String telephone;// 毕业申请-联系电话
	private String by_photo;// 毕业申请-毕业照片
	private String paper_title;
	private String std_type;
	private String qq;

	protected String std_birth_str;// 毕业申请-出生年月
	protected String status_text;
	protected String major_name;
	protected String major_level;
	protected String school_name;
	protected Integer auth_type;
	protected String photo_path;
	protected String cert_no;
	protected String std_name;
	protected String major_code;
	protected String org_name;
	protected String auth_remark;
	protected Integer year_code;
	
	private String by_photo_path;
	private String by_photo_id;
	
	
	public String getBy_photo_path() {
		return by_photo_path;
	}

	public void setBy_photo_path(String by_photo_path) {
		this.by_photo_path = by_photo_path;
	}

	public String getBy_photo_id() {
		return by_photo_id;
	}

	public void setBy_photo_id(String by_photo_id) {
		this.by_photo_id = by_photo_id;
	}

	public String getQq() {
		return qq;
	}

	public void setQq(String qq) {
		this.qq = qq;
	}

	public String getAuth_remark() {
		return auth_remark;
	}

	public void setAuth_remark(String auth_remark) {
		this.auth_remark = auth_remark;
	}

	public String getOrg_name() {
		return org_name;
	}

	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	public String getMajor_code() {
		return major_code;
	}

	public void setMajor_code(String major_code) {
		this.major_code = major_code;
	}

	public String getCert_no() {
		return cert_no;
	}

	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}

	public String getStd_name() {
		return std_name;
	}

	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	public String getPhoto_path() {
		return photo_path;
	}

	public void setPhoto_path(String photo_path) {
		this.photo_path = photo_path;
	}

	public Integer getAuth_type() {
		return auth_type;
	}

	public void setAuth_type(Integer auth_type) {
		this.auth_type = auth_type;
	}

	public String getSchool_name() {
		return school_name;
	}

	public void setSchool_name(String school_name) {
		this.school_name = school_name;
	}

	public String getMajor_name() {
		return major_name;
	}

	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}

	public String getMajor_level() {
		return major_level;
	}

	public void setMajor_level(String major_level) {
		this.major_level = major_level;
	}

	public String getStatus_text() {
		return status_text;
	}

	public void setStatus_text(String status_text) {
		this.status_text = status_text;
	}

	public LocalDateTime getApply_date() {
		return apply_date;
	}

	public void setApply_date(LocalDateTime apply_date) {
		this.apply_date = apply_date;
	}

	public Integer getApply_type() {
		return apply_type;
	}

	public void setApply_type(Integer apply_type) {
		this.apply_type = apply_type;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getMajor_id() {
		return major_id;
	}

	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getSchool_id() {
		return school_id;
	}

	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getStd_id() {
		return std_id;
	}

	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
	}

	public Integer getStd_source() {
		return std_source;
	}

	public void setStd_source(Integer std_source) {
		this.std_source = std_source;
	}

	public Integer getIs_auth_back() {
		return is_auth_back;
	}

	public void setIs_auth_back(Integer is_auth_back) {
		this.is_auth_back = is_auth_back;
	}

	public String getTicket_no() {
		return ticket_no;
	}

	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
	}

	public Integer getExam_time_id() {
		return exam_time_id;
	}

	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
	}

	public Integer getStd_sex() {
		return std_sex;
	}

	public void setStd_sex(Integer std_sex) {
		this.std_sex = std_sex;
	}

	public Integer getNation() {
		return nation;
	}

	public void setNation(Integer nation) {
		this.nation = nation;
	}

	public String getPre_edu() {
		return pre_edu;
	}

	public void setPre_edu(String pre_edu) {
		this.pre_edu = pre_edu;
	}

	public String getWork_unit() {
		return work_unit;
	}

	public void setWork_unit(String work_unit) {
		this.work_unit = work_unit;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getPost_code() {
		return post_code;
	}

	public void setPost_code(String post_code) {
		this.post_code = post_code;
	}

	public LocalDate getStd_birth() {
		return std_birth;
	}

	public void setStd_birth(LocalDate std_birth) {
		this.std_birth = std_birth;
	}

	public String getTelephone() {
		return telephone;
	}

	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	public String getBy_photo() {
		return by_photo;
	}

	public void setBy_photo(String by_photo) {
		this.by_photo = by_photo;
	}

	public String getPaper_title() {
		return paper_title;
	}

	public void setPaper_title(String paper_title) {
		this.paper_title = paper_title;
	}

	public String getStd_type() {
		return std_type;
	}

	public void setStd_type(String std_type) {
		this.std_type = std_type;
	}

	public String getStd_birth_str() {
		return std_birth_str;
	}

	public void setStd_birth_str(String std_birth_str) {
		this.std_birth_str = std_birth_str;
	}

	public Integer getYear_code() {
		return year_code;
	}

	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}
}
