package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 扫描登记表的考生信息  模型.
 * 
 * @author: hgh
 * @date: 2023-07-27 14:45:17
 * @version: 1.0
 */
@Table(tableName = "by_scan_std", keyColumn = "id", sequenceName = "SEQ_BY_SCAN_STD")
public class ByScanStd implements Serializable {
	private static final long serialVersionUID = -6516237063042334477L;
  	//证件号码
  	private String cert_id;
  	//毕业专业名称
  	private String graduate_major;
  	//毕业证号码
  	private String graduate_no;
  	//毕业时间
  	private String graduate_time;
  	//主键
  	private Integer id;
  	//匹配毕业表的ID,暂时放到这张表，二期优化到毕业表中
  	private Integer match_by_id;
  	//匹配状态: null待匹配，1：已匹配，2：存疑需确认，3：未匹配
  	private Integer match_status;
  	//出生日期
  	private String std_birth;
  	//考生姓名
  	private String std_name;
  	//考生性别
  	private String std_sex;
  	//OCR识别后的存放地址
  	private String storage_path;
  	//扫描文件存放地址
  	private String scan_path;
  	//本科专科
  	private String edu_level;
  	//创建时间
  	private LocalDateTime create_time;
  	//匹配那张毕业表的数据: by_apply_history, by_apply。值为:his、latest
  	private String flag;
  	//毕业年份
  	private String year;
  	//毕业月份
  	private String month;
  	//袋号
  	private String tag;
  	
  	
	/**
	 * 证件号码
	 */	
  	public void setCert_id(String cert_id) {
		this.cert_id = cert_id;
  	}
 	/**
	 * 证件号码
	 */	 	
  	public String getCert_id() {
		return cert_id;
  	}
	/**
	 * 毕业专业名称
	 */	
  	public void setGraduate_major(String graduate_major) {
		this.graduate_major = graduate_major;
  	}
 	/**
	 * 毕业专业名称
	 */	 	
  	public String getGraduate_major() {
		return graduate_major;
  	}
	/**
	 * 毕业证号码
	 */	
  	public void setGraduate_no(String graduate_no) {
		this.graduate_no = graduate_no;
  	}
 	/**
	 * 毕业证号码
	 */	 	
  	public String getGraduate_no() {
		return graduate_no;
  	}
	/**
	 * 毕业时间
	 */	
  	public void setGraduate_time(String graduate_time) {
		this.graduate_time = graduate_time;
  	}
 	/**
	 * 毕业时间
	 */	 	
  	public String getGraduate_time() {
		return graduate_time;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 匹配毕业表的ID,暂时放到这张表，二期优化到毕业表中
	 */	
  	public void setMatch_by_id(Integer match_by_id) {
		this.match_by_id = match_by_id;
  	}
 	/**
	 * 匹配毕业表的ID,暂时放到这张表，二期优化到毕业表中
	 */	 	
  	public Integer getMatch_by_id() {
		return match_by_id;
  	}
	/**
	 * 匹配状态: null待匹配，1：已匹配，2：存疑需确认，3：未匹配
	 */	
  	public void setMatch_status(Integer match_status) {
		this.match_status = match_status;
  	}
 	/**
	 * 匹配状态: null待匹配，1：已匹配，2：存疑需确认，3：未匹配
	 */	 	
  	public Integer getMatch_status() {
		return match_status;
  	}
	/**
	 * 出生日期
	 */	
  	public void setStd_birth(String std_birth) {
		this.std_birth = std_birth;
  	}
 	/**
	 * 出生日期
	 */	 	
  	public String getStd_birth() {
		return std_birth;
  	}
	/**
	 * 考生姓名
	 */	
  	public void setStd_name(String std_name) {
		this.std_name = std_name;
  	}
 	/**
	 * 考生姓名
	 */	 	
  	public String getStd_name() {
		return std_name;
  	}
	/**
	 * 考生性别
	 */	
  	public void setStd_sex(String std_sex) {
		this.std_sex = std_sex;
  	}
 	/**
	 * 考生性别
	 */	 	
  	public String getStd_sex() {
		return std_sex;
  	}
	/**
	 * 存放地址
	 */	
  	public void setStorage_path(String storage_path) {
		this.storage_path = storage_path;
  	}
 	/**
	 * 存放地址
	 */	 	
  	public String getStorage_path() {
		return storage_path;
  	}
	/**
	 * 本科、专科
	 */	
	public String getEdu_level() {
		return edu_level;
	}
	/**
	 * 本科、专科
	 */	
	public void setEdu_level(String edu_level) {
		this.edu_level = edu_level;
	}
	/**
	 * 创建时间
	 */	
	public LocalDateTime getCreate_time() {
		return create_time;
	}
	/**
	 * 创建时间
	 */	
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}
	
	/**
	 * OCR识别后的存放地址
	 */
	public String getScan_path() {
		return scan_path;
	}
	
	/**
	 * OCR识别后的存放地址
	 */
	public void setScan_path(String scan_path) {
		this.scan_path = scan_path;
	}
	
	/**
	 * 匹配那张毕业表的数据: by_apply_history, by_apply。值为:his、latest
	 */
	public String getFlag() {
		return flag;
	}
	
	/**
	 * 匹配那张毕业表的数据: by_apply_history, by_apply。值为:his、latest
	 */
	public void setFlag(String flag) {
		this.flag = flag;
	}
	
	public String getYear() {
		return year;
	}
	public void setYear(String year) {
		this.year = year;
	}
	public String getMonth() {
		return month;
	}
	public void setMonth(String month) {
		this.month = month;
	}
	public String getTag() {
		return tag;
	}
	public void setTag(String tag) {
		this.tag = tag;
	}




	protected String year_month;

	public String getYear_month() {
		return year_month;
	}
	public void setYear_month(String year_month) {
		this.year_month = year_month;
	}
	
  	
  	
}