package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 毕业时间配置表 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-03-14 13:39:18
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_time_config", keyColumn = "id", sequenceName = "SEQ_BY_TIME_CONFIG")
public class ByTimeConfig implements Serializable {
	private static final long serialVersionUID = -7692302180466562554L;
  	//毕业日期
  	private LocalDate by_date;
  	//申请结束时间
  	private LocalDateTime apply_end_time;
  	//申请开始时间
  	private LocalDateTime apply_start_time;
  	//确认结束时间
  	private LocalDateTime confirm_end_time;
  	//确认开始时间
  	private LocalDateTime confirm_start_time;
  	//时间配置ID
  	private Integer exam_time_id;
  	//主键
  	private Integer id;
  	//备注
  	private String remark;
  	//主考学校审核结束时间
  	private LocalDateTime sch_chk_end_time;
  	//主考学校审核开始时间
  	private LocalDateTime sch_chk_start_time;
  	
  	//数据提交结束时间
  	private LocalDateTime data_submit_end_time;
  	//数据提交开始时间
  	private LocalDateTime data_submit_start_time;
  	//状态
  	private Integer status;
  	//考生类型
  	private Integer student_type;
  
  	private LocalDate city_seal_date;
  	private LocalDate school_seal_date;
  	private LocalDate prov_seal_date;
  	
  	private LocalDate paper_start_time;
  	private LocalDate paper_end_time;
  	
  	private LocalDate certificate_start_time;
  	private LocalDate certificate_end_time;
  	
  	protected String color;
  	protected String year_code;
  	
	public LocalDateTime getData_submit_end_time() {
		return data_submit_end_time;
	}
	public void setData_submit_end_time(LocalDateTime data_submit_end_time) {
		this.data_submit_end_time = data_submit_end_time;
	}
	public LocalDateTime getData_submit_start_time() {
		return data_submit_start_time;
	}
	public void setData_submit_start_time(LocalDateTime data_submit_start_time) {
		this.data_submit_start_time = data_submit_start_time;
	}
	public String getColor() {
		return color;
	}
	public void setColor(String color) {
		this.color = color;
	}
	
	public String getYear_code() {
		return year_code;
	}
	public void setYear_code(String year_code) {
		this.year_code = year_code;
	}
	public LocalDate getCertificate_start_time() {
		return certificate_start_time;
	}
	public void setCertificate_start_time(LocalDate certificate_start_time) {
		this.certificate_start_time = certificate_start_time;
	}
	public LocalDate getCertificate_end_time() {
		return certificate_end_time;
	}
	public void setCertificate_end_time(LocalDate certificate_end_time) {
		this.certificate_end_time = certificate_end_time;
	}
	public LocalDate getPaper_start_time() {
		return paper_start_time;
	}
	public void setPaper_start_time(LocalDate paper_start_time) {
		this.paper_start_time = paper_start_time;
	}
	public LocalDate getPaper_end_time() {
		return paper_end_time;
	}
	public void setPaper_end_time(LocalDate paper_end_time) {
		this.paper_end_time = paper_end_time;
	}
	public LocalDate getBy_date() {
		return by_date;
	}
	public void setBy_date(LocalDate by_date) {
		this.by_date = by_date;
	}
	/**
	 * 申请结束时间
	 */	
  	public void setApply_end_time(LocalDateTime apply_end_time) {
		this.apply_end_time = apply_end_time;
  	}
 	/**
	 * 申请结束时间
	 */	 	
  	public LocalDateTime getApply_end_time() {
		return apply_end_time;
  	}
	/**
	 * 申请开始时间
	 */	
  	public void setApply_start_time(LocalDateTime apply_start_time) {
		this.apply_start_time = apply_start_time;
  	}
 	/**
	 * 申请开始时间
	 */	 	
  	public LocalDateTime getApply_start_time() {
		return apply_start_time;
  	}
	/**
	 * 确认结束时间
	 */	
  	public void setConfirm_end_time(LocalDateTime confirm_end_time) {
		this.confirm_end_time = confirm_end_time;
  	}
 	/**
	 * 确认结束时间
	 */	 	
  	public LocalDateTime getConfirm_end_time() {
		return confirm_end_time;
  	}
	/**
	 * 确认开始时间
	 */	
  	public void setConfirm_start_time(LocalDateTime confirm_start_time) {
		this.confirm_start_time = confirm_start_time;
  	}
 	/**
	 * 确认开始时间
	 */	 	
  	public LocalDateTime getConfirm_start_time() {
		return confirm_start_time;
  	}
	/**
	 * 时间配置ID
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 时间配置ID
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 主考学校审核结束时间
	 */	
  	public void setSch_chk_end_time(LocalDateTime sch_chk_end_time) {
		this.sch_chk_end_time = sch_chk_end_time;
  	}
 	/**
	 * 主考学校审核结束时间
	 */	 	
  	public LocalDateTime getSch_chk_end_time() {
		return sch_chk_end_time;
  	}
	/**
	 * 主考学校审核开始时间
	 */	
  	public void setSch_chk_start_time(LocalDateTime sch_chk_start_time) {
		this.sch_chk_start_time = sch_chk_start_time;
  	}
 	/**
	 * 主考学校审核开始时间
	 */	 	
  	public LocalDateTime getSch_chk_start_time() {
		return sch_chk_start_time;
  	}
	/**
	 * 状态
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 考生类型
	 */	
  	public void setStudent_type(Integer student_type) {
		this.student_type = student_type;
  	}
 	/**
	 * 考生类型
	 */	 	
  	public Integer getStudent_type() {
		return student_type;
  	}
	public LocalDate getCity_seal_date() {
		return city_seal_date;
	}
	public LocalDate getSchool_seal_date() {
		return school_seal_date;
	}
	public LocalDate getProv_seal_date() {
		return prov_seal_date;
	}
	public void setCity_seal_date(LocalDate city_seal_date) {
		this.city_seal_date = city_seal_date;
	}
	public void setSchool_seal_date(LocalDate school_seal_date) {
		this.school_seal_date = school_seal_date;
	}
	public void setProv_seal_date(LocalDate prov_seal_date) {
		this.prov_seal_date = prov_seal_date;
	}
}