package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 本省考生转出成绩表 记录本省考生转出的统考成绩 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-01-07 16:16:14
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_turn_out_score", keyColumn = "id", sequenceName = "SEQ_by_trun_out_score")
public class ByTrunOutScore implements Serializable {
	private static final long serialVersionUID = -2352662013605777444L;
  	//课程代码 冗余字段
  	private String course_code;
  	//课程ID 和课程表关联
  	private Integer course_id;
  	//主键
  	private Integer id;
  	//专业ID 和专业表关联
  	private Integer major_id;
  	//成绩 保留2位小数
  	private String score;
  	//考生ID 和考生表关联
  	private Integer std_reg_id;
  	//准考证号
  	private String ticket_no;
  	//转考批次
  	private Integer time_config_id;
  	//考试日期(使用字符串类型)
  	private String exam_date;
  
	/**
	 * 课程代码 冗余字段
	 */	
  	public void setCourse_code(String course_code) {
		this.course_code = course_code;
  	}
 	/**
	 * 课程代码 冗余字段
	 */	 	
  	public String getCourse_code() {
		return course_code;
  	}
	/**
	 * 课程ID 和课程表关联
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID 和课程表关联
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 专业ID 和专业表关联
	 */	
  	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
  	}
 	/**
	 * 专业ID 和专业表关联
	 */	 	
  	public Integer getMajor_id() {
		return major_id;
  	}
	/**
	 * 成绩 保留2位小数
	 */	
  	public void setScore(String score) {
		this.score = score;
  	}
 	/**
	 * 成绩 保留2位小数
	 */	 	
  	public String getScore() {
		return score;
  	}
	/**
	 * 考生ID 和考生表关联
	 */	
  	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
  	}
 	/**
	 * 考生ID 和考生表关联
	 */	 	
  	public Integer getStd_reg_id() {
		return std_reg_id;
  	}
	/**
	 * 准考证号
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
	/**
	 * 转考批次
	 */	 
	public Integer getTime_config_id() {
		return time_config_id;
	}
	/**
	 * 转考批次
	 */	 
	public void setTime_config_id(Integer time_config_id) {
		this.time_config_id = time_config_id;
	}
	/**
	 * 考试日期
	 */	
	public String getExam_date() {
		return exam_date;
	}
	/**
	 * 考试日期
	 */	
	public void setExam_date(String exam_date) {
		this.exam_date = exam_date;
	}
  	
  	
}