package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 外省考生转入表 参照了湖北的表：EG_T_KSZK 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-01-07 16:16:15
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_turn_in_apply", keyColumn = "id", sequenceName = "SEQ_by_turn_in_apply")
public class ByTurnInApply implements Serializable {
	private static final long serialVersionUID = 9147610160489114205L;
  	//户籍代码
  	private Integer hj_dm;
  	//主键
  	private Integer id;
  	//地址
  	private String ks_address;
  	//出生日期
  	private LocalDate ks_birthday;
  	//邮箱
  	private String ks_email;
  	//考生英文名
  	private String ks_exm;
  	//奖惩记录
  	private String ks_jcjl;
  	//电话号码
  	private String ks_phone;
  	//准考证图片路径
  	private String ks_photo;
  	//身份证
  	private String ks_sfz;
  	//考生性别
  	private Integer ks_xb;
  	//考生姓名
  	private String ks_xm;
  	//邮编
  	private String ks_zip;
  	//考生证件类型
  	private String ks_zjlx;
  	//外省准考证
  	private String ks_zkz;
  	//面貌代码
  	private Integer mm_dm;
  	//民族代码
  	private Integer mz_dm;
  	//
  	private String pt_bh;
  	//审核状态 0：申请不通过；1：待一级审核；2：待二级审核；3：待三级审核4：审核通过
  	private Integer status;
  	//考生ID 和学生表关联
  	private Integer std_reg_id;
  	//转考时间配置ID 和转考时间配置表关联
  	private Integer time_config_id;
  	//学历代码
  	private Integer xl_dm;
  	//职业代码
  	private Integer zhiy_dm;
  	//转出编号
  	private String zk_bh;
  	//转入省市代码
  	private Integer zk_in_ssdm;
  	//本省准考证
  	private String zk_in_zkz;
  	//本省专业国际代码
  	private Integer zk_in_zy_ccdm;
  	//本省专业代码
  	private String zk_in_zy_dm;
  	//本省专业类型代码 61—专科，62—基础科段，51—本科，52—本科段，53—独立本科段
  	private String zk_in_zy_lxdm;
  	//本省专业名称
  	private String zk_in_zy_mc;
  	//转出办理人
  	private String zk_out_blr;
  	//转出审核人
  	private String zk_out_shr;
  	//转出时间
  	private LocalDate zk_out_sj;
  	//转出省市代码
  	private Integer zk_out_ssdm;
  	//转出原因 1—工作调动，2—居住地变更
  	private String zk_out_yy;
  	//本省专业方向
  	private String zk_zy_fx;
  	//专业国际代码
  	private String zy_ccdm;
  	//外省专业代码
  	private String zy_dm;
  	//专业方向
  	private String zy_fx;
  	//专业类型代码 61—专科，62—基础科段，51—本科，52—本科段，53—独立本科段
  	private String zy_lxdm;
  	//外省专业名称
  	private String zy_mc;
  	//审核意见
  	private String reject_advice;
  	//专业标识--新增标识（ 0表示旧专业；1表示新专业）
  	private Integer out_zy_bs;
  	//转入专业标识-新增标识（ 0表示旧专业；1表示新专业）
  	private Integer in_zy_bs;
  	//审核机构ID
  	private Integer audit_org_id;
  	
  	private String zw_flow_no;
  	//转入时间，正式审批通过的时间
  	private LocalDateTime turn_in_time;
  	
  	protected String overtime;
  	
  
	public String getOvertime() {
		return overtime;
	}
	public void setOvertime(String overtime) {
		this.overtime = overtime;
	}
	/**
	 * 户籍代码
	 */	
  	public void setHj_dm(Integer hj_dm) {
		this.hj_dm = hj_dm;
  	}
 	/**
	 * 户籍代码
	 */	 	
  	public Integer getHj_dm() {
		return hj_dm;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 地址
	 */	
  	public void setKs_address(String ks_address) {
		this.ks_address = ks_address;
  	}
 	/**
	 * 地址
	 */	 	
  	public String getKs_address() {
		return ks_address;
  	}
	/**
	 * 出生日期
	 */	
  	public void setKs_birthday(LocalDate ks_birthday) {
		this.ks_birthday = ks_birthday;
  	}
 	/**
	 * 出生日期
	 */	 	
  	public LocalDate getKs_birthday() {
		return ks_birthday;
  	}
	/**
	 * 邮箱
	 */	
  	public void setKs_email(String ks_email) {
		this.ks_email = ks_email;
  	}
 	/**
	 * 邮箱
	 */	 	
  	public String getKs_email() {
		return ks_email;
  	}
	/**
	 * 考生英文名
	 */	
  	public void setKs_exm(String ks_exm) {
		this.ks_exm = ks_exm;
  	}
 	/**
	 * 考生英文名
	 */	 	
  	public String getKs_exm() {
		return ks_exm;
  	}
	/**
	 * 奖惩记录
	 */	
  	public void setKs_jcjl(String ks_jcjl) {
		this.ks_jcjl = ks_jcjl;
  	}
 	/**
	 * 奖惩记录
	 */	 	
  	public String getKs_jcjl() {
		return ks_jcjl;
  	}
	/**
	 * 电话号码
	 */	
  	public void setKs_phone(String ks_phone) {
		this.ks_phone = ks_phone;
  	}
 	/**
	 * 电话号码
	 */	 	
  	public String getKs_phone() {
		return ks_phone;
  	}
	/**
	 * 准考证图片路径
	 */	
  	public void setKs_photo(String ks_photo) {
		this.ks_photo = ks_photo;
  	}
 	/**
	 * 准考证图片路径
	 */	 	
  	public String getKs_photo() {
		return ks_photo;
  	}
	/**
	 * 身份证
	 */	
  	public void setKs_sfz(String ks_sfz) {
		this.ks_sfz = ks_sfz;
  	}
 	/**
	 * 身份证
	 */	 	
  	public String getKs_sfz() {
		return ks_sfz;
  	}
	/**
	 * 考生性别
	 */	
  	public void setKs_xb(Integer ks_xb) {
		this.ks_xb = ks_xb;
  	}
 	/**
	 * 考生性别
	 */	 	
  	public Integer getKs_xb() {
		return ks_xb;
  	}
	/**
	 * 考生姓名
	 */	
  	public void setKs_xm(String ks_xm) {
		this.ks_xm = ks_xm;
  	}
 	/**
	 * 考生姓名
	 */	 	
  	public String getKs_xm() {
		return ks_xm;
  	}
	/**
	 * 邮编
	 */	
  	public void setKs_zip(String ks_zip) {
		this.ks_zip = ks_zip;
  	}
 	/**
	 * 邮编
	 */	 	
  	public String getKs_zip() {
		return ks_zip;
  	}
	/**
	 * 考生证件类型
	 */	
  	public void setKs_zjlx(String ks_zjlx) {
		this.ks_zjlx = ks_zjlx;
  	}
 	/**
	 * 考生证件类型
	 */	 	
  	public String getKs_zjlx() {
		return ks_zjlx;
  	}
	/**
	 * 外省准考证
	 */	
  	public void setKs_zkz(String ks_zkz) {
		this.ks_zkz = ks_zkz;
  	}
 	/**
	 * 外省准考证
	 */	 	
  	public String getKs_zkz() {
		return ks_zkz;
  	}
	/**
	 * 面貌代码
	 */	
  	public void setMm_dm(Integer mm_dm) {
		this.mm_dm = mm_dm;
  	}
 	/**
	 * 面貌代码
	 */	 	
  	public Integer getMm_dm() {
		return mm_dm;
  	}
	/**
	 * 民族代码
	 */	
  	public void setMz_dm(Integer mz_dm) {
		this.mz_dm = mz_dm;
  	}
 	/**
	 * 民族代码
	 */	 	
  	public Integer getMz_dm() {
		return mz_dm;
  	}
	/**
	 * 
	 */	
  	public void setPt_bh(String pt_bh) {
		this.pt_bh = pt_bh;
  	}
 	/**
	 * 
	 */	 	
  	public String getPt_bh() {
		return pt_bh;
  	}
	/**
	 * 审核状态 0：申请不通过；1：待一级审核；2：待二级审核；3：待三级审核4：审核通过
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 审核状态 0：申请不通过；1：待一级审核；2：待二级审核；3：待三级审核4：审核通过
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 考生ID 和学生表关联
	 */	
  	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
  	}
 	/**
	 * 考生ID 和学生表关联
	 */	 	
  	public Integer getStd_reg_id() {
		return std_reg_id;
  	}
	/**
	 * 转考时间配置ID 和转考时间配置表关联
	 */	
  	public void setTime_config_id(Integer time_config_id) {
		this.time_config_id = time_config_id;
  	}
 	/**
	 * 转考时间配置ID 和转考时间配置表关联
	 */	 	
  	public Integer getTime_config_id() {
		return time_config_id;
  	}
	/**
	 * 学历代码
	 */	
  	public void setXl_dm(Integer xl_dm) {
		this.xl_dm = xl_dm;
  	}
 	/**
	 * 学历代码
	 */	 	
  	public Integer getXl_dm() {
		return xl_dm;
  	}
	/**
	 * 职业代码
	 */	
  	public void setZhiy_dm(Integer zhiy_dm) {
		this.zhiy_dm = zhiy_dm;
  	}
 	/**
	 * 职业代码
	 */	 	
  	public Integer getZhiy_dm() {
		return zhiy_dm;
  	}
	/**
	 * 转出编号
	 */	
  	public void setZk_bh(String zk_bh) {
		this.zk_bh = zk_bh;
  	}
 	/**
	 * 转出编号
	 */	 	
  	public String getZk_bh() {
		return zk_bh;
  	}
	/**
	 * 转入省市代码
	 */	
  	public void setZk_in_ssdm(Integer zk_in_ssdm) {
		this.zk_in_ssdm = zk_in_ssdm;
  	}
 	/**
	 * 转入省市代码
	 */	 	
  	public Integer getZk_in_ssdm() {
		return zk_in_ssdm;
  	}
	/**
	 * 本省准考证
	 */	
  	public void setZk_in_zkz(String zk_in_zkz) {
		this.zk_in_zkz = zk_in_zkz;
  	}
 	/**
	 * 本省准考证
	 */	 	
  	public String getZk_in_zkz() {
		return zk_in_zkz;
  	}
	/**
	 * 本省专业国际代码
	 */	
  	public void setZk_in_zy_ccdm(Integer zk_in_zy_ccdm) {
		this.zk_in_zy_ccdm = zk_in_zy_ccdm;
  	}
 	/**
	 * 本省专业国际代码
	 */	 	
  	public Integer getZk_in_zy_ccdm() {
		return zk_in_zy_ccdm;
  	}
	/**
	 * 本省专业代码
	 */	
  	public void setZk_in_zy_dm(String zk_in_zy_dm) {
		this.zk_in_zy_dm = zk_in_zy_dm;
  	}
 	/**
	 * 本省专业代码
	 */	 	
  	public String getZk_in_zy_dm() {
		return zk_in_zy_dm;
  	}
	/**
	 * 本省专业类型代码 61—专科，62—基础科段，51—本科，52—本科段，53—独立本科段
	 */	
  	public void setZk_in_zy_lxdm(String zk_in_zy_lxdm) {
		this.zk_in_zy_lxdm = zk_in_zy_lxdm;
  	}
 	/**
	 * 本省专业类型代码 61—专科，62—基础科段，51—本科，52—本科段，53—独立本科段
	 */	 	
  	public String getZk_in_zy_lxdm() {
		return zk_in_zy_lxdm;
  	}
	/**
	 * 本省专业名称
	 */	
  	public void setZk_in_zy_mc(String zk_in_zy_mc) {
		this.zk_in_zy_mc = zk_in_zy_mc;
  	}
 	/**
	 * 本省专业名称
	 */	 	
  	public String getZk_in_zy_mc() {
		return zk_in_zy_mc;
  	}
	/**
	 * 转出办理人
	 */	
  	public void setZk_out_blr(String zk_out_blr) {
		this.zk_out_blr = zk_out_blr;
  	}
 	/**
	 * 转出办理人
	 */	 	
  	public String getZk_out_blr() {
		return zk_out_blr;
  	}
	/**
	 * 转出审核人
	 */	
  	public void setZk_out_shr(String zk_out_shr) {
		this.zk_out_shr = zk_out_shr;
  	}
 	/**
	 * 转出审核人
	 */	 	
  	public String getZk_out_shr() {
		return zk_out_shr;
  	}
	/**
	 * 转出时间
	 */	
  	public void setZk_out_sj(LocalDate zk_out_sj) {
		this.zk_out_sj = zk_out_sj;
  	}
 	/**
	 * 转出时间
	 */	 	
  	public LocalDate getZk_out_sj() {
		return zk_out_sj;
  	}
	/**
	 * 转出省市代码
	 */	
  	public void setZk_out_ssdm(Integer zk_out_ssdm) {
		this.zk_out_ssdm = zk_out_ssdm;
  	}
 	/**
	 * 转出省市代码
	 */	 	
  	public Integer getZk_out_ssdm() {
		return zk_out_ssdm;
  	}
	/**
	 * 转出原因 1—工作调动，2—居住地变更
	 */	
  	public void setZk_out_yy(String zk_out_yy) {
		this.zk_out_yy = zk_out_yy;
  	}
 	/**
	 * 转出原因 1—工作调动，2—居住地变更
	 */	 	
  	public String getZk_out_yy() {
		return zk_out_yy;
  	}
	/**
	 * 本省专业方向
	 */	
  	public void setZk_zy_fx(String zk_zy_fx) {
		this.zk_zy_fx = zk_zy_fx;
  	}
 	/**
	 * 本省专业方向
	 */	 	
  	public String getZk_zy_fx() {
		return zk_zy_fx;
  	}
	/**
	 * 专业国际代码
	 */	
  	public void setZy_ccdm(String zy_ccdm) {
		this.zy_ccdm = zy_ccdm;
  	}
 	/**
	 * 专业国际代码
	 */	 	
  	public String getZy_ccdm() {
		return zy_ccdm;
  	}
	/**
	 * 外省专业代码
	 */	
  	public void setZy_dm(String zy_dm) {
		this.zy_dm = zy_dm;
  	}
 	/**
	 * 外省专业代码
	 */	 	
  	public String getZy_dm() {
		return zy_dm;
  	}
	/**
	 * 专业方向
	 */	
  	public void setZy_fx(String zy_fx) {
		this.zy_fx = zy_fx;
  	}
 	/**
	 * 专业方向
	 */	 	
  	public String getZy_fx() {
		return zy_fx;
  	}
	/**
	 * 专业类型代码 61—专科，62—基础科段，51—本科，52—本科段，53—独立本科段
	 */	
  	public void setZy_lxdm(String zy_lxdm) {
		this.zy_lxdm = zy_lxdm;
  	}
 	/**
	 * 专业类型代码 61—专科，62—基础科段，51—本科，52—本科段，53—独立本科段
	 */	 	
  	public String getZy_lxdm() {
		return zy_lxdm;
  	}
	/**
	 * 外省专业名称
	 */	
  	public void setZy_mc(String zy_mc) {
		this.zy_mc = zy_mc;
  	}
 	/**
	 * 外省专业名称
	 */	 	
  	public String getZy_mc() {
		return zy_mc;
  	}
  	/**
	 * 审核意见
	 */	
  	public String getReject_advice() {
		return reject_advice;
	}
  	/**
	 * 审核意见
	 */	
	public void setReject_advice(String reject_advice) {
		this.reject_advice = reject_advice;
	}
	/**
	 * 专业标识--新增标识（ 0表示旧专业；1表示新专业）
	 */	
	public Integer getOut_zy_bs() {
		return out_zy_bs;
	}
	/**
	 * 专业标识--新增标识（ 0表示旧专业；1表示新专业）
	 */	
	public void setOut_zy_bs(Integer out_zy_bs) {
		this.out_zy_bs = out_zy_bs;
	}
	/**
	 * 转入专业标识--新增标识（ 0表示旧专业；1表示新专业）
	 */	
	public Integer getIn_zy_bs() {
		return in_zy_bs;
	}
	/**
	 * 转入专业标识--新增标识（ 0表示旧专业；1表示新专业）
	 */	
	public void setIn_zy_bs(Integer in_zy_bs) {
		this.in_zy_bs = in_zy_bs;
	}
	/**
	 * 审核机构ID
	 */	
	public Integer getAudit_org_id() {
		return audit_org_id;
	}
	/**
	 * 审核机构ID
	 */	
	public void setAudit_org_id(Integer audit_org_id) {
		this.audit_org_id = audit_org_id;
	}
	/**
	 * 转入时间，正式审批通过的时间
	 */	
	public LocalDateTime getTurn_in_time() {
		return turn_in_time;
	}
	/**
	 * 转入时间，正式审批通过的时间
	 */	
	public void setTurn_in_time(LocalDateTime turn_in_time) {
		this.turn_in_time = turn_in_time;
	}



	protected String year_time; // 年+批次
  	protected String out_province_name; //转出省份名称
  	protected String in_province_name; //转入省份名称
  	protected Integer std_source; //考生来源
  	protected String status_text;
  	protected String std_photo_url; //考生头像
  	protected String org_name;//机构名称

	public String getYear_time() {
		return year_time;
	}

	public void setYear_time(String year_time) {
		this.year_time = year_time;
	}

	public String getOut_province_name() {
		return out_province_name;
	}

	public void setOut_province_name(String out_province_name) {
		this.out_province_name = out_province_name;
	}

	public String getIn_province_name() {
		return in_province_name;
	}

	public void setIn_province_name(String in_province_name) {
		this.in_province_name = in_province_name;
	}
	public Integer getStd_source() {
		return std_source;
	}
	public void setStd_source(Integer std_source) {
		this.std_source = std_source;
	}
	public String getStatus_text() {
		return status_text;
	}
	public void setStatus_text(String status_text) {
		this.status_text = status_text;
	}
	public String getStd_photo_url() {
		return std_photo_url;
	}
	public void setStd_photo_url(String std_photo_url) {
		this.std_photo_url = std_photo_url;
	}
	public String getZw_flow_no() {
		return zw_flow_no;
	}
	public void setZw_flow_no(String zw_flow_no) {
		this.zw_flow_no = zw_flow_no;
	}
	public String getOrg_name() {
		return org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}
  	
}