package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 外省考生转入导入结果表.
 * 
 * @author: haoguanghui
 * @date: 2019-01-07 16:16:15
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_turn_in_apply_result", keyColumn = "id", sequenceName = "SEQ_by_turn_in_apply_result")
public class ByTurnInApplyResult implements Serializable {
	private static final long serialVersionUID = 9147610160489214205L;
	// 主键
	private Integer id;
	// 电话号码
	private String ks_phone;
	// 身份证
	private String ks_sfz;
	// 考生姓名
	private String ks_xm;
	// 外省准考证
	private String ks_zkz;

	// 转考时间配置ID 和转考时间配置表关联
	private Integer time_config_id;

	// 转入省市代码
	private Integer zk_in_ssdm;
	// 本省准考证
	private String zk_in_zkz;

	// 转出省市代码
	private Integer zk_out_ssdm;
	
	private String remark;
	
	private LocalDateTime create_time;
	
	private String completion_rate;

	protected String  year_time;
	protected String out_province_name; // 转出省份名称
	protected String in_province_name; // 转入省份名称
	
	
	public String getCompletion_rate() {
		return completion_rate;
	}

	public void setCompletion_rate(String completion_rate) {
		this.completion_rate = completion_rate;
	}

	public LocalDateTime getCreate_time() {
		return create_time;
	}

	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

	public String getYear_time() {
		return year_time;
	}

	public void setYear_time(String year_time) {
		this.year_time = year_time;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getKs_phone() {
		return ks_phone;
	}

	public void setKs_phone(String ks_phone) {
		this.ks_phone = ks_phone;
	}

	public String getKs_sfz() {
		return ks_sfz;
	}

	public void setKs_sfz(String ks_sfz) {
		this.ks_sfz = ks_sfz;
	}

	public String getKs_xm() {
		return ks_xm;
	}

	public void setKs_xm(String ks_xm) {
		this.ks_xm = ks_xm;
	}

	public String getKs_zkz() {
		return ks_zkz;
	}

	public void setKs_zkz(String ks_zkz) {
		this.ks_zkz = ks_zkz;
	}

	public Integer getTime_config_id() {
		return time_config_id;
	}

	public void setTime_config_id(Integer time_config_id) {
		this.time_config_id = time_config_id;
	}

	public Integer getZk_in_ssdm() {
		return zk_in_ssdm;
	}

	public void setZk_in_ssdm(Integer zk_in_ssdm) {
		this.zk_in_ssdm = zk_in_ssdm;
	}

	public String getZk_in_zkz() {
		return zk_in_zkz;
	}

	public void setZk_in_zkz(String zk_in_zkz) {
		this.zk_in_zkz = zk_in_zkz;
	}

	public Integer getZk_out_ssdm() {
		return zk_out_ssdm;
	}

	public void setZk_out_ssdm(Integer zk_out_ssdm) {
		this.zk_out_ssdm = zk_out_ssdm;
	}

	public String getOut_province_name() {
		return out_province_name;
	}

	public void setOut_province_name(String out_province_name) {
		this.out_province_name = out_province_name;
	}

	public String getIn_province_name() {
		return in_province_name;
	}

	public void setIn_province_name(String in_province_name) {
		this.in_province_name = in_province_name;
	}

}