package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**
 * 本省考生转考申请表 省内转省外---kj_zhuanchushengqing 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-01-07 16:16:13
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_turn_out_apply", keyColumn = "id", sequenceName = "SEQ_by_turn_out_apply")
public class ByTurnOutApply implements Serializable {
	private static final long serialVersionUID = -7515989642846034458L;
  	//申请时间
  	private LocalDateTime apply_time;
  	//审批类型 0：驳回，1：通过
  	private Integer appr_type;
  	//外省退回原因
  	private String back_reason;
  	//外省准考证文件路径 上传的图片路径
  	private String ticket_path;
  	//一级审批时间 主考学校、市考办审批的时间
  	private LocalDateTime first_appr_time;
  	//主键
  	private Integer id;
  	//转至省份代码 和省份表关联
  	private String in_prov_code;
  	//转入准考证
  	private String in_ticket_no;
  	//专业代码 冗余字段
  	private String major_code;
  	//专业ID 和专业表关联
  	private Integer major_id;
  	//转出准考证
  	private String out_ticket_no;
  	//外省接收回执状态 1：接收；2：逾期接收；3：退回；4：逾期退回；5：逾期删除
  	private Integer receive_status;
  	//驳回意见
  	private String reject_advice;
  	//二级审批时间 省考试院审批的时间
  	private LocalDateTime second_appr_time;
  	//状态 0：保存；1：待一级审批（主考学校或市考办）；2：预留；3：省级审批；4：转至外省
  	private Integer status;
  	//考生ID 和考生表关联
  	private Integer std_reg_id;
  	//转考时间配置ID 和转考时间配置表关联
  	private Integer time_config_id;
  	
  	private String zw_flow_no;
  	//转至外省专业代码
  	private String in_major_code;
  	//转至外省专业名称
  	private String in_major_name;
  	
  	private Integer out_zy_bs;
  	private Integer in_zy_bs;
  	private String zk_out_blr;
  	private String zk_out_shr;
  	
  	private Integer audit_org_id;
  	// 审核类型 0 地市审核 1 区审核
	private Integer audit_type;
	
  	//手机号码
  	private String std_mobile;
  	
  	protected String overtime;
  	protected String org_name;//机构名称
  	
  	protected String score_count;
  	
	public Integer getAudit_type() {
		return audit_type;
	}
	public void setAudit_type(Integer audit_type) {
		this.audit_type = audit_type;
	}
	public String getStd_mobile() {
		return std_mobile;
	}
	public void setStd_mobile(String std_mobile) {
		this.std_mobile = std_mobile;
	}
	public String getScore_count() {
		return score_count;
	}
	public void setScore_count(String score_count) {
		this.score_count = score_count;
	}
	public String getOrg_name() {
		return org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}
	public Integer getAudit_org_id() {
		return audit_org_id;
	}
	public void setAudit_org_id(Integer audit_org_id) {
		this.audit_org_id = audit_org_id;
	}
	public String getOvertime() {
		return overtime;
	}
	public void setOvertime(String overtime) {
		this.overtime = overtime;
	}
	public String getZk_out_blr() {
		return zk_out_blr;
	}
	public void setZk_out_blr(String zk_out_blr) {
		this.zk_out_blr = zk_out_blr;
	}
	public String getZk_out_shr() {
		return zk_out_shr;
	}
	public void setZk_out_shr(String zk_out_shr) {
		this.zk_out_shr = zk_out_shr;
	}
	public Integer getOut_zy_bs() {
		return out_zy_bs;
	}
	public void setOut_zy_bs(Integer out_zy_bs) {
		this.out_zy_bs = out_zy_bs;
	}
	public Integer getIn_zy_bs() {
		return in_zy_bs;
	}
	public void setIn_zy_bs(Integer in_zy_bs) {
		this.in_zy_bs = in_zy_bs;
	}
	/**
	 * 申请时间
	 */	
  	public void setApply_time(LocalDateTime apply_time) {
		this.apply_time = apply_time;
  	}
 	/**
	 * 申请时间
	 */	 	
  	public LocalDateTime getApply_time() {
		return apply_time;
  	}
	/**
	 * 审批类型 0：驳回，1：通过
	 */	
  	public void setAppr_type(Integer appr_type) {
		this.appr_type = appr_type;
  	}
 	/**
	 * 审批类型 0：驳回，1：通过
	 */	 	
  	public Integer getAppr_type() {
		return appr_type;
  	}
	/**
	 * 外省退回原因
	 */	
  	public void setBack_reason(String back_reason) {
		this.back_reason = back_reason;
  	}
 	/**
	 * 外省退回原因
	 */	 	
  	public String getBack_reason() {
		return back_reason;
  	}
	/**
	 * 外省准考证文件路径 上传的图片路径
	 */	
  	public void setTicket_path(String ticket_path) {
		this.ticket_path = ticket_path;
  	}
 	/**
	 * 外省准考证文件路径 上传的图片路径
	 */	 	
  	public String getTicket_path() {
		return ticket_path;
  	}
	/**
	 * 一级审批时间 主考学校、市考办审批的时间
	 */	
  	public void setFirst_appr_time(LocalDateTime first_appr_time) {
		this.first_appr_time = first_appr_time;
  	}
 	/**
	 * 一级审批时间 主考学校、市考办审批的时间
	 */	 	
  	public LocalDateTime getFirst_appr_time() {
		return first_appr_time;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 转至省份代码 和省份表关联
	 */	
  	public void setIn_prov_code(String in_prov_code) {
		this.in_prov_code = in_prov_code;
  	}
 	/**
	 * 转至省份代码 和省份表关联
	 */	 	
  	public String getIn_prov_code() {
		return in_prov_code;
  	}
	/**
	 * 转入准考证
	 */	
  	public void setIn_ticket_no(String in_ticket_no) {
		this.in_ticket_no = in_ticket_no;
  	}
 	/**
	 * 转入准考证
	 */	 	
  	public String getIn_ticket_no() {
		return in_ticket_no;
  	}
	/**
	 * 专业代码 冗余字段
	 */	
  	public void setMajor_code(String major_code) {
		this.major_code = major_code;
  	}
 	/**
	 * 专业代码 冗余字段
	 */	 	
  	public String getMajor_code() {
		return major_code;
  	}
	/**
	 * 专业ID 和专业表关联
	 */	
  	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
  	}
 	/**
	 * 专业ID 和专业表关联
	 */	 	
  	public Integer getMajor_id() {
		return major_id;
  	}
	/**
	 * 转出准考证
	 */	
  	public void setOut_ticket_no(String out_ticket_no) {
		this.out_ticket_no = out_ticket_no;
  	}
 	/**
	 * 转出准考证
	 */	 	
  	public String getOut_ticket_no() {
		return out_ticket_no;
  	}
	/**
	 * 外省接收回执状态 1：接收；2：逾期接收；3：退回；4：逾期退回；5：逾期删除
	 */	
  	public void setReceive_status(Integer receive_status) {
		this.receive_status = receive_status;
  	}
 	/**
	 * 外省接收回执状态 1：接收；2：逾期接收；3：退回；4：逾期退回；5：逾期删除
	 */	 	
  	public Integer getReceive_status() {
		return receive_status;
  	}
	/**
	 * 驳回意见
	 */	
  	public void setReject_advice(String reject_advice) {
		this.reject_advice = reject_advice;
  	}
 	/**
	 * 驳回意见
	 */	 	
  	public String getReject_advice() {
		return reject_advice;
  	}
	/**
	 * 二级审批时间 省考试院审批的时间
	 */	
  	public void setSecond_appr_time(LocalDateTime second_appr_time) {
		this.second_appr_time = second_appr_time;
  	}
 	/**
	 * 二级审批时间 省考试院审批的时间
	 */	 	
  	public LocalDateTime getSecond_appr_time() {
		return second_appr_time;
  	}
	/**
	 * 状态 0：保存；1：待一级审批（主考学校或市考办）；2：预留；3：省级审批；4：转至外省
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 0：保存；1：待一级审批（主考学校或市考办）；2：预留；3：省级审批；4：转至外省
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 考生ID 和考生表关联
	 */	
  	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
  	}
 	/**
	 * 考生ID 和考生表关联
	 */	 	
  	public Integer getStd_reg_id() {
		return std_reg_id;
  	}
	/**
	 * 转考时间配置ID 和转考时间配置表关联
	 */	
  	public void setTime_config_id(Integer time_config_id) {
		this.time_config_id = time_config_id;
  	}
 	/**
	 * 转考时间配置ID 和转考时间配置表关联
	 */	 	
  	public Integer getTime_config_id() {
		return time_config_id;
  	}
  	/**
	 * 转至外省专业代码
	 */
  	public String getIn_major_code() {
		return in_major_code;
	}
  	/**
	 * 转至外省专业代码
	 */
	public void setIn_major_code(String in_major_code) {
		this.in_major_code = in_major_code;
	}
  	/**
	 * 转至外省专业名称
	 */
	public String getIn_major_name() {
		return in_major_name;
	}
  	/**
	 * 转至外省专业名称
	 */
	public void setIn_major_name(String in_major_name) {
		this.in_major_name = in_major_name;
	}
  	
	private String major_name;// 专业名称
	protected String province_name;// 转入省份名称
	protected String batch;// 批次
	protected Integer std_major_id;//考生报考专业表的中ID
	protected String cert_no; //考生身份证
	protected String std_name; //考生姓名
	protected String photo_url;//考生头像
	protected String status_text;//考生头像
	protected String receive_status_text;//考生头像
	protected String photo_path;//考生头像

	public String getPhoto_path() {
		return photo_path;
	}
	public void setPhoto_path(String photo_path) {
		this.photo_path = photo_path;
	}
	public String getMajor_name() {
		return major_name;
	}

	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}

	public String getProvince_name() {
		return province_name;
	}

	public void setProvince_name(String province_name) {
		this.province_name = province_name;
	}

	public String getBatch() {
		return batch;
	}

	public void setBatch(String batch) {
		this.batch = batch;
	}

	public Integer getStd_major_id() {
		return std_major_id;
	}

	public void setStd_major_id(Integer std_major_id) {
		this.std_major_id = std_major_id;
	}

	public String getCert_no() {
		return cert_no;
	}

	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}

	public String getStd_name() {
		return std_name;
	}

	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}
	public String getPhoto_url() {
		return photo_url;
	}
	public void setPhoto_url(String photo_url) {
		this.photo_url = photo_url;
	}
	public String getStatus_text() {
		return status_text;
	}
	public void setStatus_text(String status_text) {
		this.status_text = status_text;
	}
	public String getReceive_status_text() {
		return receive_status_text;
	}
	public void setReceive_status_text(String receive_status_text) {
		this.receive_status_text = receive_status_text;
	}
	public String getZw_flow_no() {
		return zw_flow_no;
	}
	public void setZw_flow_no(String zw_flow_no) {
		this.zw_flow_no = zw_flow_no;
	}
	
	
	
	
	
}