package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import java.time.LocalDate;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 转考时间配置表 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-01-07 16:16:13
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_turn_time_config", keyColumn = "id", sequenceName = "SEQ_by_turn_time_config")
public class ByTurnTimeConfig implements Serializable {
	private static final long serialVersionUID = 8149039443802110359L;
	// 主键
	private Integer id;
	// 类型 1：省内转考；2：转出省外；3：外省转入
	private Integer type;
	// 年份 如：2019
	private Integer year;
	// 时间 1：上半年，2：下半年
	private Integer time;
	// 开始时间
	private LocalDate start_time;
	// 结束时间
	private LocalDate end_time;
	// 状态 0：禁用；1：启用
	private Integer status;
	
	protected String color;
	
	public String getColor() {
		return color;
	}
	public void setColor(String color) {
		this.color = color;
	}

	/**
	 * 结束时间
	 */
	public void setEnd_time(LocalDate end_time) {
		this.end_time = end_time;
	}

	/**
	 * 结束时间
	 */
	public LocalDate getEnd_time() {
		return end_time;
	}

	/**
	 * 主键
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * 主键
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * 开始时间
	 */
	public void setStart_time(LocalDate start_time) {
		this.start_time = start_time;
	}

	/**
	 * 开始时间
	 */
	public LocalDate getStart_time() {
		return start_time;
	}

	/**
	 * 状态 0：禁用；1：启用
	 */
	public void setStatus(Integer status) {
		this.status = status;
	}

	/**
	 * 状态 0：禁用；1：启用
	 */
	public Integer getStatus() {
		return status;
	}

	/**
	 * 时间 1：上半年，2：下半年
	 */
	public void setTime(Integer time) {
		this.time = time;
	}

	/**
	 * 时间 1：上半年，2：下半年
	 */
	public Integer getTime() {
		return time;
	}

	/**
	 * 类型 1：省内转考；2：转出省外；3：外省转入
	 */
	public void setType(Integer type) {
		this.type = type;
	}

	/**
	 * 类型 1：省内转考；2：转出省外；3：外省转入
	 */
	public Integer getType() {
		return type;
	}

	/**
	 * 年份 如：2019
	 */
	public void setYear(Integer year) {
		this.year = year;
	}

	/**
	 * 年份 如：2019
	 */
	public Integer getYear() {
		return year;
	}

	protected boolean in_time; // 是否在允许时间范围内
	protected String year_time;// Year+time组合

	public boolean getIn_time() {
		return in_time;
	}

	public void setIn_time(boolean in_time) {
		this.in_time = in_time;
	}

	public String getYear_time() {
		return year_time;
	}

	public void setYear_time(String year_time) {
		this.year_time = year_time;
	}

}