package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 转考递交材料地点设置 考生转考递交材料的地点和时间设置 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-03-12 20:10:29
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_turn_time_place", keyColumn = "id", sequenceName = "SEQ_by_turn_time_place")
public class ByTurnTimePlace implements Serializable {
	private static final long serialVersionUID = 7901580216131958031L;
  	//机构地址
  	private String address;
  	//递交材料结束时间
  	private LocalDate end_time;
  	//主键
  	private Integer id;
  	//机构ID 和机构表关联
  	private Integer org_id;
  	//机构电话
  	private String phone;
  	//递交材料开始时间
  	private LocalDate start_time;
  	//类型 1：转至省外；2：外省转入
  	private Integer type;
  	
  	private String qq;
  	//网址
  	private String website;
  
	public String getQq() {
		return qq;
	}
	public void setQq(String qq) {
		this.qq = qq;
	}
	public String getWebsite() {
		return website;
	}
	public void setWebsite(String website) {
		this.website = website;
	}
	/**
	 * 机构地址
	 */	
  	public void setAddress(String address) {
		this.address = address;
  	}
 	/**
	 * 机构地址
	 */	 	
  	public String getAddress() {
		return address;
  	}
	/**
	 * 递交材料结束时间
	 */	
  	public void setEnd_time(LocalDate end_time) {
		this.end_time = end_time;
  	}
 	/**
	 * 递交材料结束时间
	 */	 	
  	public LocalDate getEnd_time() {
		return end_time;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 机构ID 和机构表关联
	 */	
  	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
  	}
 	/**
	 * 机构ID 和机构表关联
	 */	 	
  	public Integer getOrg_id() {
		return org_id;
  	}
	/**
	 * 机构电话
	 */	
  	public void setPhone(String phone) {
		this.phone = phone;
  	}
 	/**
	 * 机构电话
	 */	 	
  	public String getPhone() {
		return phone;
  	}
	/**
	 * 递交材料开始时间
	 */	
  	public void setStart_time(LocalDate start_time) {
		this.start_time = start_time;
  	}
 	/**
	 * 递交材料开始时间
	 */	 	
  	public LocalDate getStart_time() {
		return start_time;
  	}
	/**
	 * 类型 1：转至省外；2：外省转入
	 */	
  	public void setType(Integer type) {
		this.type = type;
  	}
 	/**
	 * 类型 1：转至省外；2：外省转入
	 */	 	
  	public Integer getType() {
		return type;
  	}
  	
  	protected String org_name; // 机构名称

	public String getOrg_name() {
		return org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}
  	
}