package cn.hmsoft.ses.data.model.cf;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 收费标准 指定每个类型收费的金额 模型.
 * 
 * @author: haoguanghui
 * @date: 2018-11-15 16:24:08
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "cf_fee_scale", keyColumn = "id", sequenceName = "SEQ_cf_fee_scale")
public class CfFeeScale implements Serializable {
	private static final long serialVersionUID = -9191142176370857329L;
	//主键ID
  	private Integer id;
	//收费项目代号
  	private String fee_item_code;
  	//收费项名称
  	private String fee_item_name;
  	//金额
  	private String price;
  	//市考办费用 只适用于湖北。省+市=总金额
  	private String city_fee;
  	//课程类型 只适用于湖北。如：理论课、实践课
  	private Integer course_type;
  	//省考办费用 只适用于湖北。省+市=总金额
  	private String prov_fee;
  	//学生类型 只适用于湖北。如：面向社会、助学班
  	private Integer std_type;
  	//说明
  	private String remark;
  
	/**
	 * 市考办费用 只适用于湖北。省+市=总金额
	 */	
  	public void setCity_fee(String city_fee) {
		this.city_fee = city_fee;
  	}
 	/**
	 * 市考办费用 只适用于湖北。省+市=总金额
	 */	 	
  	public String getCity_fee() {
		return city_fee;
  	}
	/**
	 * 课程类型 只适用于湖北。如：理论课、实践课
	 */	
  	public void setCourse_type(Integer course_type) {
		this.course_type = course_type;
  	}
 	/**
	 * 课程类型 只适用于湖北。如：理论课、实践课
	 */	 	
  	public Integer getCourse_type() {
		return course_type;
  	}
	/**
	 * 收费项目代号
	 */	
  	public void setFee_item_code(String fee_item_code) {
		this.fee_item_code = fee_item_code;
  	}
 	/**
	 * 收费项目代号
	 */	 	
  	public String getFee_item_code() {
		return fee_item_code;
  	}
	/**
	 * 收费项名称
	 */	
  	public void setFee_item_name(String fee_item_name) {
		this.fee_item_name = fee_item_name;
  	}
 	/**
	 * 收费项名称
	 */	 	
  	public String getFee_item_name() {
		return fee_item_name;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 金额
	 */	
  	public void setPrice(String price) {
		this.price = price;
  	}
 	/**
	 * 金额
	 */	 	
  	public String getPrice() {
		return price;
  	}
	/**
	 * 省考办费用 只适用于湖北。省+市=总金额
	 */	
  	public void setProv_fee(String prov_fee) {
		this.prov_fee = prov_fee;
  	}
 	/**
	 * 省考办费用 只适用于湖北。省+市=总金额
	 */	 	
  	public String getProv_fee() {
		return prov_fee;
  	}
	/**
	 * 说明
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 说明
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 学生类型 只适用于湖北。如：面向社会、助学班
	 */	
  	public void setStd_type(Integer std_type) {
		this.std_type = std_type;
  	}
 	/**
	 * 学生类型 只适用于湖北。如：面向社会、助学班
	 */	 	
  	public Integer getStd_type() {
		return std_type;
  	}
  	
  	
  	protected String full_name;

	public String getFull_name() {
		return full_name;
	}
	public void setFull_name(String full_name) {
		this.full_name = full_name;
	}
  	
}