package cn.hmsoft.ses.data.model.cf;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 机构表 包括：主考学校、助学机构、区考办、市考办、省考办 模型.
 * 
 * @author: haoguanghui
 * @date: 2018-10-18 14:13:22
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "cf_organization", keyColumn = "id", sequenceName = "seq_cf_organization")
public class CfOrganization implements Serializable {
	private static final long serialVersionUID = -6280830776031606780L;
  	//所在地市 和省份表关联
  	private String city_code;
  	//机构联系电话 多个座机号码，用分号隔开
  	private String contact_number;
  	//创建/更新时间
  	private LocalDate create_time;
  	//教育层次 A\B\C
  	private String education_level;
  	//主键ID
  	private Integer id;
  	//机构地址 机构详细地址
  	private String org_address;
  	//机构代码
  	private String org_code;
  	//机构名称
  	private String org_name;
  	//机构简称
  	private String org_short_name;
  	//机构国际代码 针对主考学校、助学机构
  	private String org_standard_code;
  	//机构类型 主考学校、助学机构、考办、学习服务中心
  	private Integer org_type;
  	//父id
  	private Integer pid;
  	//说明
  	private String remark;
  	//考区标志
  	private Integer exam_flag;
  	//机构启用状态
  	private Integer status;
  	
  	private String org_code_bz;
  	private String org_name_bz;
  	
	public String getOrg_code_bz() {
		return org_code_bz;
	}
	public void setOrg_code_bz(String org_code_bz) {
		this.org_code_bz = org_code_bz;
	}
	public String getOrg_name_bz() {
		return org_name_bz;
	}
	public void setOrg_name_bz(String org_name_bz) {
		this.org_name_bz = org_name_bz;
	}
	/**
	 * 所在地市 和省份表关联
	 */	
  	public void setCity_code(String city_code) {
		this.city_code = city_code;
  	}
 	/**
	 * 所在地市 和省份表关联
	 */	 	
  	public String getCity_code() {
		return city_code;
  	}
	/**
	 * 机构联系电话 多个座机号码，用分号隔开
	 */	
  	public void setContact_number(String contact_number) {
		this.contact_number = contact_number;
  	}
 	/**
	 * 机构联系电话 多个座机号码，用分号隔开
	 */	 	
  	public String getContact_number() {
		return contact_number;
  	}
	/**
	 * 创建/更新时间
	 */	
  	public void setCreate_time(LocalDate create_time) {
		this.create_time = create_time;
  	}
 	/**
	 * 创建/更新时间
	 */	 	
  	public LocalDate getCreate_time() {
		return create_time;
  	}
	/**
	 * 教育层次 A\B\C
	 */	
  	public void setEducation_level(String education_level) {
		this.education_level = education_level;
  	}
 	/**
	 * 教育层次 A\B\C
	 */	 	
  	public String getEducation_level() {
		return education_level;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 机构地址 机构详细地址
	 */	
  	public void setOrg_address(String org_address) {
		this.org_address = org_address;
  	}
 	/**
	 * 机构地址 机构详细地址
	 */	 	
  	public String getOrg_address() {
		return org_address;
  	}
	/**
	 * 机构代码
	 */	
  	public void setOrg_code(String org_code) {
		this.org_code = org_code;
  	}
 	/**
	 * 机构代码
	 */	 	
  	public String getOrg_code() {
		return org_code;
  	}
	/**
	 * 机构名称
	 */	
  	public void setOrg_name(String org_name) {
		this.org_name = org_name;
  	}
 	/**
	 * 机构名称
	 */	 	
  	public String getOrg_name() {
		return org_name;
  	}
	/**
	 * 机构简称
	 */	
  	public void setOrg_short_name(String org_short_name) {
		this.org_short_name = org_short_name;
  	}
 	/**
	 * 机构简称
	 */	 	
  	public String getOrg_short_name() {
		return org_short_name;
  	}
	/**
	 * 机构国际代码 针对主考学校、助学机构
	 */	
  	public void setOrg_standard_code(String org_standard_code) {
		this.org_standard_code = org_standard_code;
  	}
 	/**
	 * 机构国际代码 针对主考学校、助学机构
	 */	 	
  	public String getOrg_standard_code() {
		return org_standard_code;
  	}
	/**
	 * 机构类型 主考学校、助学机构、考办、学习服务中心
	 */	
  	public void setOrg_type(Integer org_type) {
		this.org_type = org_type;
  	}
 	/**
	 * 机构类型 主考学校、助学机构、考办、学习服务中心
	 */	 	
  	public Integer getOrg_type() {
		return org_type;
  	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	/**
	 * 父id
	 */	
  	public void setPid(Integer pid) {
		this.pid = pid;
  	}
 	/**
	 * 父id
	 */	 	
  	public Integer getPid() {
		return pid;
  	}

	public Integer getExam_flag() {
		return exam_flag;
	}

	public void setExam_flag(Integer exam_flag) {
		this.exam_flag = exam_flag;
	}
	
 	/**
	 * 机构启用状态
	 */	 
	public Integer getStatus() {
		return status;
	}
 	/**
	 * 机构启用状态
	 */	 
	public void setStatus(Integer status) {
		this.status = status;
	}

	protected String full_name; //code+name

	public String getFull_name() {
		return full_name;
	}

	public void setFull_name(String full_name) {
		this.full_name = full_name;
	}
	
	
  	
}