package cn.hmsoft.ses.data.model.kj;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 学校成绩主表 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-04-17 08:25:38
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "kj_college_score_main", keyColumn = "id", sequenceName = "SEQ_kj_college_score_main")
public class KjCollegeScoreMain implements Serializable {
	private static final long serialVersionUID = 87759035664659887L;
	// 批次名称
	private Integer batch_id;
	// 上报文件路径
	private String file_path;
	// 主键
	private Integer id;
	// 备注
	private String remark;
	// 成绩类型 0-实践课,1-网络助学,2-沟通课,3-专本衔接
	private Integer score_type;
	// 主考学校ID
	private Integer school_id;
	// 状态 0-待省级审核,1-审核通过
	private Integer status;
	// 上报时间
	private LocalDateTime upload_date;
	// 上报人ID
	private Integer upload_oper;
	// 年度码
	private Integer year_code;
	// 是否审核驳回
	private Integer is_auth_back;
	// 提交申请操作员ID
	private Integer first_apply_oper;
	// 提交申请时间
	private LocalDateTime first_apply_date;
	// 主考学校审核人ID
	private Integer school_auth_oper;
	// 主考学校审时间
	private LocalDateTime school_auth_date;
	// 考试院审核操作员ID
	private Integer final_auth_oper;
	// 考试院审核时间
	private LocalDateTime final_auth_date;
	// 衔接学校ID
	private Integer join_school_id;
	
	private String main_name;

	public String getMain_name() {
		return main_name;
	}

	public void setMain_name(String main_name) {
		this.main_name = main_name;
	}

	/**
	 * 上报文件路径
	 */
	public void setFile_path(String file_path) {
		this.file_path = file_path;
	}

	/**
	 * 上报文件路径
	 */
	public String getFile_path() {
		return file_path;
	}

	/**
	 * 主键
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * 主键
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * 备注
	 */
	public void setRemark(String remark) {
		this.remark = remark;
	}

	/**
	 * 备注
	 */
	public String getRemark() {
		return remark;
	}

	/**
	 * 成绩类型 0-实践课,1-网络助学,2-沟通课,3-专本衔接
	 */
	public void setScore_type(Integer score_type) {
		this.score_type = score_type;
	}

	/**
	 * 成绩类型 0-实践课,1-网络助学,2-沟通课,3-专本衔接
	 */
	public Integer getScore_type() {
		return score_type;
	}

	/**
	 * 主考学校ID
	 */
	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}

	/**
	 * 主考学校ID
	 */
	public Integer getSchool_id() {
		return school_id;
	}

	/**
	 * 状态 0-待省级审核,1-审核通过
	 */
	public void setStatus(Integer status) {
		this.status = status;
	}

	/**
	 * 状态 0-待省级审核,1-审核通过
	 */
	public Integer getStatus() {
		return status;
	}

	/**
	 * 上报时间
	 */
	public void setUpload_date(LocalDateTime upload_date) {
		this.upload_date = upload_date;
	}

	/**
	 * 上报时间
	 */
	public LocalDateTime getUpload_date() {
		return upload_date;
	}

	/**
	 * 上报人ID
	 */
	public void setUpload_oper(Integer upload_oper) {
		this.upload_oper = upload_oper;
	}

	/**
	 * 上报人ID
	 */
	public Integer getUpload_oper() {
		return upload_oper;
	}

	/**
	 * 年度码
	 */
	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}

	public Integer getIs_auth_back() {
		return is_auth_back;
	}

	public Integer getFirst_apply_oper() {
		return first_apply_oper;
	}

	public LocalDateTime getFirst_apply_date() {
		return first_apply_date;
	}

	public Integer getSchool_auth_oper() {
		return school_auth_oper;
	}

	public LocalDateTime getSchool_auth_date() {
		return school_auth_date;
	}

	public Integer getFinal_auth_oper() {
		return final_auth_oper;
	}

	public LocalDateTime getFinal_auth_date() {
		return final_auth_date;
	}

	public void setIs_auth_back(Integer is_auth_back) {
		this.is_auth_back = is_auth_back;
	}

	public void setFirst_apply_oper(Integer first_apply_oper) {
		this.first_apply_oper = first_apply_oper;
	}

	public void setFirst_apply_date(LocalDateTime first_apply_date) {
		this.first_apply_date = first_apply_date;
	}

	public void setSchool_auth_oper(Integer school_auth_oper) {
		this.school_auth_oper = school_auth_oper;
	}

	public void setSchool_auth_date(LocalDateTime school_auth_date) {
		this.school_auth_date = school_auth_date;
	}

	public void setFinal_auth_oper(Integer final_auth_oper) {
		this.final_auth_oper = final_auth_oper;
	}

	public void setFinal_auth_date(LocalDateTime final_auth_date) {
		this.final_auth_date = final_auth_date;
	}

	/**
	 * 年度码
	 */
	public Integer getYear_code() {
		return year_code;
	}

	public Integer getBatch_id() {
		return batch_id;
	}

	public void setBatch_id(Integer batch_id) {
		this.batch_id = batch_id;
	}

	/**
	 * 衔接学校ID
	 */
	public Integer getJoin_school_id() {
		return join_school_id;
	}

	/**
	 * 衔接学校ID
	 */
	public void setJoin_school_id(Integer join_school_id) {
		this.join_school_id = join_school_id;
	}

}