package cn.hmsoft.ses.data.model.kj;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 统考成绩 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-04-24 10:58:54
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "kj_unified_score_detail", keyColumn = "id", sequenceName = "SEQ_kj_unified_score_detail")
public class KjUnifiedScoreDetail implements Serializable {
	private static final long serialVersionUID = -4665117562848007908L;
	private Integer id;
	private Integer year_code;
	private Integer std_reg_id;
	private Integer major_id;
	private Integer course_id;
	private String origin_score;
	private String final_score;
	private LocalDateTime repl_date;
	private LocalDate exam_date;
	private Integer score_source;
	private String remark;
	private Integer status;
	private String status_name;
	private String course_code;
	private String major_code;
	//顶替记录ID 和顶替记录表关联
  	private Integer repl_record_id;
  	private String ticket_no;
  	private String std_name;
  	private String course_score;
  	private String cert_no;
  	private String old_ticket_no1;
  	private String old_ticket_no2;
  	private String std_source;
  	private String org_name;
  	private String score_source_name;
  	private Integer compose;
  	private Integer isrelease;

	private String note;//合成描述
  	
	protected String score_type_name;
	protected Integer score_type;
	protected Integer std_num;
	protected Integer enrol_num;
	protected String major_level_name;
	protected String is_passed;
	protected String out_remark;
	protected Integer index_number;
	protected String exam_year_month;
	
	public String getExam_year_month() {
		return exam_year_month;
	}
	public void setExam_year_month(String exam_year_month) {
		this.exam_year_month = exam_year_month;
	}
	public Integer getIndex_number() {
		return index_number;
	}
	public void setIndex_number(Integer index_number) {
		this.index_number = index_number;
	}
	public String getOut_remark() {
		return out_remark;
	}
	public void setOut_remark(String out_remark) {
		this.out_remark = out_remark;
	}
	public String getIs_passed() {
		return is_passed;
	}
	public void setIs_passed(String is_passed) {
		this.is_passed = is_passed;
	}
	public Integer getIsrelease() {
		return isrelease;
	}
	public void setIsrelease(Integer isrelease) {
		this.isrelease = isrelease;
	}
	public Integer getScore_type() {
		return score_type;
	}
	public void setScore_type(Integer score_type) {
		this.score_type = score_type;
	}
	public String getMajor_level_name() {
		return major_level_name;
	}
	public void setMajor_level_name(String major_level_name) {
		this.major_level_name = major_level_name;
	}
	public String getScore_type_name() {
		return score_type_name;
	}
	public void setScore_type_name(String score_type_name) {
		this.score_type_name = score_type_name;
	}

	public Integer getStd_num() {
		return std_num;
	}
	public void setStd_num(Integer std_num) {
		this.std_num = std_num;
	}
	public Integer getEnrol_num() {
		return enrol_num;
	}
	public void setEnrol_num(Integer enrol_num) {
		this.enrol_num = enrol_num;
	}
	public String getScore_source_name() {
		return score_source_name;
	}
	public void setScore_source_name(String score_source_name) {
		this.score_source_name = score_source_name;
	}

	
  	public String getStatus_name() {
		return status_name;
	}
	public void setStatus_name(String status_name) {
		this.status_name = status_name;
	}


  	
	public String getStd_source() {
		return std_source;
	}
	public void setStd_source(String std_source) {
		this.std_source = std_source;
	}
	public String getOrg_name() {
		return org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getYear_code() {
		return year_code;
	}
	public Integer getStd_reg_id() {
		return std_reg_id;
	}
	public Integer getMajor_id() {
		return major_id;
	}
	public Integer getCourse_id() {
		return course_id;
	}
	public String getOrigin_score() {
		return origin_score;
	}
	public String getFinal_score() {
		return final_score;
	}
	public LocalDateTime getRepl_date() {
		return repl_date;
	}
	public LocalDate getExam_date() {
		return exam_date;
	}
	public Integer getScore_source() {
		return score_source;
	}
	public String getRemark() {
		return remark;
	}
	public Integer getStatus() {
		return status;
	}
	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}
	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
	}
	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
	}
	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
	}
	public void setOrigin_score(String origin_score) {
		this.origin_score = origin_score;
	}
	public void setFinal_score(String final_score) {
		this.final_score = final_score;
	}
	public void setRepl_date(LocalDateTime repl_date) {
		this.repl_date = repl_date;
	}
	public void setExam_date(LocalDate exam_date) {
		this.exam_date = exam_date;
	}
	public void setScore_source(Integer score_source) {
		this.score_source = score_source;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public Integer getRepl_record_id() {
		return repl_record_id;
	}
	public void setRepl_record_id(Integer repl_record_id) {
		this.repl_record_id = repl_record_id;
	}


	//其他字段
	protected String course_name;
	protected String major_name;
	protected Integer score_id;
	
	public String getCourse_code() {
		return course_code;
	}
	public String getMajor_name() {
		return major_name;
	}
	public String getTicket_no() {
		return ticket_no;
	}
	public String getCert_no() {
		return cert_no;
	}
	public void setCourse_code(String course_code) {
		this.course_code = course_code;
	}
	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}
	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
	}
	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}
	public String getStd_name() {
		return std_name;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}
	public String getCourse_name() {
		return course_name;
	}
	public String getMajor_code() {
		return major_code;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
	public void setMajor_code(String major_code) {
		this.major_code = major_code;
	}
	public String getCourse_score() {
		return course_score;
	}
	public void setCourse_score(String course_score) {
		this.course_score = course_score;
	}
	public Integer getScore_id() {
		return score_id;
	}
	public void setScore_id(Integer score_id) {
		this.score_id = score_id;
	}
	
	public int hashCode() {
	     return new HashCodeBuilder(17, 37).
	       append(this.ticket_no).
	       append(this.major_code).
	       append(this.course_code).
	       append(this.origin_score).
	       append(this.final_score).
	       toHashCode();
	}
	
	public boolean equals(Object obj) {
		   if (obj == null) { return false; }
		   if (obj == this) { return true; }
		   if (obj.getClass() != getClass()) {
		     return false;
		   }
		   KjUnifiedScoreDetail oth = (KjUnifiedScoreDetail) obj;
		   return new EqualsBuilder().
			       append(this.ticket_no, oth.ticket_no).
			       append(this.major_code, oth.major_code).
			       append(this.course_code, oth.course_code).
			       append(this.origin_score, oth.origin_score).
			       append(this.final_score, oth.final_score)
			       .isEquals();
	}
	
	public static void main(String[] args) {
		List<KjUnifiedScoreDetail> detaiList = new ArrayList<KjUnifiedScoreDetail>();
		KjUnifiedScoreDetail d1 = new KjUnifiedScoreDetail();
		KjUnifiedScoreDetail d2 = new KjUnifiedScoreDetail();
		KjUnifiedScoreDetail d3 = new KjUnifiedScoreDetail();
		d1.setTicket_no("010104153716");d1.setMajor_code("B050011");d1.setCourse_code("03708");d1.setFinal_score("62");d1.setYear_code(201904);
		d2.setTicket_no("010104153716");d2.setMajor_code("B050011");d2.setCourse_code("00721");d2.setFinal_score("64");d2.setYear_code(201601);
		d3.setTicket_no("010104153716");d3.setMajor_code("B050011");d3.setCourse_code("00725");d3.setFinal_score("66");d3.setYear_code(201710);
		detaiList.add(d1);
		detaiList.add(d2);
		detaiList.add(d3);
		
		Collections.sort(detaiList, new Comparator<KjUnifiedScoreDetail>() {

			@Override
			public int compare(KjUnifiedScoreDetail o1, KjUnifiedScoreDetail o2) {
				return o2.getYear_code().compareTo(o1.getYear_code());
			}
	
		});
		
		System.err.println(detaiList);
	}
	public String getOld_ticket_no1() {
		return old_ticket_no1;
	}
	public String getOld_ticket_no2() {
		return old_ticket_no2;
	}
	public void setOld_ticket_no1(String old_ticket_no1) {
		this.old_ticket_no1 = old_ticket_no1;
	}
	public void setOld_ticket_no2(String old_ticket_no2) {
		this.old_ticket_no2 = old_ticket_no2;
	}
	public String getNote() {
		return note;
	}
	public void setNote(String note) {
		this.note = note;
	}
	public Integer getCompose() {
		return compose;
	}
	public void setCompose(Integer compose) {
		this.compose = compose;
	}
	
}