package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 考务编排主表 模型.
 * 
 * @author: zq
 * @date: 2018-11-12 14:05:00
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "KW_LAYOUT", keyColumn = "id", sequenceName = "SEQ_KW_LAYOUT")
public class KwLayout implements Serializable {
	private static final long serialVersionUID = -2065410449844100675L;
  	//创建时间
  	private LocalDateTime create_time;
  	//考试时间段 ABCDXYE
  	private String exam_times;
  	//考试时间ID
  	private Integer exam_time_id;
  	//考点ID.
  	private Integer exam_point_id;
  	//考点单元ID
  	private Integer exam_unit_id;
  	//主键
  	private Integer id;
  	//考场数
  	private Integer room_num;
  	//是否统考编排
  	private Integer unified_flag;
  	
	/**
	 * 创建时间
	 */	
  	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
  	}
 	/**
	 * 创建时间
	 */	 	
  	public LocalDateTime getCreate_time() {
		return create_time;
  	}
	/**
	 * 考试时间段 ABCDXYE
	 */	
  	public void setExam_times(String exam_times) {
		this.exam_times = exam_times;
  	}
 	/**
	 * 考试时间段 ABCDXYE
	 */	 	
  	public String getExam_times() {
		return exam_times;
  	}
	/**
	 * 考试时间ID
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间ID
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	public Integer getExam_point_id() {
		return exam_point_id;
	}
	public void setExam_point_id(Integer exam_point_id) {
		this.exam_point_id = exam_point_id;
	}
	/**
	 * 考点单元ID
	 */	
  	public void setExam_unit_id(Integer exam_unit_id) {
		this.exam_unit_id = exam_unit_id;
  	}
 	/**
	 * 考点单元ID
	 */	 	
  	public Integer getExam_unit_id() {
		return exam_unit_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 考场数
	 */	
  	public void setRoom_num(Integer room_num) {
		this.room_num = room_num;
  	}
 	/**
	 * 考场数
	 */	 	
  	public Integer getRoom_num() {
		return room_num;
  	}
  	
  	//显示字段-----
  	/**
  	 * 总科次
  	 */
  	protected Integer nums;
  	/**
  	 * 考点单元编码
  	 */
  	protected String unit_code;
  	/**
  	 * 考点单元名
  	 */
  	protected String unit_name;
  	/**
  	 * 考点单元编码
  	 */
  	protected String unit_code_bz;
  	/**
  	 * 考点单元名
  	 */
  	protected String unit_name_bz;
  	/**
  	 * 主考学校code
  	 */
  	protected String school_code;
  	/**
  	 * 主考学校名称
  	 */
  	protected String school_name;
  	/**
  	 * 主考学校名称
  	 */
  	protected String exam_area_name;
  	/**
  	 * 助学班code
  	 */
  	protected String help_code;
  	/**
  	 * 助学班名称
  	 */
  	protected String help_name;
  	/**
  	 * 考区ID
  	 */
  	protected Integer exam_area_id;
  	
  	protected LocalDate exam_first_day;
  	protected LocalDate exam_second_day;
  	protected LocalDate exam_third_day;
  	
  	
	public String getUnit_code_bz() {
		return unit_code_bz;
	}
	public void setUnit_code_bz(String unit_code_bz) {
		this.unit_code_bz = unit_code_bz;
	}
	public String getUnit_name_bz() {
		return unit_name_bz;
	}
	public void setUnit_name_bz(String unit_name_bz) {
		this.unit_name_bz = unit_name_bz;
	}
	public Integer getNums() {
		return nums;
	}
	public String getUnit_code() {
		return unit_code;
	}
	public String getUnit_name() {
		return unit_name;
	}
	public void setNums(Integer nums) {
		this.nums = nums;
	}
	public void setUnit_code(String unit_code) {
		this.unit_code = unit_code;
	}
	public void setUnit_name(String unit_name) {
		this.unit_name = unit_name;
	}
	public String getSchool_code() {
		return school_code;
	}
	public String getHelp_code() {
		return help_code;
	}
	public Integer getExam_area_id() {
		return exam_area_id;
	}
	public void setSchool_code(String school_code) {
		this.school_code = school_code;
	}
	public void setHelp_code(String help_code) {
		this.help_code = help_code;
	}
	public void setExam_area_id(Integer exam_area_id) {
		this.exam_area_id = exam_area_id;
	}
	public String getSchool_name() {
		return school_name;
	}
	public String getExam_area_name() {
		return exam_area_name;
	}
	public String getHelp_name() {
		return help_name;
	}
	public void setSchool_name(String school_name) {
		this.school_name = school_name;
	}
	public void setExam_area_name(String exam_area_name) {
		this.exam_area_name = exam_area_name;
	}
	public void setHelp_name(String help_name) {
		this.help_name = help_name;
	}
	public LocalDate getExam_first_day() {
		return exam_first_day;
	}
	public LocalDate getExam_second_day() {
		return exam_second_day;
	}
	public LocalDate getExam_third_day() {
		return exam_third_day;
	}
	public void setExam_first_day(LocalDate exam_first_day) {
		this.exam_first_day = exam_first_day;
	}
	public void setExam_second_day(LocalDate exam_second_day) {
		this.exam_second_day = exam_second_day;
	}
	public void setExam_third_day(LocalDate exam_third_day) {
		this.exam_third_day = exam_third_day;
	}
	public Integer getUnified_flag() {
		return unified_flag;
	}
	public void setUnified_flag(Integer unified_flag) {
		this.unified_flag = unified_flag;
	}
  	
}