package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**
 * 特殊考试批次 模型.
 * 
 * @author: haoguanghui
 * @date: 2018-11-18 11:49:28
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "kw_special_exam_batch", keyColumn = "id", sequenceName = "SEQ_kw_special_exam_batch")
public class KwSpecialExamBatch implements Serializable {
	private static final long serialVersionUID = -978929195732937051L;
	
	//主键
  	private Integer id;
  	//批次编码
  	private String batch_code;
    //批次名称
  	private String batch_name;
    //考场数
  	private Integer batch_num;
  	//考点地址
  	private String address;
  	//类型 0-1机考，1-中英考试，2-其他
  	private Integer batch_type;
  	//考试时间
  	private LocalDateTime exam_time;
  	//考试时间
  	private Integer exam_time_id;
  	//创建者机构ID
  	private Integer group_id;
  	//备注
  	private String remark;
  
	/**
	 * 考点地址
	 */	
  	public void setAddress(String address) {
		this.address = address;
  	}
 	/**
	 * 考点地址
	 */	 	
  	public String getAddress() {
		return address;
  	}
	/**
	 * 批次编码
	 */	
  	public void setBatch_code(String batch_code) {
		this.batch_code = batch_code;
  	}
 	/**
	 * 批次编码
	 */	 	
  	public String getBatch_code() {
		return batch_code;
  	}
	/**
	 * 批次名称
	 */	
  	public void setBatch_name(String batch_name) {
		this.batch_name = batch_name;
  	}
 	/**
	 * 批次名称
	 */	 	
  	public String getBatch_name() {
		return batch_name;
  	}
	/**
	 * 考场数
	 */	
  	public void setBatch_num(Integer batch_num) {
		this.batch_num = batch_num;
  	}
 	/**
	 * 考场数
	 */	 	
  	public Integer getBatch_num() {
		return batch_num;
  	}
	/**
	 * 类型 0-1机考，1-中英考试，2-其他
	 */	
  	public void setBatch_type(Integer batch_type) {
		this.batch_type = batch_type;
  	}
 	/**
	 * 类型 0-1机考，1-中英考试，2-其他
	 */	 	
  	public Integer getBatch_type() {
		return batch_type;
  	}
	/**
	 * 考试时间
	 */	
  	public void setExam_time(LocalDateTime exam_time) {
		this.exam_time = exam_time;
  	}
 	/**
	 * 考试时间
	 */	 	
  	public LocalDateTime getExam_time() {
		return exam_time;
  	}
	/**
	 * 考试时间
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 创建者机构ID
	 */	
  	public void setGroup_id(Integer group_id) {
		this.group_id = group_id;
  	}
 	/**
	 * 创建者机构ID
	 */	 	
  	public Integer getGroup_id() {
		return group_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
  	
  	protected Integer course_id;//课程ID
	protected Integer room_capacity;// 容量
	protected LocalDateTime start_time;// 考试开始时间
	protected Integer exam_length;// 考试时长（分钟）
	protected Integer exam_interval;// 考试间隔（分钟）

	public Integer getRoom_capacity() {
		return room_capacity;
	}

	public void setRoom_capacity(Integer room_capacity) {
		this.room_capacity = room_capacity;
	}

	public LocalDateTime getStart_time() {
		return start_time;
	}

	public void setStart_time(LocalDateTime start_time) {
		this.start_time = start_time;
	}

	public Integer getExam_length() {
		return exam_length;
	}

	public void setExam_length(Integer exam_length) {
		this.exam_length = exam_length;
	}

	public Integer getExam_interval() {
		return exam_interval;
	}

	public void setExam_interval(Integer exam_interval) {
		this.exam_interval = exam_interval;
	}
	public Integer getCourse_id() {
		return course_id;
	}
	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
	}
  	
}