package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**
 * 特殊考场 模型.
 * 
 * @author: haoguanghui
 * @date: 2018-11-18 11:49:30
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "kw_special_exam_room", keyColumn = "id", sequenceName = "SEQ_kw_special_exam_room")
public class KwSpecialExamRoom implements Serializable {
	private static final long serialVersionUID = 1923876371469652409L;
	//主键
	private Integer id;
  	//批次ID 引用kw_special_exam_batch.id
  	private Integer batch_id;
  	//课程ID
  	private Integer course_id;
  	//考场容量
  	private Integer room_capacity;
  	//考场序号
  	private Integer room_num;
  	//开始时间
  	private LocalDateTime start_time;
  	//结束时间
  	private LocalDateTime end_time;
  	//备注
  	private String remark;
  
	/**
	 * 批次ID 引用kw_special_exam_batch.id
	 */	
  	public void setBatch_id(Integer batch_id) {
		this.batch_id = batch_id;
  	}
 	/**
	 * 批次ID 引用kw_special_exam_batch.id
	 */	 	
  	public Integer getBatch_id() {
		return batch_id;
  	}
	/**
	 * 课程ID
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 结束时间
	 */	
  	public void setEnd_time(LocalDateTime end_time) {
		this.end_time = end_time;
  	}
 	/**
	 * 结束时间
	 */	 	
  	public LocalDateTime getEnd_time() {
		return end_time;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 考场容量
	 */	
  	public void setRoom_capacity(Integer room_capacity) {
		this.room_capacity = room_capacity;
  	}
 	/**
	 * 考场容量
	 */	 	
  	public Integer getRoom_capacity() {
		return room_capacity;
  	}
	/**
	 * 考场序号
	 */	
  	public void setRoom_num(Integer room_num) {
		this.room_num = room_num;
  	}
 	/**
	 * 考场序号
	 */	 	
  	public Integer getRoom_num() {
		return room_num;
  	}
	/**
	 * 开始时间
	 */	
  	public void setStart_time(LocalDateTime start_time) {
		this.start_time = start_time;
  	}
 	/**
	 * 开始时间
	 */	 	
  	public LocalDateTime getStart_time() {
		return start_time;
  	}

	protected String full_course_name;// 课程名称
	protected String batch_name;//批次名称

	public String getFull_course_name() {
		return full_course_name;
	}

	public void setFull_course_name(String full_course_name) {
		this.full_course_name = full_course_name;
	}

	public String getBatch_name() {
		return batch_name;
	}

	public void setBatch_name(String batch_name) {
		this.batch_name = batch_name;
	}
  	
}