package cn.hmsoft.ses.data.model.pay;

import java.io.Serializable;

public class Invoicing implements Serializable {
	private static final long serialVersionUID = -7072392668513664941L;
	// 电子票据代码（暂时传45040401）
	private String eInvoiceCode;
	// 交款人代码（单位一般为统一社会 信用代码；个人一般 为身份证号）
	private String payerPartyCode;
	// 交款人类型（1：个人，2：单位）
	private String payerPartyType;
	// 交款方式（1:现金 2：转账 3：其它）
	private String payMode;
	// 项目编码（暂时传60101）
	private String itemCode;
	// 项目名称（暂时传代收水费）
	private String itemName;
	// 数量
	private String itemQuantity;
	// 金额单位（手填，财厅新规定已经不返回此字段）
	private String itemUnit;
	// 标准（单价）
	private String itemStd;
	// 金额（单价*数量）
	private String itemAmount;
	// 项目备注
	private String itemRemark;
	// 开票点编码（暂时传001）
	private String placeCode;
	// 访问系统编码（暂时传0000）
	private String receiveCode;
	// 开票人
	private String handlingPerson;
	// 开票类型（0：正常发票，1：冲红发票）
	private String status;
	// 冲红原因（如果开票类型是1时必填）
	private String writeoffReason;
	// 原票据号码（如果开票类型是1时必填）
	private String oldEInvoiceNumber;
	// 请求系统业务ID
	private String businessId;
	// 开票方式：1-手工开票（通过电子票据管理系统开票）2-高校开票（通过电子票据管理系统开票）3-除电子票据系统外其他接入系统开票
	private String invoiceType;
	// 考次代码(开票方式为3时必填)
	private String examBatchCode;
	// 院校代码
	private String schoolCode;
	// 院校名称
	private String schoolName;
	// 申请人
	private String applyPeople;
	
	private String payerPartyName;
	
	private String checker;
	//备注
	private String remark;
	
	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public String getPayerPartyName() {
		return payerPartyName;
	}

	public void setPayerPartyName(String payerPartyName) {
		this.payerPartyName = payerPartyName;
	}

	public String getPayerPartyCode() {
		return payerPartyCode;
	}

	public void setPayerPartyCode(String payerPartyCode) {
		this.payerPartyCode = payerPartyCode;
	}

	public String geteInvoiceCode() {
		return eInvoiceCode;
	}

	public void seteInvoiceCode(String eInvoiceCode) {
		this.eInvoiceCode = eInvoiceCode;
	}

	public String getPayerPartyType() {
		return payerPartyType;
	}

	public void setPayerPartyType(String payerPartyType) {
		this.payerPartyType = payerPartyType;
	}

	public String getPayMode() {
		return payMode;
	}

	public void setPayMode(String payMode) {
		this.payMode = payMode;
	}

	public String getItemCode() {
		return itemCode;
	}

	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getItemQuantity() {
		return itemQuantity;
	}

	public void setItemQuantity(String itemQuantity) {
		this.itemQuantity = itemQuantity;
	}

	public String getItemUnit() {
		return itemUnit;
	}

	public void setItemUnit(String itemUnit) {
		this.itemUnit = itemUnit;
	}

	public String getItemStd() {
		return itemStd;
	}

	public void setItemStd(String itemStd) {
		this.itemStd = itemStd;
	}

	public String getItemAmount() {
		return itemAmount;
	}

	public void setItemAmount(String itemAmount) {
		this.itemAmount = itemAmount;
	}

	public String getItemRemark() {
		return itemRemark;
	}

	public void setItemRemark(String itemRemark) {
		this.itemRemark = itemRemark;
	}

	public String getPlaceCode() {
		return placeCode;
	}

	public void setPlaceCode(String placeCode) {
		this.placeCode = placeCode;
	}

	public String getReceiveCode() {
		return receiveCode;
	}

	public void setReceiveCode(String receiveCode) {
		this.receiveCode = receiveCode;
	}

	public String getHandlingPerson() {
		return handlingPerson;
	}

	public void setHandlingPerson(String handlingPerson) {
		this.handlingPerson = handlingPerson;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getWriteoffReason() {
		return writeoffReason;
	}

	public void setWriteoffReason(String writeoffReason) {
		this.writeoffReason = writeoffReason;
	}

	public String getOldEInvoiceNumber() {
		return oldEInvoiceNumber;
	}

	public void setOldEInvoiceNumber(String oldEInvoiceNumber) {
		this.oldEInvoiceNumber = oldEInvoiceNumber;
	}

	public String getBusinessId() {
		return businessId;
	}

	public void setBusinessId(String businessId) {
		this.businessId = businessId;
	}

	public String getInvoiceType() {
		return invoiceType;
	}

	public void setInvoiceType(String invoiceType) {
		this.invoiceType = invoiceType;
	}

	public String getExamBatchCode() {
		return examBatchCode;
	}

	public void setExamBatchCode(String examBatchCode) {
		this.examBatchCode = examBatchCode;
	}

	public String getSchoolCode() {
		return schoolCode;
	}

	public void setSchoolCode(String schoolCode) {
		this.schoolCode = schoolCode;
	}

	public String getSchoolName() {
		return schoolName;
	}

	public void setSchoolName(String schoolName) {
		this.schoolName = schoolName;
	}

	public String getApplyPeople() {
		return applyPeople;
	}

	public void setApplyPeople(String applyPeople) {
		this.applyPeople = applyPeople;
	}

}