package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 国考计划表 针对国考的开考计划 模型.
 * 
 * @author: zq
 * @date: 2018-10-18 12:19:35
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "PL_COUNTRY_EXAM_PLAN", keyColumn = "id", sequenceName = "SEQ_PL_COUNTRY_EXAM_PLAN")
public class PlCountryExamPlan implements Serializable {
	private static final long serialVersionUID = -6709925097929647340L;
  	//课程代码 冗余字段
  	private String country_course_code;
  	//课程ID 和课程表关联
  	private Integer country_course_id;
  	//课程名称
  	private String country_course_name;
  	//考试时间 如：星期六上午
  	private String country_exam_time;
  	//考试时间配置ID 和考试时间设置表关联
  	private Integer exam_time_id;
  	//主键ID
  	private Integer id;
  	private String start_time;
  	private String end_time;
	/**
	 * 课程代码 冗余字段
	 */	
  	public void setCountry_course_code(String country_course_code) {
		this.country_course_code = country_course_code;
  	}
 	/**
	 * 课程代码 冗余字段
	 */	 	
  	public String getCountry_course_code() {
		return country_course_code;
  	}
	/**
	 * 课程ID 和课程表关联
	 */	
  	public void setCountry_course_id(Integer country_course_id) {
		this.country_course_id = country_course_id;
  	}
 	/**
	 * 课程ID 和课程表关联
	 */	 	
  	public Integer getCountry_course_id() {
		return country_course_id;
  	}
	/**
	 * 课程名称
	 */	
  	public void setCountry_course_name(String country_course_name) {
		this.country_course_name = country_course_name;
  	}
 	/**
	 * 课程名称
	 */	 	
  	public String getCountry_course_name() {
		return country_course_name;
  	}
	/**
	 * 考试时间 如：星期六上午
	 */	
  	public void setCountry_exam_time(String country_exam_time) {
		this.country_exam_time = country_exam_time;
  	}
 	/**
	 * 考试时间 如：星期六上午
	 */	 	
  	public String getCountry_exam_time() {
		return country_exam_time;
  	}
	/**
	 * 考试时间配置ID 和考试时间设置表关联
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间配置ID 和考试时间设置表关联
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
  	
	//课程学分
  	protected String score;
  	//考试年度
  	protected Integer exam_year;
  	protected Integer exam_month;
  	//星期天上午
  	protected String full_exam_date;
  	
	public String getScore() {
		return score;
	}
	public void setScore(String score) {
		this.score = score;
	}

	public Integer getExam_year() {
		return exam_year;
	}
	public void setExam_year(Integer exam_year) {
		this.exam_year = exam_year;
	}
	public String getFull_exam_date() {
		return full_exam_date;
	}
	public void setFull_exam_date(String full_exam_date) {
		this.full_exam_date = full_exam_date;
	}
  	public Integer getExam_month() {
		return exam_month;
	}
	public void setExam_month(Integer exam_month) {
		this.exam_month = exam_month;
	}
	public String getStart_time() {
		return start_time;
	}
	public String getEnd_time() {
		return end_time;
	}
	public void setStart_time(String start_time) {
		this.start_time = start_time;
	}
	public void setEnd_time(String end_time) {
		this.end_time = end_time;
	}

}