package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 课程表 模型.
 * 
 * @author: haoguanghui
 * @date: 2018-10-16 21:08:14
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_course", keyColumn = "id", sequenceName = "seq_pl_course")
public class PlCourse implements Serializable {
	private static final long serialVersionUID = 8899805101057304070L;
  	//课程代号
  	private String course_code;
  	//考试课程类型 1：理论课；2：实践课；3：未知
  	private Integer course_exam_type;
  	//课程名称
  	private String course_name;
  	//学分，可以有一位小数
  	private String course_score;
  	//国标代码
  	private String course_standard_code;
  	//课程ID
  	private Integer id;
  	//是否国考 null或1：非统考；2：统考
  	private Integer is_nation_exam;
  	//父ID 针对湖北的联合课，没有的话，为null
  	private Integer pid;
  	//课程说明
  	private String remark;
  	//特殊标志 1：普通课程；2：特殊课程
  	private Integer special_flag;
  	//状态 开考、停考
  	private Integer status;
    //是否网评卷
  	private Integer is_net_mark;
  	//课程收费代码
  	private String fee_code;
  	//社会考生是否可以报考
  	private Integer is_social_enrol;
  	//课程类型：0：实践课，1：沟通课，默认为空
  	private Integer course_type;
  	
  	protected Integer course_nature;
	protected String final_score;
	
	public String getFinal_score() {
		return final_score;
	}
	public void setFinal_score(String final_score) {
		this.final_score = final_score;
	}
	public Integer getCourse_nature() {
		return course_nature;
	}
	public void setCourse_nature(Integer course_nature) {
		this.course_nature = course_nature;
	}
	/**
	 * 课程代号
	 */	
  	public void setCourse_code(String course_code) {
		this.course_code = course_code;
  	}
 	/**
	 * 课程代号
	 */	 	
  	public String getCourse_code() {
		return course_code;
  	}
	/**
	 * 考试课程类型 1：理论课；2：实践课；3：未知
	 */	
  	public void setCourse_exam_type(Integer course_exam_type) {
		this.course_exam_type = course_exam_type;
  	}
 	/**
	 * 考试课程类型 1：理论课；2：实践课；3：未知
	 */	 	
  	public Integer getCourse_exam_type() {
		return course_exam_type;
  	}
	/**
	 * 课程名称
	 */	
  	public void setCourse_name(String course_name) {
		this.course_name = course_name;
  	}
 	/**
	 * 课程名称
	 */	 	
  	public String getCourse_name() {
		return course_name;
  	}
	/**
	 * 学分，可以有一位小数
	 */	
  	public void setCourse_score(String course_score) {
		this.course_score = course_score;
  	}
 	/**
	 * 学分，可以有一位小数
	 */	 	
  	public String getCourse_score() {
		return course_score;
  	}
	/**
	 * 国标代码
	 */	
  	public void setCourse_standard_code(String course_standard_code) {
		this.course_standard_code = course_standard_code;
  	}
 	/**
	 * 国标代码
	 */	 	
  	public String getCourse_standard_code() {
		return course_standard_code;
  	}
	/**
	 * 课程ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 课程ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 是否国考 null或1：非统考；2：统考
	 */	
  	public void setIs_nation_exam(Integer is_nation_exam) {
		this.is_nation_exam = is_nation_exam;
  	}
 	/**
	 * 是否国考 null或1：非统考；2：统考
	 */	 	
  	public Integer getIs_nation_exam() {
		return is_nation_exam;
  	}
	/**
	 * 父ID 针对湖北的联合课，没有的话，为null
	 */	
  	public void setPid(Integer pid) {
		this.pid = pid;
  	}
 	/**
	 * 父ID 针对湖北的联合课，没有的话，为null
	 */	 	
  	public Integer getPid() {
		return pid;
  	}
	/**
	 * 课程说明
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 课程说明
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 特殊标志 1：普通课程；2：特殊课程
	 */	
  	public void setSpecial_flag(Integer special_flag) {
		this.special_flag = special_flag;
  	}
 	/**
	 * 特殊标志 1：普通课程；2：特殊课程
	 */	 	
  	public Integer getSpecial_flag() {
		return special_flag;
  	}
	/**
	 * 状态 开考、停考
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 开考、停考
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 课程收费代码
	 */	  	
	public String getFee_code() {
		return fee_code;
	}
	/**
	 * 课程收费代码
	 */	
	public void setFee_code(String fee_code) {
		this.fee_code = fee_code;
	}
	/**
	 * 是否网评卷
	 */	
	public Integer getIs_net_mark() {
		return is_net_mark;
	}
	/**
	 * 是否网评卷
	 */	
	public void setIs_net_mark(Integer is_net_mark) {
		this.is_net_mark = is_net_mark;
	}
	/**
	 * 社会考生是否可以报考
	 */	
	public Integer getIs_social_enrol() {
		return is_social_enrol;
	}
	/**
	 * 社会考生是否可以报考
	 */	
	public void setIs_social_enrol(Integer is_social_enrol) {
		this.is_social_enrol = is_social_enrol;
	}


	public Integer getCourse_type() {
		return course_type;
	}
	public void setCourse_type(Integer course_type) {
		this.course_type = course_type;
	}


	protected String code_course_name;// （课程代码+课程名称）
	protected String textbook_name; //关联教材名称
	protected String textbook_writer; //关联教材名称
	protected String textbook_publisher; //关联教材名称
	protected String textbook_revision; //关联教材名称
	protected String textbook_outline; //关联教材名称

	public String getCode_course_name() {
		return code_course_name;
	}

	public void setCode_course_name(String code_course_name) {
		this.code_course_name = code_course_name;
	}

	public String getTextbook_name() {
		return textbook_name;
	}

	public void setTextbook_name(String textbook_name) {
		this.textbook_name = textbook_name;
	}
	public String getTextbook_writer() {
		return textbook_writer;
	}
	public void setTextbook_writer(String textbook_writer) {
		this.textbook_writer = textbook_writer;
	}
	public String getTextbook_publisher() {
		return textbook_publisher;
	}
	public void setTextbook_publisher(String textbook_publisher) {
		this.textbook_publisher = textbook_publisher;
	}
	public String getTextbook_revision() {
		return textbook_revision;
	}
	public void setTextbook_revision(String textbook_revision) {
		this.textbook_revision = textbook_revision;
	}
	public String getTextbook_outline() {
		return textbook_outline;
	}
	public void setTextbook_outline(String textbook_outline) {
		this.textbook_outline = textbook_outline;
	}
	
  	
	
}