package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 沟通课程备案表.
 * 
 * @author: zq
 * @date: 2018-12-02 15:34:28
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "PL_COURSE_RECORD", keyColumn = "id", sequenceName = "SEQ_PL_COURSE_RECORD")
public class PlCourseRecord implements Serializable {
	private static final long serialVersionUID = 2421430327482677126L;
  	//申报ID
  	private Integer apply_id;
  	//申报机构ID 指申报专业的机构，一般为主考院校、学习服务中心
  	private Integer apply_org_id;
  	//申报时间
  	private LocalDate apply_time;
  	
  	//申办形式
  	private Integer apply_form;
  	//主键ID
  	private Integer id;
  	//专业ID 和专业信息表关联
  	private Integer course_id;
  	//备注
  	private String remark;
  	//主考学校ID 和机构表关联
  	private Integer school_id;
  	//禁用-0，启用-1
  	private Integer status;
  	//年度码 如：201910
  	private Integer year_code;
  	
  	private String course_code;
  	
  	private String course_name;
  	private String school_name;
  	
  	
  	public Integer getCourse_id() {
		return course_id;
	}
	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
	}
	public String getCourse_code() {
		return course_code;
	}
	public void setCourse_code(String course_code) {
		this.course_code = course_code;
	}
	public String getCourse_name() {
		return course_name;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}

	
	/**
	 * 申报ID
	 */	
  	public void setApply_id(Integer apply_id) {
		this.apply_id = apply_id;
  	}
 	/**
	 * 申报ID
	 */	 	
  	public Integer getApply_id() {
		return apply_id;
  	}
	/**
	 * 申报机构ID 指申报专业的机构，一般为主考院校、学习服务中心
	 */	
  	public void setApply_org_id(Integer apply_org_id) {
		this.apply_org_id = apply_org_id;
  	}
 	/**
	 * 申报机构ID 指申报专业的机构，一般为主考院校、学习服务中心
	 */	 	
  	public Integer getApply_org_id() {
		return apply_org_id;
  	}
	/**
	 * 申报时间
	 */	
  	public void setApply_time(LocalDate apply_time) {
		this.apply_time = apply_time;
  	}
 	/**
	 * 申报时间
	 */	 	
  	public LocalDate getApply_time() {
		return apply_time;
  	}
	
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 主考学校ID 和机构表关联
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 主考学校ID 和机构表关联
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
	/**
	 * 审核状态 1：待审核；2：审核通过；3：审核不通过
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 审核状态 1：待审核；2：审核通过；3：审核不通过
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 年度码 如：2018；如：湖北的181
	 */	
  	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 年度码 如：2018；如：湖北的181
	 */	 	
  	public Integer getYear_code() {
		return year_code;
  	}
  	
	public String getSchool_name() {
		return school_name;
	}
	
	public void setSchool_name(String school_name) {
		this.school_name = school_name;
	}
	public Integer getApply_form() {
		return apply_form;
	}
	public void setApply_form(Integer apply_form) {
		this.apply_form = apply_form;
	}
	
}