package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 课程考区关系对应表  模型.
 * 
 * @author: haoguanghui
 * @date: 2018-12-10 15:54:10
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_exam_area_course", keyColumn = "id", sequenceName = "seq_pl_exam_area_course")
public class PlExamAreaCourse implements Serializable {
	private static final long serialVersionUID = 2818900543171319151L;
	//主键ID
	private Integer id;
	//课程ID 和课程表关联
	private Integer course_id;
  	//课程code 冗余字段，适应老库的数据
  	private String course_code;
  	//考区code 冗余字段，适应老库的数据
  	private String org_code;
  	//考区ID 和机构表关联
  	private Integer org_id;
  	//考试时间ID 和考试时间配置表关联
  	private Integer exam_time_id;
  
	/**
	 * 课程code 冗余字段，适应老库的数据
	 */	
  	public void setCourse_code(String course_code) {
		this.course_code = course_code;
  	}
 	/**
	 * 课程code 冗余字段，适应老库的数据
	 */	 	
  	public String getCourse_code() {
		return course_code;
  	}
	/**
	 * 课程ID 和课程表关联
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID 和课程表关联
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 考试时间ID 和考试时间配置表关联
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间ID 和考试时间配置表关联
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 考区code 冗余字段，适应老库的数据
	 */	
  	public void setOrg_code(String org_code) {
		this.org_code = org_code;
  	}
 	/**
	 * 考区code 冗余字段，适应老库的数据
	 */	 	
  	public String getOrg_code() {
		return org_code;
  	}
	/**
	 * 考区ID 和机构表关联
	 */	
  	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
  	}
 	/**
	 * 考区ID 和机构表关联
	 */	 	
  	public Integer getOrg_id() {
		return org_id;
  	}
  	
	protected String org_name;// 考区名称
	protected String city_name;// 地市
	protected String is_can_enrol;// 是否限制报考
	
	public String getIs_can_enrol() {
		return is_can_enrol;
	}
	public void setIs_can_enrol(String is_can_enrol) {
		this.is_can_enrol = is_can_enrol;
	}
	public String getCity_name() {
		return city_name;
	}
	public void setCity_name(String city_name) {
		this.city_name = city_name;
	}
	public String getOrg_name() {
		return org_name;
	}

	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

}