package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 考试时间设置表 参照湖北考试三天 模型.
 * 
 * @author: yangwei
 * @date: 2018-10-17 13:47:57
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_exam_time", keyColumn = "id", sequenceName = "seq_pl_exam_time")
public class PlExamTime implements Serializable {
	private static final long serialVersionUID = -8480348674350246362L;
  	//考试第一天 YYYY-mm-dd
  	private LocalDate exam_first_day;
  	//考试月份 如：4、10
  	private Integer exam_month;
  	//考试第二天 YYYY-mm-dd
  	private LocalDate exam_second_day;
  	//考试第三天 YYYY-mm-dd
  	private LocalDate exam_third_day;
  	//考试年份 如：2019
  	private Integer exam_year;
  	//主键ID
  	private Integer id;
  	//状态 启用、禁用
  	private Integer status;
  	//年度码-国标、181、182
  	private Integer year_code;
  	
  	protected boolean currentYearCode;
  	
  
	public boolean isCurrentYearCode() {
		return currentYearCode;
	}
	public void setCurrentYearCode(boolean currentYearCode) {
		this.currentYearCode = currentYearCode;
	}
	/**
	 * 考试第一天 YYYY-mm-dd
	 */	
  	public void setExam_first_day(LocalDate exam_first_day) {
		this.exam_first_day = exam_first_day;
  	}
 	/**
	 * 考试第一天 YYYY-mm-dd
	 */	 	
  	public LocalDate getExam_first_day() {
		return exam_first_day;
  	}
	/**
	 * 考试月份 如：4、10
	 */	
  	public void setExam_month(Integer exam_month) {
		this.exam_month = exam_month;
  	}
 	/**
	 * 考试月份 如：4、10
	 */	 	
  	public Integer getExam_month() {
		return exam_month;
  	}
	/**
	 * 考试第二天 YYYY-mm-dd
	 */	
  	public void setExam_second_day(LocalDate exam_second_day) {
		this.exam_second_day = exam_second_day;
  	}
 	/**
	 * 考试第二天 YYYY-mm-dd
	 */	 	
  	public LocalDate getExam_second_day() {
		return exam_second_day;
  	}
	/**
	 * 考试第三天 YYYY-mm-dd
	 */	
  	public void setExam_third_day(LocalDate exam_third_day) {
		this.exam_third_day = exam_third_day;
  	}
 	/**
	 * 考试第三天 YYYY-mm-dd
	 */	 	
  	public LocalDate getExam_third_day() {
		return exam_third_day;
  	}
	/**
	 * 考试年份 如：2019
	 */	
  	public void setExam_year(Integer exam_year) {
		this.exam_year = exam_year;
  	}
 	/**
	 * 考试年份 如：2019
	 */	 	
  	public Integer getExam_year() {
		return exam_year;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 状态 启用、禁用
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 启用、禁用
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
  	
	protected String exam_year_month;//年-月
	protected String examyearmonth;//年-月

	
	public String getExamyearmonth() {
		return examyearmonth;
	}
	public void setExamyearmonth(String examyearmonth) {
		this.examyearmonth = examyearmonth;
	}
	public String getExam_year_month() {
		return exam_year_month;
	}
	public void setExam_year_month(String exam_year_month) {
		this.exam_year_month = exam_year_month;
	}
	public Integer getYear_code() {
		return year_code;
	}
	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}

}