package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**
 * 专业信息表
 * 
 * @author: haoguanghui
 * @date: 2018-10-16 15:40:22
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "PL_MAJOR", keyColumn = "id", sequenceName = "SEQ_PL_MAJOR")
public class PlMajor implements Serializable {
	private static final long serialVersionUID = -978381455685941978L;
  	
  	//专业ID
  	private Integer id;
  	//是否允许毕业 1：允许毕业；2：不允许毕业
  	private Integer is_allow_graduate;
  	//是否国考 1：统考专业；2：非统考专业
  	private Integer is_nation_exam;
  	//专业代号
  	private String major_code;
  	//层次属性 专科、本科
  	private Integer major_level;
  	//专业名称
  	private String major_name;
  	//国标专业代码
  	private String major_standard_code;
  	//国标专业名称
  	private String major_standard_name;
  	//备注
  	private String remark;
  	//停办证时间
  	private LocalDateTime stop_certificate_time;
  	//所属学科 和学科表关联
  	private Integer subject_id;
  	//课程总学分
  	private String total_credits;
  	//毕业总学分 毕业需要达到多少学分，才能毕业
  	private String graduate_total_credits;
  	//年度码
  	private Integer year;
  	//创建时间
  	private LocalDateTime create_time;
  	//停考时间
  	private String stop_exam_time;
  	//开停考标志
  	private Integer status;
  	//开考类型
  	private Integer start_exam_type;
  	//是否新专业，0：否 1：是
  	private Integer is_new_major;
  	//是否网考0：否1：是
  	private Integer is_net_exam;
  	//是否现场报考0：否1：是
  	private Integer is_live_enrol;
  	
  	//是否允许社会考生毕业 1：允许毕业；0：不允许毕业
  	private Integer is_allow_social;
  	
  	protected Integer major_id;

	public Integer getMajor_id() {
		return major_id;
	}
	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
	}
	public Integer getIs_allow_social() {
		return is_allow_social;
	}
	public void setIs_allow_social(Integer is_allow_social) {
		this.is_allow_social = is_allow_social;
	}
	/**
	 * 毕业总学分 毕业需要达到多少学分，才能毕业
	 */	
  	public void setGraduate_total_credits(String graduate_total_credits) {
		this.graduate_total_credits = graduate_total_credits;
  	}
 	/**
	 * 毕业总学分 毕业需要达到多少学分，才能毕业
	 */	 	
  	public String getGraduate_total_credits() {
		return graduate_total_credits;
  	}
	/**
	 * 专业ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 专业ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 是否允许毕业 1：允许毕业；2：不允许毕业
	 */	
  	public void setIs_allow_graduate(Integer is_allow_graduate) {
		this.is_allow_graduate = is_allow_graduate;
  	}
 	/**
	 * 是否允许毕业 1：允许毕业；2：不允许毕业
	 */	 	
  	public Integer getIs_allow_graduate() {
		return is_allow_graduate;
  	}
	/**
	 * 是否国考 1：统考专业；2：非统考专业
	 */	
  	public void setIs_nation_exam(Integer is_nation_exam) {
		this.is_nation_exam = is_nation_exam;
  	}
 	/**
	 * 是否国考 1：统考专业；2：非统考专业
	 */	 	
  	public Integer getIs_nation_exam() {
		return is_nation_exam;
  	}
	/**
	 * 专业代号
	 */	
  	public void setMajor_code(String major_code) {
		this.major_code = major_code;
  	}
 	/**
	 * 专业代号
	 */	 	
  	public String getMajor_code() {
		return major_code;
  	}
	/**
	 * 层次属性 专科、本科
	 */	
  	public void setMajor_level(Integer major_level) {
		this.major_level = major_level;
  	}
 	/**
	 * 层次属性 专科、本科
	 */	 	
  	public Integer getMajor_level() {
		return major_level;
  	}
	/**
	 * 专业名称
	 */	
  	public void setMajor_name(String major_name) {
		this.major_name = major_name;
  	}
 	/**
	 * 专业名称
	 */	 	
  	public String getMajor_name() {
		return major_name;
  	}
	/**
	 * 国标专业代码
	 */	
  	public void setMajor_standard_code(String major_standard_code) {
		this.major_standard_code = major_standard_code;
  	}
 	/**
	 * 国标专业代码
	 */	 	
  	public String getMajor_standard_code() {
		return major_standard_code;
  	}
	/**
	 * 国标专业名称
	 */	
  	public void setMajor_standard_name(String major_standard_name) {
		this.major_standard_name = major_standard_name;
  	}
 	/**
	 * 国标专业名称
	 */	 	
  	public String getMajor_standard_name() {
		return major_standard_name;
  	}
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 停办证时间
	 */	
  	public void setStop_certificate_time(LocalDateTime stop_certificate_time) {
		this.stop_certificate_time = stop_certificate_time;
  	}
 	/**
	 * 停办证时间
	 */	 	
  	public LocalDateTime getStop_certificate_time() {
		return stop_certificate_time;
  	}
	/**
	 * 所属学科 和学科表关联
	 */	
  	public void setSubject_id(Integer subject_id) {
		this.subject_id = subject_id;
  	}
 	/**
	 * 所属学科 和学科表关联
	 */	 	
  	public Integer getSubject_id() {
		return subject_id;
  	}
	/**
	 * 课程总学分
	 */	
  	public void setTotal_credits(String total_credits) {
		this.total_credits = total_credits;
  	}
 	/**
	 * 课程总学分
	 */	 	
  	public String getTotal_credits() {
		return total_credits;
  	}
	/**
	 * 年度码
	 */	
  	public void setYear(Integer year) {
		this.year = year;
  	}
 	/**
	 * 年度码
	 */	 	
  	public Integer getYear() {
		return year;
  	}
	/**
	 * 创建时间
	 */
	public LocalDateTime getCreate_time() {
		return create_time;
	}
	/**
	 * 创建时间
	 */
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}
	/**
	 * 停考时间
	 */
	public String getStop_exam_time() {
		return stop_exam_time;
	}
	/**
	 * 停考时间
	 */
	public void setStop_exam_time(String stop_exam_time) {
		this.stop_exam_time = stop_exam_time;
	}
	/**
	 * 开停考标志
	 */
	public Integer getStatus() {
		return status;
	}
	/**
	 * 开停考标志
	 */
	public void setStatus(Integer status) {
		this.status = status;
	}
	/**
	 * 开考类型
	 */
  	public Integer getStart_exam_type() {
		return start_exam_type;
	}
  	/**
	 * 开考类型
	 */
	public void setStart_exam_type(Integer start_exam_type) {
		this.start_exam_type = start_exam_type;
	}
	/**
	 * 是否新专业，0：否 1：是
	 */
	public Integer getIs_new_major() {
		return is_new_major;
	}
	/**
	 * 是否新专业，0：否 1：是
	 */
	public void setIs_new_major(Integer is_new_major) {
		this.is_new_major = is_new_major;
	}
	/**
	 * 是否网考0：否1：是
	 */
	public Integer getIs_net_exam() {
		return is_net_exam;
	}
	/**
	 * 是否网考0：否1：是
	 */
	public void setIs_net_exam(Integer is_net_exam) {
		this.is_net_exam = is_net_exam;
	}
	/**
	 * 是否现场报考0：否1：是
	 */
	public Integer getIs_live_enrol() {
		return is_live_enrol;
	}
	/**
	 * 是否现场报考0：否1：是
	 */
	public void setIs_live_enrol(Integer is_live_enrol) {
		this.is_live_enrol = is_live_enrol;
	}



	protected String subject_name;//学科名称
  	protected String course_name;//课程名称
  	protected String course_code;//课程代码
  	protected String course_score;//课程学分
  	protected String textbook_name;//教材名称
  	protected String textbook_publisher;//出版社
  	protected String textbook_revision;//版次
  	protected Integer subject_pid;
  	protected String major_full_name;//专业组合名称
  	protected String org_name; //专业所在学校
	protected String org_code;
  	protected Integer org_id;
  	protected Integer year_code;
  	protected String full_name;//专业组合名称
  	protected String exam_year_month;
  	
	public String getExam_year_month() {
		return exam_year_month;
	}
	public void setExam_year_month(String exam_year_month) {
		this.exam_year_month = exam_year_month;
	}
	public String getFull_name() {
		return full_name;
	}
	public void setFull_name(String full_name) {
		this.full_name = full_name;
	}
	public Integer getYear_code() {
		return year_code;
	}
	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}
	public Integer getOrg_id() {
		return org_id;
	}
	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
	}
  	
  	public String getOrg_code() {
		return org_code;
	}
	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}



	protected Integer old_major_status;
	
	public String getSubject_name() {
		return subject_name;
	}

	public void setSubject_name(String subject_name) {
		this.subject_name = subject_name;
	}

	public String getCourse_name() {
		return course_name;
	}

	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}

	public String getCourse_code() {
		return course_code;
	}

	public void setCourse_code(String course_code) {
		this.course_code = course_code;
	}

	public String getCourse_score() {
		return course_score;
	}

	public void setCourse_score(String course_score) {
		this.course_score = course_score;
	}

	public String getTextbook_name() {
		return textbook_name;
	}

	public void setTextbook_name(String textbook_name) {
		this.textbook_name = textbook_name;
	}

	public String getTextbook_publisher() {
		return textbook_publisher;
	}

	public void setTextbook_publisher(String textbook_publisher) {
		this.textbook_publisher = textbook_publisher;
	}

	public String getTextbook_revision() {
		return textbook_revision;
	}

	public void setTextbook_revision(String textbook_revision) {
		this.textbook_revision = textbook_revision;
	}
	public Integer getSubject_pid() {
		return subject_pid;
	}
	public void setSubject_pid(Integer subject_pid) {
		this.subject_pid = subject_pid;
	}
	public String getMajor_full_name() {
		return major_full_name;
	}
	public void setMajor_full_name(String major_full_name) {
		this.major_full_name = major_full_name;
	}
	public String getOrg_name() {
		return org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}
	public Integer getOld_major_status() {
		return old_major_status;
	}
	public void setOld_major_status(Integer old_major_status) {
		this.old_major_status = old_major_status;
	}

  	
}