package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.List;
import java.util.Map;

import cn.hmsoft.jdbc.entity.Table;
import cn.hmsoft.ses.data.model.cf.CfOrganization;

/**
 * 专业申报主表 模型.
 * 
 * @author: zq
 * @date: 2018-11-30 16:55:32
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "PL_MAJOR_APPLY", keyColumn = "id", sequenceName = "SEQ_PL_MAJOR_APPLY")
public class PlMajorApply implements Serializable {
	private static final long serialVersionUID = -2761698208250588120L;
  	//申报日期
  	private LocalDate apply_date;
  	//申报文号
  	private String apply_no;
  	//申报说明
  	private String apply_remark;
  	//审批文号
  	private String audit_no;
  	//申报形式
  	private Integer apply_form;
  	//主键
  	private Integer id;
  	//是否全日制 0-否,1-是
  	private Integer is_full_study;
  	//申报机构ID
  	private Integer org_id;
  	//主考学校ID
  	private Integer school_id;
  	//年度码
  	private Integer year_code;
  	//衔接学校ID
  	private Integer join_school_id;
  	//审批状态
  	private Integer status;
  	//是否驳回
  	private Integer is_auth_back;
  	//申报文件
  	private String file_path;
  	//申报文件名称
  	private String file_name;
  	
  	protected String major_join_school;
  	
  	protected String major_code;
  	protected String major_name;
  	
  	protected String course_code;
  	protected String course_name;
  	
  	
	public String getCourse_code() {
		return course_code;
	}
	public void setCourse_code(String course_code) {
		this.course_code = course_code;
	}
	public String getCourse_name() {
		return course_name;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
	public String getMajor_code() {
		return major_code;
	}
	public void setMajor_code(String major_code) {
		this.major_code = major_code;
	}
	public String getMajor_name() {
		return major_name;
	}
	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}
	/**
	 * 申报日期
	 */	
  	public void setApply_date(LocalDate apply_date) {
		this.apply_date = apply_date;
  	}
 	/**
	 * 申报日期
	 */	 	
  	public LocalDate getApply_date() {
		return apply_date;
  	}
	/**
	 * 申报文号
	 */	
  	public void setApply_no(String apply_no) {
		this.apply_no = apply_no;
  	}
 	/**
	 * 申报文号
	 */	 	
  	public String getApply_no() {
		return apply_no;
  	}
	/**
	 * 申报说明
	 */	
  	public void setApply_remark(String apply_remark) {
		this.apply_remark = apply_remark;
  	}
 	/**
	 * 申报说明
	 */	 	
  	public String getApply_remark() {
		return apply_remark;
  	}
	/**
	 * 审批文号
	 */	
  	public void setAudit_no(String audit_no) {
		this.audit_no = audit_no;
  	}
 	/**
	 * 审批文号
	 */	 	
  	public String getAudit_no() {
		return audit_no;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 是否全日制 0-否,1-是
	 */	
  	public void setIs_full_study(Integer is_full_study) {
		this.is_full_study = is_full_study;
  	}
 	/**
	 * 是否全日制 0-否,1-是
	 */	 	
  	public Integer getIs_full_study() {
		return is_full_study;
  	}
	/**
	 * 申报机构ID
	 */	
  	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
  	}
 	/**
	 * 申报机构ID
	 */	 	
  	public Integer getOrg_id() {
		return org_id;
  	}
	/**
	 * 主考学校ID
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 主考学校ID
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
	/**
	 * 年度码
	 */	
  	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 年度码
	 */	 	
  	public Integer getYear_code() {
		return year_code;
  	}
  	public Integer getMajor_id() {
		return major_id;
	}
	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
	}
	public Integer getJoin_school_id() {
		return join_school_id;
	}
	public void setJoin_school_id(Integer join_school_id) {
		this.join_school_id = join_school_id;
	}

	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
  	//专业id
  	protected Integer major_id;
  	//专业层次
	protected int major_level;
	//审核说明
	protected String auth_remark;
	//审核类型-审核
	protected Integer auth_type;
	//衔接学校
  	protected String join_school;
  	//主考学校
  	protected String master_school;
  	//申报选择的专业
  	protected Integer[] major_id_arr;
  	//申报选择的衔接学校
  	protected Integer[] school_id_arr;
  	//主考学校代码
  	protected CfOrganization masterSchool;
  	
	public void setJoin_school(String join_school) {
		this.join_school = join_school;
	}
	public void setMaster_school(String master_school) {
		this.master_school = master_school;
	}
	public String getJoin_school() {
		return join_school;
	}
	public String getMaster_school() {
		return master_school;
	}
	public Integer[] getMajor_id_arr() {
		return major_id_arr;
	}
	public Integer getApply_form() {
		return apply_form;
	}
	public void setApply_form(Integer apply_form) {
		this.apply_form = apply_form;
	}
	public Integer[] getSchool_id_arr() {
		return school_id_arr;
	}
	public void setMajor_id_arr(Integer[] major_id_arr) {
		this.major_id_arr = major_id_arr;
	}
	public void setSchool_id_arr(Integer[] school_id_arr) {
		this.school_id_arr = school_id_arr;
	}
	public Integer getIs_auth_back() {
		return is_auth_back;
	}
	public void setIs_auth_back(Integer is_auth_back) {
		this.is_auth_back = is_auth_back;
	}
	public String getAuth_remark() {
		return auth_remark;
	}
	public void setAuth_remark(String auth_remark) {
		this.auth_remark = auth_remark;
	}
	public Integer getAuth_type() {
		return auth_type;
	}
	public void setAuth_type(Integer auth_type) {
		this.auth_type = auth_type;
	}
	public String getFile_path() {
		return file_path;
	}
	public String getFile_name() {
		return file_name;
	}
	public int getMajor_level() {
		return major_level;
	}
	public void setFile_name(String file_name) {
		this.file_name = file_name;
	}
	public void setMajor_level(int major_level) {
		this.major_level = major_level;
	}
	public void setFile_path(String file_path) {
		this.file_path = file_path;
	}
	public CfOrganization getMasterSchool() {
		return masterSchool;
	}
	public void setMasterSchool(CfOrganization masterSchool) {
		this.masterSchool = masterSchool;
	}
	public String getMajor_join_school() {
		return major_join_school;
	}
	public void setMajor_join_school(String major_join_school) {
		this.major_join_school = major_join_school;
	}

}