package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 专业申报明细表 记录专业申报审批过程中的详细操作 模型.
 * 
 * @author: zq
 * @date: 2018-11-30 16:55:34
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "PL_MAJOR_APPLY_AUDIT", keyColumn = "id", sequenceName = "SEQ_PL_MAJOR_APPLY_AUDIT")
public class PlMajorApplyAudit implements Serializable {
	private static final long serialVersionUID = -6337001806145890103L;
  	//专业申报ID 和专业申报表关联
  	private Integer apply_id;
  	//审批人ID 审核人ID
  	private Integer user_id;
  	//审批意见
  	private String auth_remark;
  	//审批时间
  	private LocalDate auth_time;
  	//主键ID
  	private Integer id;
  	//审核类型 审核类型,0-审核通过,1-审核驳回
  	private Integer auth_type;
  	
	public Integer getApply_id() {
		return apply_id;
	}
	public Integer getUser_id() {
		return user_id;
	}
	public String getAuth_remark() {
		return auth_remark;
	}
	public LocalDate getAuth_time() {
		return auth_time;
	}
	public Integer getId() {
		return id;
	}
	public Integer getAuth_type() {
		return auth_type;
	}
	public void setApply_id(Integer apply_id) {
		this.apply_id = apply_id;
	}
	public void setUser_id(Integer user_id) {
		this.user_id = user_id;
	}
	public void setAuth_remark(String auth_remark) {
		this.auth_remark = auth_remark;
	}
	public void setAuth_time(LocalDate auth_time) {
		this.auth_time = auth_time;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public void setAuth_type(Integer auth_type) {
		this.auth_type = auth_type;
	}
  	

  	//
	protected String optr_name;

	public String getOptr_name() {
		return optr_name;
	}
	public void setOptr_name(String optr_name) {
		this.optr_name = optr_name;
	}
}