package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 专业申报目录总库表 模型.
 * 
 * @author: haoguanghui
 * @date: 2018-10-18 09:28:18
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_major_apply_dir", keyColumn = "id", sequenceName = "seq_pl_major_apply_dir")
public class PlMajorApplyDir implements Serializable {
	private static final long serialVersionUID = -2006340518216958444L;
	// 主键ID
	private Integer id;
	// 专业代码 冗余字段
	private String major_code;
	// 专业ID 和专业信息表关联
	private Integer major_id;
	// 专业层次 如：专科、高起本
	private Integer major_level;
	// 学校范围 1：所有学校可申请；2：部分学校可申请
	private Integer school_scope;
	// 开考类型 如：全日制、非全日制
	private Integer start_exam_type;
	// 申报年度 如：2018
	private Integer year;
	// 专业发布状态
	private Integer status;
	//申报形式
	private Integer apply_form;

	/**
	 * 主键ID
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * 主键ID
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * 专业代码 冗余字段
	 */
	public void setMajor_code(String major_code) {
		this.major_code = major_code;
	}

	/**
	 * 专业代码 冗余字段
	 */
	public String getMajor_code() {
		return major_code;
	}

	/**
	 * 专业ID 和专业信息表关联
	 */
	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
	}

	/**
	 * 专业ID 和专业信息表关联
	 */
	public Integer getMajor_id() {
		return major_id;
	}

	/**
	 * 专业层次 如：专科、高起本
	 */
	public void setMajor_level(Integer major_level) {
		this.major_level = major_level;
	}

	/**
	 * 专业层次 如：专科、高起本
	 */
	public Integer getMajor_level() {
		return major_level;
	}

	/**
	 * 学校范围 1：所有学校可申请；2：部分学校可申请
	 */
	public void setSchool_scope(Integer school_scope) {
		this.school_scope = school_scope;
	}

	/**
	 * 学校范围 1：所有学校可申请；2：部分学校可申请
	 */
	public Integer getSchool_scope() {
		return school_scope;
	}

	/**
	 * 专业发布状态
	 */
	public void setStart_exam_type(Integer start_exam_type) {
		this.start_exam_type = start_exam_type;
	}

	/**
	 * 专业发布状态
	 */
	public Integer getStart_exam_type() {
		return start_exam_type;
	}

	/**
	 * 申报年度 如：2018
	 */
	public void setYear(Integer year) {
		this.year = year;
	}

	/**
	 * 申报年度 如：2018
	 */
	public Integer getYear() {
		return year;
	}

	/**
	 * 申报年度码 如：2018，湖北的如：181
	 */
	public Integer getStatus() {
		return status;
	}

	/**
	 * 申报年度码 如：2018，湖北的如：181
	 */
	public void setStatus(Integer status) {
		this.status = status;
	}
	/**
	 * 申报形式
	 */
	public Integer getApply_form() {
		return apply_form;
	}
	/**
	 * 申报形式
	 */
	public void setApply_form(Integer apply_form) {
		this.apply_form = apply_form;
	}



	protected Integer[] school_ids;// 学校ID集合
	protected Integer[] major_ids;// 专业ID集合

	public Integer[] getSchool_ids() {
		return school_ids;
	}

	public void setSchool_ids(Integer[] school_ids) {
		this.school_ids = school_ids;
	}

	public Integer[] getMajor_ids() {
		return major_ids;
	}

	public void setMajor_ids(Integer[] major_ids) {
		this.major_ids = major_ids;
	}

}