package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 专业申报时间配置表 模型.
 * 
 * @author: zq
 * @date: 2018-10-20 16:15:31
 * @version: 1.0
 * @email: zhangqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "PL_MAJOR_APPLY_TIME", keyColumn = "id", sequenceName = "SEQ_PL_MAJOR_APPLY_TIME")
public class PlMajorApplyTime implements Serializable {
	private static final long serialVersionUID = 8073859020756469072L;
	//年度码
	private Integer year_code;
	//申报截止时间
  	private LocalDate apply_end_time;
  	//申报开始时间
  	private LocalDate apply_start_time;
  	//主键ID
  	private Integer id;
  	//学校范围 1：所有学校都可申请；2：部分学校可申请
  	private Integer school_scope;
	//申报形式
	private Integer apply_form;
  
	/**
	 * 申报截止时间
	 */	
  	public void setApply_end_time(LocalDate apply_end_time) {
		this.apply_end_time = apply_end_time;
  	}
 	/**
	 * 申报截止时间
	 */	 	
  	public LocalDate getApply_end_time() {
		return apply_end_time;
  	}
	/**
	 * 申报开始时间
	 */	
  	public void setApply_start_time(LocalDate apply_start_time) {
		this.apply_start_time = apply_start_time;
  	}
 	/**
	 * 申报开始时间
	 */	 	
  	public LocalDate getApply_start_time() {
		return apply_start_time;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 学校范围 1：所有学校都可申请；2：部分学校可申请
	 */	
  	public void setSchool_scope(Integer school_scope) {
		this.school_scope = school_scope;
  	}
 	/**
	 * 学校范围 1：所有学校都可申请；2：部分学校可申请
	 */	 	
  	public Integer getSchool_scope() {
		return school_scope;
  	}
  	public Integer getYear_code() {
		return year_code;
	}
	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}

  	//部分学校ids
  	protected Integer[] schoolIds;
  	protected String dict_text;//开考类型名
  	
	public Integer[] getSchoolIds() {
		return schoolIds;
	}
	public void setSchoolIds(Integer[] schoolIds) {
		this.schoolIds = schoolIds;
	}
	public String getDict_text() {
		return dict_text;
	}
	public void setDict_text(String dict_text) {
		this.dict_text = dict_text;
	}
	public Integer getApply_form() {
		return apply_form;
	}
	public void setApply_form(Integer apply_form) {
		this.apply_form = apply_form;
	}
}