package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 专业备案表 主考学校备案表 模型.
 * 
 * @author: zq
 * @date: 2018-12-02 15:34:28
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "PL_MAJOR_RECORD", keyColumn = "id", sequenceName = "SEQ_PL_MAJOR_RECORD")
public class PlMajorRecord implements Serializable {
	private static final long serialVersionUID = 2427430327482677126L;
  	//申报ID
  	private Integer apply_id;
  	//申报机构ID 指申报专业的机构，一般为主考院校、学习服务中心
  	private Integer apply_org_id;
  	//申报时间
  	private LocalDate apply_time;
  	//申报目录ID 和申报目录总库表关联
  	private Integer dir_id;
  	//申办形式
  	private Integer apply_form;
  	//主键ID
  	private Integer id;
  	//专业ID 和专业信息表关联
  	private Integer major_id;
  	//备注
  	private String remark;
  	//主考学校ID 和机构表关联
  	private Integer school_id;
  	//禁用-0，启用-1
  	private Integer status;
  	//年度码 如：2018；如：湖北的181
  	private Integer year_code;
  	//是否全日制
  	private Integer is_full_time;
  	
	/**
	 * 申报ID
	 */	
  	public void setApply_id(Integer apply_id) {
		this.apply_id = apply_id;
  	}
 	/**
	 * 申报ID
	 */	 	
  	public Integer getApply_id() {
		return apply_id;
  	}
	/**
	 * 申报机构ID 指申报专业的机构，一般为主考院校、学习服务中心
	 */	
  	public void setApply_org_id(Integer apply_org_id) {
		this.apply_org_id = apply_org_id;
  	}
 	/**
	 * 申报机构ID 指申报专业的机构，一般为主考院校、学习服务中心
	 */	 	
  	public Integer getApply_org_id() {
		return apply_org_id;
  	}
	/**
	 * 申报时间
	 */	
  	public void setApply_time(LocalDate apply_time) {
		this.apply_time = apply_time;
  	}
 	/**
	 * 申报时间
	 */	 	
  	public LocalDate getApply_time() {
		return apply_time;
  	}
	/**
	 * 申报目录ID 和申报目录总库表关联
	 */	
  	public void setDir_id(Integer dir_id) {
		this.dir_id = dir_id;
  	}
 	/**
	 * 申报目录ID 和申报目录总库表关联
	 */	 	
  	public Integer getDir_id() {
		return dir_id;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 专业ID 和专业信息表关联
	 */	
  	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
  	}
 	/**
	 * 专业ID 和专业信息表关联
	 */	 	
  	public Integer getMajor_id() {
		return major_id;
  	}
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 主考学校ID 和机构表关联
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 主考学校ID 和机构表关联
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
	/**
	 * 审核状态 1：待审核；2：审核通过；3：审核不通过
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 审核状态 1：待审核；2：审核通过；3：审核不通过
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 年度码 如：2018；如：湖北的181
	 */	
  	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 年度码 如：2018；如：湖北的181
	 */	 	
  	public Integer getYear_code() {
		return year_code;
  	}
	public Integer getIs_full_time() {
		return is_full_time;
	}
	public void setIs_full_time(Integer is_full_time) {
		this.is_full_time = is_full_time;
	}
	
	protected String major_code;
	protected String major_name;
	protected String entrust_name;
	protected String school_name;

	public String getMajor_code() {
		return major_code;
	}
	public String getMajor_name() {
		return major_name;
	}
	public String getEntrust_name() {
		return entrust_name;
	}
	public String getSchool_name() {
		return school_name;
	}
	public void setMajor_code(String major_code) {
		this.major_code = major_code;
	}
	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}
	public void setEntrust_name(String entrust_name) {
		this.entrust_name = entrust_name;
	}
	public void setSchool_name(String school_name) {
		this.school_name = school_name;
	}
	public Integer getApply_form() {
		return apply_form;
	}
	public void setApply_form(Integer apply_form) {
		this.apply_form = apply_form;
	}
	
}