package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 省考和国考计划发布表 记录省考和国考发布后没有冲突的计划 模型.
 * 
 * @author: zq
 * @date: 2018-10-19 15:07:11
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "PL_MERGE_PUBLISH_PLAN", keyColumn = "id", sequenceName = "SEQ_PL_MERGE_PUBLISH_PLAN")
public class PlMergePublishPlan implements Serializable {
	private static final long serialVersionUID = 4291517787352839897L;
  	//课程ID 和课程表关联
  	private Integer course_id;
  	//考试时间
  	private String exam_time;
  	//考试时间ID
  	private Integer exam_time_id;
  	//主键ID
  	private Integer id;
  	//是否统考课程 0-省考,1-统考；
  	private Integer is_nation_exam;
  	//状态 待确认稿、发布稿
  	private Integer status;
  	//年度码
  	private String year_code;
  	//联主记录ID
  	private Integer main_id;
  	private String start_time;
  	private String end_time;
  	private String major_name;
	public String getMajor_name() {
		return major_name;
	}
	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}
	/**
	 * 课程代码 冗余字段
	 */	
  	public void setCourse_code(String course_code) {
		this.course_code = course_code;
  	}
 	/**
	 * 课程代码 冗余字段
	 */	 	
  	public String getCourse_code() {
		return course_code;
  	}
	/**
	 * 课程ID 和课程表关联
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID 和课程表关联
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 考试时间
	 */	
  	public void setExam_time(String exam_time) {
		this.exam_time = exam_time;
  	}
 	/**
	 * 考试时间
	 */	 	
  	public String getExam_time() {
		return exam_time;
  	}
	/**
	 * 考试时间ID
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间ID
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 是否统考课程 1：统考；2：省考
	 */	
  	public void setIs_nation_exam(Integer is_nation_exam) {
		this.is_nation_exam = is_nation_exam;
  	}
 	/**
	 * 是否统考课程 1：统考；2：省考
	 */	 	
  	public Integer getIs_nation_exam() {
		return is_nation_exam;
  	}
	/**
	 * 状态 待确认稿、发布稿
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 待确认稿、发布稿
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 年度码
	 */	
  	public void setYear_code(String year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 年度码
	 */	 	
  	public String getYear_code() {
		return year_code;
  	}
  	
  	public Integer getMain_id() {
		return main_id;
	}
	public void setMain_id(Integer main_id) {
		this.main_id = main_id;
	}

	protected String full_exam_date;//完整的考试日期
  	protected LocalDate exam_date;//年月日
  	protected String course_code;
	//课程学分
  	protected String score;
  	//课程名称
  	protected String course_name;
  	protected Integer province_num; //区考课程数目
  	protected Integer country_num; //国考课程数目
  	
	public String getScore() {
		return score;
	}
	public void setScore(String score) {
		this.score = score;
	}
	
	public String getFull_exam_date() {
		return full_exam_date;
	}

	public void setFull_exam_date(String full_exam_date) {
		this.full_exam_date = full_exam_date;
	}

	public LocalDate getExam_date() {
		return exam_date;
	}

	public void setExam_date(LocalDate exam_date) {
		this.exam_date = exam_date;
	}
	public String getCourse_name() {
		return course_name;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
	public String getStart_time() {
		return start_time;
	}
	public String getEnd_time() {
		return end_time;
	}
	public void setStart_time(String start_time) {
		this.start_time = start_time;
	}
	public void setEnd_time(String end_time) {
		this.end_time = end_time;
	}
	public Integer getProvince_num() {
		return province_num;
	}
	public void setProvince_num(Integer province_num) {
		this.province_num = province_num;
	}
	public Integer getCountry_num() {
		return country_num;
	}
	public void setCountry_num(Integer country_num) {
		this.country_num = country_num;
	}
  	
}