package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 评卷人员信息表 模型.
 * 
 */
@Table(tableName = "pl_pj_man", keyColumn = "id", sequenceName = "SEQ_pl_pj_man")
public class PlPjMan implements Serializable {
	private static final long serialVersionUID = 2613059128156857609L;

	//
	private Integer id;
	// 评卷学校ID,和pl_pj_school表关联
	private Integer pj_school_id;
	// 评卷学校代码
	private String pj_school_code;
	// 评卷学校名称
	private String pj_school_name;
	// 批次如：201910
	private String year_code;
	// 课程ID,和pl_course表关联
	private Integer course_id;
	// 课程代码，冗余字段
	private String course_code;
	// course_name
	private String course_name;
	// 姓名
	private String xm;
	// 性别：男、女
	private String sex;
	// 所在院校名称及职务
	private String school_name_job;
	// 职称
	private String title;
	// 学历
	private String education;
	// 联系方式
	private String mobile;
	// 备注（学科组长或评卷小组负责人请单独标注）
	private String remark;
	// 创建人
	private Integer create_man;
	// 创建时间
	private LocalDateTime create_time;

	/**
	 * 课程代码，冗余字段
	 */
	public void setCourse_code(String course_code) {
		this.course_code = course_code;
	}

	/**
	 * 课程代码，冗余字段
	 */
	public String getCourse_code() {
		return course_code;
	}

	/**
	 * 课程ID,和pl_course表关联
	 */
	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
	}

	/**
	 * 课程ID,和pl_course表关联
	 */
	public Integer getCourse_id() {
		return course_id;
	}

	/**
	 * 
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * 
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * 评卷学校ID,和pl_pj_school表关联
	 */
	public void setPj_school_id(Integer pj_school_id) {
		this.pj_school_id = pj_school_id;
	}

	/**
	 * 评卷学校ID,和pl_pj_school表关联
	 */
	public Integer getPj_school_id() {
		return pj_school_id;
	}

	/**
	 * 批次如：201910
	 */
	public void setYear_code(String year_code) {
		this.year_code = year_code;
	}

	/**
	 * 批次如：201910
	 */
	public String getYear_code() {
		return year_code;
	}

	protected String school_name;

	public String getSchool_name() {
		return school_name;
	}

	public void setSchool_name(String school_name) {
		this.school_name = school_name;
	}

	public String getPj_school_code() {
		return pj_school_code;
	}

	public void setPj_school_code(String pj_school_code) {
		this.pj_school_code = pj_school_code;
	}

	public String getPj_school_name() {
		return pj_school_name;
	}

	public void setPj_school_name(String pj_school_name) {
		this.pj_school_name = pj_school_name;
	}

	public String getCourse_name() {
		return course_name;
	}

	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}

	public String getXm() {
		return xm;
	}

	public void setXm(String xm) {
		this.xm = xm;
	}

	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getSchool_name_job() {
		return school_name_job;
	}

	public void setSchool_name_job(String school_name_job) {
		this.school_name_job = school_name_job;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getEducation() {
		return education;
	}

	public void setEducation(String education) {
		this.education = education;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getCreate_man() {
		return create_man;
	}

	public void setCreate_man(Integer create_man) {
		this.create_man = create_man;
	}

	public LocalDateTime getCreate_time() {
		return create_time;
	}

	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

}