package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**
 * 实践课报名表 模型.
 * 
 * @author: yangwei
 * @date: 2018-10-17 14:02:31
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_prac_course_enrol", keyColumn = "id", sequenceName = "pl_prac_course_enrol")
public class PlPracCourseEnrol implements Serializable {
	private static final long serialVersionUID = 2869584074374682023L;
  	//审核人
  	private String auditor;
  	//审核日期
  	private LocalDateTime audit_time;
  	//收费人
  	private String charge_operator;
  	//报考类型 1：集体报名；2：个人报名
  	private Integer enrol_type;
  	//考试时间
  	private LocalDateTime exam_time;
  	//主键ID
  	private Integer id;
  	//操作人 录入人
  	private String operator;
  	//缴费状态 1：未缴费，2：已缴费
  	private Integer pay_status;
  	//实践课代码 和课程表关联
  	private String prac_course_code;
  	//实践课名称 冗余字段
  	private String prac_course_name;
  	//主考学校ID 和机构表关联
  	private Integer school_id;
  	//状态 1：待提交；2：待审核；3：审核通过；4：审核不通过
  	private Integer status;
  	//准考证号
  	private String ticket_no;
  	//年度码 如：2018、181
  	private String year_code;
  
	/**
	 * 审核人
	 */	
  	public void setAuditor(String auditor) {
		this.auditor = auditor;
  	}
 	/**
	 * 审核人
	 */	 	
  	public String getAuditor() {
		return auditor;
  	}
	/**
	 * 审核日期
	 */	
  	public void setAudit_time(LocalDateTime audit_time) {
		this.audit_time = audit_time;
  	}
 	/**
	 * 审核日期
	 */	 	
  	public LocalDateTime getAudit_time() {
		return audit_time;
  	}
	/**
	 * 收费人
	 */	
  	public void setCharge_operator(String charge_operator) {
		this.charge_operator = charge_operator;
  	}
 	/**
	 * 收费人
	 */	 	
  	public String getCharge_operator() {
		return charge_operator;
  	}
	/**
	 * 报考类型 1：集体报名；2：个人报名
	 */	
  	public void setEnrol_type(Integer enrol_type) {
		this.enrol_type = enrol_type;
  	}
 	/**
	 * 报考类型 1：集体报名；2：个人报名
	 */	 	
  	public Integer getEnrol_type() {
		return enrol_type;
  	}
	/**
	 * 考试时间
	 */	
  	public void setExam_time(LocalDateTime exam_time) {
		this.exam_time = exam_time;
  	}
 	/**
	 * 考试时间
	 */	 	
  	public LocalDateTime getExam_time() {
		return exam_time;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 操作人 录入人
	 */	
  	public void setOperator(String operator) {
		this.operator = operator;
  	}
 	/**
	 * 操作人 录入人
	 */	 	
  	public String getOperator() {
		return operator;
  	}
	/**
	 * 缴费状态 1：未缴费，2：已缴费
	 */	
  	public void setPay_status(Integer pay_status) {
		this.pay_status = pay_status;
  	}
 	/**
	 * 缴费状态 1：未缴费，2：已缴费
	 */	 	
  	public Integer getPay_status() {
		return pay_status;
  	}
	/**
	 * 实践课代码 和课程表关联
	 */	
  	public void setPrac_course_code(String prac_course_code) {
		this.prac_course_code = prac_course_code;
  	}
 	/**
	 * 实践课代码 和课程表关联
	 */	 	
  	public String getPrac_course_code() {
		return prac_course_code;
  	}
	/**
	 * 实践课名称 冗余字段
	 */	
  	public void setPrac_course_name(String prac_course_name) {
		this.prac_course_name = prac_course_name;
  	}
 	/**
	 * 实践课名称 冗余字段
	 */	 	
  	public String getPrac_course_name() {
		return prac_course_name;
  	}
	/**
	 * 主考学校ID 和机构表关联
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 主考学校ID 和机构表关联
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
	/**
	 * 状态 1：待提交；2：待审核；3：审核通过；4：审核不通过
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 1：待提交；2：待审核；3：审核通过；4：审核不通过
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 准考证号
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
	/**
	 * 年度码 如：2018、181
	 */	
  	public void setYear_code(String year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 年度码 如：2018、181
	 */	 	
  	public String getYear_code() {
		return year_code;
  	}
}