package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 实践课考试计划表 模型.
 * 
 * @author: yangwei
 * @date: 2018-10-17 13:54:02
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_prac_course_exam_plan", keyColumn = "id", sequenceName = "seq_pl_prac_course_exam_plan")
public class PlPracCourseExamPlan implements Serializable {
	private static final long serialVersionUID = -8323056030313762802L;
  	//报名结束时间
  	private LocalDateTime enrol_end_time;
  	//报名开始时间
  	private LocalDateTime enrol_start_time;
  	//主键ID
  	private Integer id;
  	//专业代码 如果在专业表中找不到如何处理
  	private String major_code;
  	//课程代码 如果在课程表中找不到如何处理
  	private String prac_course_code;
  	//报考条件
  	private String prac_enrol_condition;
  	//考核地点
  	private String prac_exam_place;
  	//考核时间 文本格式
  	private String prac_exam_time;
  	//备注
  	private String remark;
  	//主考学校ID
  	private Integer school_id;
  	//状态 1：待审核；2：生效
  	private Integer status;
  	//年度码
  	private Integer year_code;
  
	/**
	 * 报名结束时间
	 */	
  	public void setEnrol_end_time(LocalDateTime enrol_end_time) {
		this.enrol_end_time = enrol_end_time;
  	}
 	/**
	 * 报名结束时间
	 */	 	
  	public LocalDateTime getEnrol_end_time() {
		return enrol_end_time;
  	}
	/**
	 * 报名开始时间
	 */	
  	public void setEnrol_start_time(LocalDateTime enrol_start_time) {
		this.enrol_start_time = enrol_start_time;
  	}
 	/**
	 * 报名开始时间
	 */	 	
  	public LocalDateTime getEnrol_start_time() {
		return enrol_start_time;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 专业代码 如果在专业表中找不到如何处理
	 */	
  	public void setMajor_code(String major_code) {
		this.major_code = major_code;
  	}
 	/**
	 * 专业代码 如果在专业表中找不到如何处理
	 */	 	
  	public String getMajor_code() {
		return major_code;
  	}
	/**
	 * 课程代码 如果在课程表中找不到如何处理
	 */	
  	public void setPrac_course_code(String prac_course_code) {
		this.prac_course_code = prac_course_code;
  	}
 	/**
	 * 课程代码 如果在课程表中找不到如何处理
	 */	 	
  	public String getPrac_couse_code() {
		return prac_course_code;
  	}
	
  	
	public String getPrac_enrol_condition() {
		return prac_enrol_condition;
	}
	public void setPrac_enrol_condition(String prac_enrol_condition) {
		this.prac_enrol_condition = prac_enrol_condition;
	}
	public String getPrac_exam_place() {
		return prac_exam_place;
	}
	public void setPrac_exam_place(String prac_exam_place) {
		this.prac_exam_place = prac_exam_place;
	}
	public String getPrac_exam_time() {
		return prac_exam_time;
	}
	public void setPrac_exam_time(String prac_exam_time) {
		this.prac_exam_time = prac_exam_time;
	}
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 主考学校ID
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 主考学校ID
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
	/**
	 * 状态 1：待审核；2：生效
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 1：待审核；2：生效
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 年度码
	 */	
  	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 年度码
	 */	 	
  	public Integer getYear_code() {
		return year_code;
  	}
}