package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**
 * 上报时间控制表 如：实践课上报时间控制，免考办理时间控制等 模型.
 * 
 * @author: yangwei
 * @date: 2018-10-17 13:54:01
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_prac_course_time", keyColumn = "id", sequenceName = "seq_pl_prac_course_time")
public class PlPracCourseTime implements Serializable {
	private static final long serialVersionUID = -6504911377921059162L;
  	//结束时间
  	private LocalDateTime end_time;
  	//考试时间ID 和考试时间设置表关联
  	private Integer exam_time_id;
  	//主键ID
  	private Integer id;
  	//开始时间
  	private LocalDateTime start_time;
  	//1：报考课程时间控制；2：实践课报名时间控制；3：免考办理时间控制。可扩展
  	private Integer type;
  	//年度码 如：2018、181
  	private Integer year_code;
  
	/**
	 * 结束时间
	 */	
  	public void setEnd_time(LocalDateTime end_time) {
		this.end_time = end_time;
  	}
 	/**
	 * 结束时间
	 */	 	
  	public LocalDateTime getEnd_time() {
		return end_time;
  	}
	/**
	 * 考试时间ID 和考试时间设置表关联
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间ID 和考试时间设置表关联
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 开始时间
	 */	
  	public void setStart_time(LocalDateTime start_time) {
		this.start_time = start_time;
  	}
 	/**
	 * 开始时间
	 */	 	
  	public LocalDateTime getStart_time() {
		return start_time;
  	}
	/**
	 * 类别 可扩展；如：实践课、免考等
	 */	
  	public void setType(Integer type) {
		this.type = type;
  	}
 	/**
	 * 类别 可扩展；如：实践课、免考等
	 */	 	
  	public Integer getType() {
		return type;
  	}
	/**
	 * 年度码 如：2018、181
	 */	
  	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 年度码 如：2018、181
	 */	 	
  	public Integer getYear_code() {
		return year_code;
  	}
}