package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 专业对应的主考学校 主考学校开考了哪些专业 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-06-04 15:53:34
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_school_major", keyColumn = "id", sequenceName = "SEQ_pl_school_major")
public class PlSchoolMajor implements Serializable {
	private static final long serialVersionUID = 7521229241505281339L;
  	//ID
  	private Integer id;
  	//专业code 专业表中的major_code
  	private String major_code;
  	//主考学校代码
  	private String school_code;
  	//主考学校ID 和机构表中的ID关联
  	private Integer school_id;
  	//状态 0：禁用；1：启用
  	private Integer status;
  
	/**
	 * ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 专业code 专业表中的major_code
	 */	
  	public void setMajor_code(String major_code) {
		this.major_code = major_code;
  	}
 	/**
	 * 专业code 专业表中的major_code
	 */	 	
  	public String getMajor_code() {
		return major_code;
  	}
	/**
	 * 主考学校代码
	 */	
  	public void setSchool_code(String school_code) {
		this.school_code = school_code;
  	}
 	/**
	 * 主考学校代码
	 */	 	
  	public String getSchool_code() {
		return school_code;
  	}
	/**
	 * 主考学校ID 和机构表中的ID关联
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 主考学校ID 和机构表中的ID关联
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
	/**
	 * 状态 0：禁用；1：启用
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 0：禁用；1：启用
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
  	
  	protected String org_name; //机构名称

	public String getOrg_name() {
		return org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}
  	
}