package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 取消衔接和助学考生备案上传附件表 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-04-22 17:58:24
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_std_record_cancel_file", keyColumn = "id", sequenceName = "SEQ_pl_std_record_file")
public class PlStdRecordCancelFile implements Serializable {
	private static final long serialVersionUID = -8526177624959072981L;
	// 上传文件路径
	private String file_url;
	// 编号
	private Integer id;
	// 说明
	private String remark;
	// 主考学校ID 和机构表关联
	private Integer school_id;
	// 考生类型 1：专本衔接；2：网络助学
	private Integer std_type;
	// 年度码
	private Integer year_code;

	private LocalDateTime create_time;

	private Integer main_id;

	public Integer getMain_id() {
		return main_id;
	}

	public void setMain_id(Integer main_id) {
		this.main_id = main_id;
	}

	protected String org_name;

	public LocalDateTime getCreate_time() {
		return create_time;
	}

	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

	public String getOrg_name() {
		return org_name;
	}

	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	/**
	 * 上传文件路径
	 */
	public void setFile_url(String file_url) {
		this.file_url = file_url;
	}

	/**
	 * 上传文件路径
	 */
	public String getFile_url() {
		return file_url;
	}

	/**
	 * 编号
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * 编号
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * 说明
	 */
	public void setRemark(String remark) {
		this.remark = remark;
	}

	/**
	 * 说明
	 */
	public String getRemark() {
		return remark;
	}

	/**
	 * 主考学校ID 和机构表关联
	 */
	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}

	/**
	 * 主考学校ID 和机构表关联
	 */
	public Integer getSchool_id() {
		return school_id;
	}

	/**
	 * 考生类型 1：专本衔接；2：网络助学
	 */
	public void setStd_type(Integer std_type) {
		this.std_type = std_type;
	}

	/**
	 * 考生类型 1：专本衔接；2：网络助学
	 */
	public Integer getStd_type() {
		return std_type;
	}

	/**
	 * 年度码
	 */
	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}

	/**
	 * 年度码
	 */
	public Integer getYear_code() {
		return year_code;
	}
}