package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 专本衔接、网络助学考生备案 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-04-18 11:29:44
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_std_record_his", keyColumn = "id", sequenceName = "SEQ_pl_std_record")
public class PlStdRecordHis implements Serializable {
	private static final long serialVersionUID = 6010851962574346173L;
  	//考生姓名
  	private String std_name;
  	//主键
  	private Integer id;
  	//衔接专业代码 衔接专业代码
  	private String join_major_code;
  	//衔接学校ID 衔接学校ID，和机构表关联(只针对专本衔接的考生)
  	private Integer join_school_id;
  	//专科年级
  	private String junior_grade;
  	//专科专业
  	private String junior_major;
  	//专业申报ID 和专业申报表关联
  	private Integer major_record_id;
  	//主考学校ID 上报考生备案的主考学校
  	private Integer school_id;
  	//审核状态 0：待提交2：待考试院审核3：审核通过并归档4：审核驳回
  	private Integer status;
  	//学号
  	private String std_no;
  	//考生号
  	private String std_num;
  	//考生ID 和考生表关联
  	private Integer std_reg_id;
  	//考生类型 1：专本衔接；2：网络助学
  	private Integer std_type;
  	//准考证号
  	private String ticket_no;
  	//批次，如：201904
  	private Integer year_code;
  	//备注
  	private String remark;
  	
  	protected String major_name;
  	protected String org_name;
  	protected String join_school_name;
  	
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getOrg_name() {
		return org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}
	public String getJoin_school_name() {
		return join_school_name;
	}
	public void setJoin_school_name(String join_school_name) {
		this.join_school_name = join_school_name;
	}
	public String getMajor_name() {
		return major_name;
	}
	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}
	/**
	 * 上传附件路径 存储考生备案上传的文件路径
	 */	
  	public void setStd_name(String std_name) {
		this.std_name = std_name;
  	}
 	/**
	 * 上传附件路径 存储考生备案上传的文件路径
	 */	 	
  	public String getStd_name() {
		return std_name;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 衔接专业代码 衔接专业代码
	 */	
  	public void setJoin_major_code(String join_major_code) {
		this.join_major_code = join_major_code;
  	}
 	/**
	 * 衔接专业代码 衔接专业代码
	 */	 	
  	public String getJoin_major_code() {
		return join_major_code;
  	}
	/**
	 * 衔接学校ID 衔接学校ID，和机构表关联(只针对专本衔接的考生)
	 */	
  	public void setJoin_school_id(Integer join_school_id) {
		this.join_school_id = join_school_id;
  	}
 	/**
	 * 衔接学校ID 衔接学校ID，和机构表关联(只针对专本衔接的考生)
	 */	 	
  	public Integer getJoin_school_id() {
		return join_school_id;
  	}
	/**
	 * 专科年级
	 */	
  	public void setJunior_grade(String junior_grade) {
		this.junior_grade = junior_grade;
  	}
 	/**
	 * 专科年级
	 */	 	
  	public String getJunior_grade() {
		return junior_grade;
  	}
	/**
	 * 专科专业
	 */	
  	public void setJunior_major(String junior_major) {
		this.junior_major = junior_major;
  	}
 	/**
	 * 专科专业
	 */	 	
  	public String getJunior_major() {
		return junior_major;
  	}
	/**
	 * 专业申报ID 和专业申报表关联
	 */	
  	public void setMajor_record_id(Integer major_record_id) {
		this.major_record_id = major_record_id;
  	}
 	/**
	 * 专业申报ID 和专业申报表关联
	 */	 	
  	public Integer getMajor_record_id() {
		return major_record_id;
  	}
	/**
	 * 主考学校ID 上报考生备案的主考学校
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 主考学校ID 上报考生备案的主考学校
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
	/**
	 * 审核状态 0：待提交2：待考试院审核3：审核通过并归档4：审核驳回
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 审核状态 0：待提交2：待考试院审核3：审核通过并归档4：审核驳回
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 学号
	 */	
  	public void setStd_no(String std_no) {
		this.std_no = std_no;
  	}
 	/**
	 * 学号
	 */	 	
  	public String getStd_no() {
		return std_no;
  	}
	/**
	 * 考生号
	 */	
  	public void setStd_num(String std_num) {
		this.std_num = std_num;
  	}
 	/**
	 * 考生号
	 */	 	
  	public String getStd_num() {
		return std_num;
  	}
	/**
	 * 考生ID 和考生表关联
	 */	
  	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
  	}
 	/**
	 * 考生ID 和考生表关联
	 */	 	
  	public Integer getStd_reg_id() {
		return std_reg_id;
  	}
	/**
	 * 考生类型 1：专本衔接；2：网络助学
	 */	
  	public void setStd_type(Integer std_type) {
		this.std_type = std_type;
  	}
 	/**
	 * 考生类型 1：专本衔接；2：网络助学
	 */	 	
  	public Integer getStd_type() {
		return std_type;
  	}
	/**
	 * 准考证号
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
	/**
	 * 批次，如：201904
	 */	
  	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 批次，如：201904
	 */	 	
  	public Integer getYear_code() {
		return year_code;
  	}
  	
  	protected String cert_no; //身份证号

	public String getCert_no() {
		return cert_no;
	}
	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}
  	
  	
  	
}