package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 黑名单表 在这个表中的数据，则对考生做停考处罚 模型.
 * 
 * @author: yangwei
 * @date: 2018-10-16 17:37:46
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "std_black_list", keyColumn = "id", sequenceName = "seq_std_black_list")
public class StdBlackList implements Serializable {
	private static final long serialVersionUID = 429012448473574812L;
  	//审核状态 1：待审核；2：审核通过；3：审核不通过
  	private Integer audit_status;
  	//身份证 冗余字段
  	private String cert_no;
  	//主键ID
  	private Integer id;
  	//限制结束时间
  	private LocalDate limit_endtime;
  	//限制开始时间
  	private LocalDate limit_starttime;
  	//考生姓名 冗余字段
  	private String std_name;
  	//停办原因
  	private String stop_reason;
  	//准考证号
  	private String ticket_no;
  
	/**
	 * 审核状态 1：待审核；2：审核通过；3：审核不通过
	 */	
  	public void setAudit_status(Integer audit_status) {
		this.audit_status = audit_status;
  	}
 	/**
	 * 审核状态 1：待审核；2：审核通过；3：审核不通过
	 */	 	
  	public Integer getAudit_status() {
		return audit_status;
  	}
	/**
	 * 身份证 冗余字段
	 */	
  	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
  	}
 	/**
	 * 身份证 冗余字段
	 */	 	
  	public String getCert_no() {
		return cert_no;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 限制结束时间
	 */	
  	public void setLimit_endtime(LocalDate limit_endtime) {
		this.limit_endtime = limit_endtime;
  	}
 	/**
	 * 限制结束时间
	 */	 	
  	public LocalDate getLimit_endtime() {
		return limit_endtime;
  	}
	/**
	 * 限制开始时间
	 */	
  	public void setLimit_starttime(LocalDate limit_starttime) {
		this.limit_starttime = limit_starttime;
  	}
 	/**
	 * 限制开始时间
	 */	 	
  	public LocalDate getLimit_starttime() {
		return limit_starttime;
  	}
	/**
	 * 考生姓名 冗余字段
	 */	
  	public void setStd_name(String std_name) {
		this.std_name = std_name;
  	}
 	/**
	 * 考生姓名 冗余字段
	 */	 	
  	public String getStd_name() {
		return std_name;
  	}
	/**
	 * 停办原因
	 */	
  	public void setStop_reason(String stop_reason) {
		this.stop_reason = stop_reason;
  	}
 	/**
	 * 停办原因
	 */	 	
  	public String getStop_reason() {
		return stop_reason;
  	}
	/**
	 * 准考证号
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
}