package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 违纪信息表 只是做记录，不做处罚。 模型.
 * 
 * @author: yangwei
 * @date: 2018-10-16 20:34:53
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "std_break_discipline", keyColumn = "id", sequenceName = "seq_std_break_discipline")
public class StdBreakDiscipline implements Serializable {
	private static final long serialVersionUID = -3730715113925412330L;
  	//考点
  	private String agent_id;
  	//考区处理意见
  	private String agent_remark;
  	//审核状态
  	private Integer audit_status;
  	//违规事项
  	private String break_content;
  	//违规时间
  	private LocalDate break_time;
  	//证件号码 冗余字段
  	private String cert_no;
  	//市考办处理意见
  	private String city_agent_remark;
  	//课程代码
  	private String course_code;
  	//考场
  	private String exam_area;
  	//主键ID
  	private Integer id;
  	//省考试院处理意见
  	private String prov_agent_remark;
  	//说明
  	private String remark;
  	//座位号
  	private Integer seat_no;
  	//考生姓名 冗余字段
  	private String std_name;
  	//停考结束时间
  	private LocalDate stop_endtime;
  	//停考开始时间
  	private LocalDate stop_starttime;
  	//准考证号
  	private String ticket_no;
  	//考试时间
  	private String exam_time_id;
  	//和违规规则表关联
  	private Integer rule_id;
  	//和违规具体事项表关联
  	private Integer item_id;
  	// 考点
  	private Integer unit_id;
	// 录入人
  	private Integer optr_id;
  	
  	public Integer getOptr_id() {
		return optr_id;
	}
	public void setOptr_id(Integer optr_id) {
		this.optr_id = optr_id;
	}

	protected String rule_code;
  	protected String rule_name;
  	protected String item_code;
  	protected String item_content;
  	protected String course_name;
  	
  	public Integer getUnit_id() {
		return unit_id;
	}
	public void setUnit_id(Integer unit_id) {
		this.unit_id = unit_id;
	}

	private String agent_name;
  
	public String getAgent_name() {
		return agent_name;
	}
	public void setAgent_name(String agent_name) {
		this.agent_name = agent_name;
	}
	public String getCourse_name() {
		return course_name;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
	public String getRule_code() {
		return rule_code;
	}
	public void setRule_code(String rule_code) {
		this.rule_code = rule_code;
	}
	public String getRule_name() {
		return rule_name;
	}
	public void setRule_name(String rule_name) {
		this.rule_name = rule_name;
	}
	public String getItem_code() {
		return item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}
	public String getItem_content() {
		return item_content;
	}
	public void setItem_content(String item_content) {
		this.item_content = item_content;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	/**
	 * 考点
	 */	
  	public void setAgent_id(String agent_id) {
		this.agent_id = agent_id;
  	}
 	/**
	 * 考点
	 */	 	
  	public String getAgent_id() {
		return agent_id;
  	}
	/**
	 * 考区处理意见
	 */	
  	public void setAgent_remark(String agent_remark) {
		this.agent_remark = agent_remark;
  	}
 	/**
	 * 考区处理意见
	 */	 	
  	public String getAgent_remark() {
		return agent_remark;
  	}
	/**
	 * 审核状态
	 */	
  	public void setAudit_status(Integer audit_status) {
		this.audit_status = audit_status;
  	}
 	/**
	 * 审核状态
	 */	 	
  	public Integer getAudit_status() {
		return audit_status;
  	}
	/**
	 * 违规事项
	 */	
  	public void setBreak_content(String break_content) {
		this.break_content = break_content;
  	}
 	/**
	 * 违规事项
	 */	 	
  	public String getBreak_content() {
		return break_content;
  	}
	/**
	 * 违规时间
	 */	
  	public void setBreak_time(LocalDate break_time) {
		this.break_time = break_time;
  	}
 	/**
	 * 违规时间
	 */	 	
  	public LocalDate getBreak_time() {
		return break_time;
  	}
	/**
	 * 证件号码 冗余字段
	 */	
  	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
  	}
 	/**
	 * 证件号码 冗余字段
	 */	 	
  	public String getCert_no() {
		return cert_no;
  	}
	/**
	 * 市考办处理意见
	 */	
  	public void setCity_agent_remark(String city_agent_remark) {
		this.city_agent_remark = city_agent_remark;
  	}
 	/**
	 * 市考办处理意见
	 */	 	
  	public String getCity_agent_remark() {
		return city_agent_remark;
  	}
	/**
	 * 课程代码
	 */	
  	public void setCourse_code(String course_code) {
		this.course_code = course_code;
  	}
 	/**
	 * 课程代码
	 */	 	
  	public String getCourse_code() {
		return course_code;
  	}
	/**
	 * 考场
	 */	
  	public void setExam_area(String exam_area) {
		this.exam_area = exam_area;
  	}
 	/**
	 * 考场
	 */	 	
  	public String getExam_area() {
		return exam_area;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 省考试院处理意见
	 */	
  	public void setProv_agent_remark(String prov_agent_remark) {
		this.prov_agent_remark = prov_agent_remark;
  	}
 	/**
	 * 省考试院处理意见
	 */	 	
  	public String getProv_agent_remark() {
		return prov_agent_remark;
  	}
	/**
	 * 说明
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 说明
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 座位号
	 */	
  	public void setSeat_no(Integer seat_no) {
		this.seat_no = seat_no;
  	}
 	/**
	 * 座位号
	 */	 	
  	public Integer getSeat_no() {
		return seat_no;
  	}
	/**
	 * 考生姓名 冗余字段
	 */	
  	public void setStd_name(String std_name) {
		this.std_name = std_name;
  	}
 	/**
	 * 考生姓名 冗余字段
	 */	 	
  	public String getStd_name() {
		return std_name;
  	}
	/**
	 * 停考结束时间
	 */	
  	public void setStop_endtime(LocalDate stop_endtime) {
		this.stop_endtime = stop_endtime;
  	}
 	/**
	 * 停考结束时间
	 */	 	
  	public LocalDate getStop_endtime() {
		return stop_endtime;
  	}
	/**
	 * 停考开始时间
	 */	
  	public void setStop_starttime(LocalDate stop_starttime) {
		this.stop_starttime = stop_starttime;
  	}
 	/**
	 * 停考开始时间
	 */	 	
  	public LocalDate getStop_starttime() {
		return stop_starttime;
  	}
	/**
	 * 准考证号
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
	public String getExam_time_id() {
		return exam_time_id;
	}
	public void setExam_time_id(String exam_time_id) {
		this.exam_time_id = exam_time_id;
	}
	/**
	 * 规则ID
	 */	
	public Integer getRule_id() {
		return rule_id;
	}
	/**
	 * 规则ID
	 */	
	public void setRule_id(Integer rule_id) {
		this.rule_id = rule_id;
	}
	/**
	 * 违规事项ID
	 */	
	public Integer getItem_id() {
		return item_id;
	}
	/**
	 * 违规事项ID
	 */	
	public void setItem_id(Integer item_id) {
		this.item_id = item_id;
	}

	protected String code; //处罚类型代码
	protected Integer year_code; //年度码

	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public Integer getYear_code() {
		return year_code;
	}
	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}
	
  	
  	
}