package cn.hmsoft.ses.data.model.std;

import cn.hmsoft.jdbc.entity.Table;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 考生报考信息 考生的所有报考信息。kw_baokaoxinxi 模型.
 * 
 * @author: haoguanghui
 * @date: 2018-10-19 16:46:20
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "STD_ENROL", keyColumn = "id", sequenceName = "SEQ_STD_ENROL")
public class StdEnrol implements Serializable {
	private static final long serialVersionUID = 3099905207546875500L;
	//考试时间配置ID
	private Integer exam_time_id;
  	//课程代号 和课程表关联
  	private String course_code;
  	//课程ID
  	private Integer course_id;
  	//创建时间 订单生成时间
  	private LocalDateTime create_time;
  	//报考考区 考生报考的考区
  	private Integer enrol_agent_id;
  	//报名号
  	private String enrol_no;
  	//报考区 考生所在的考区
  	private Integer enrol_source_id;
  	//报考方式 1：地市报考；2：农行报考
  	private Integer enrol_type;
  	//参照湖北A\B\C\D\X\Y
  	private String exam_batch;
  	//考试时间YYYY-MM-DD
  	private LocalDate exam_date;
  	//考次 如：201810
  	private String year_code;
  	//缴费单号 缴费之后，产生的单号
  	private String fee_no;
  	//收费标准 冗余字段，关联课程开考计划表可以查询到
  	private String fee_price;
  	//缴费状态 0：待缴费1:缴费成功2：缴费失败
  	private Integer fee_status;
  	//第一次报考课程标志 主要为助学机构使用；第一次不需要缴费，第二次需要缴费
  	private Integer first_enrol_flag;
  	//主键ID
  	private Integer id;
  	//专业代号 冗余字段
  	private String major_code;
  	//专业ID 和专业信息表关联
  	private Integer major_id;
  	//姓名 冗余字段
  	private String std_name;
  	//考生ID，关联学生注册表
  	private Integer std_reg_id;
  	//准考证号
  	private String ticket_no;
  	//收费人
  	private String fee_earner;
  	//状态,0-创建,1-校验,2-审核不通过,3-审核通过,4-缴费通过,5-已订卷,6-已编排
  	private Integer status;
  	//1：普通课程；2：实践课；3：中英课
  	private Integer special_flag;
  	//机构ID；针对特殊报考,由那个机构批量导入的报考信息
  	private Integer org_id;
  	//用户ID
  	private Integer optr_id;

	private String paytype;

	public String getPaytype() {
		return paytype;
	}

	public void setPaytype(String paytype) {
		this.paytype = paytype;
	}

	/**
  	 * 时间配置ID
  	 */
 	public Integer getExam_time_id() {
		return exam_time_id;
	}
  	/**
  	 * 时间配置ID
  	 */
	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
	}
	/**
	 * 课程代号 和课程表关联
	 */	
  	public void setCourse_code(String course_code) {
		this.course_code = course_code;
  	}
	/**
	 * 课程代号 和课程表关联
	 */	 	
  	public String getCourse_code() {
		return course_code;
  	}
	/**
	 * 创建时间 订单生成时间
	 */	
  	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
  	}
 	/**
	 * 创建时间 订单生成时间
	 */	 	
  	public LocalDateTime getCreate_time() {
		return create_time;
  	}
	/**
	 * 报名号
	 */	
  	public void setEnrol_no(String enrol_no) {
		this.enrol_no = enrol_no;
  	}
 	/**
	 * 报名号
	 */	 	
  	public String getEnrol_no() {
		return enrol_no;
  	}
	/**
	 * 报考方式 1：地市报考；2：农行报考
	 */	
  	public void setEnrol_type(Integer enrol_type) {
		this.enrol_type = enrol_type;
  	}
 	/**
	 * 报考方式 1：地市报考；2：农行报考
	 */	 	
  	public Integer getEnrol_type() {
		return enrol_type;
  	}
  	/**
	 * 参照湖北A\B\C\D\X\Y
	 */	 
	public String getExam_batch() {
		return exam_batch;
	}
	/**
	 * 参照湖北A\B\C\D\X\Y
	 */
	public void setExam_batch(String exam_batch) {
		this.exam_batch = exam_batch;
	}
	/**
	 * 考试时间YYYY-MM-DD
	 */
	public LocalDate getExam_date() {
		return exam_date;
	}
	/**
	 * 考试时间YYYY-MM-DD
	 */
	public void setExam_date(LocalDate exam_date) {
		this.exam_date = exam_date;
	}
	/**
	 * 考次 如：201810
	 */
	public String getYear_code() {
		return year_code;
	}
	/**
	 * 考次 如：201810
	 */
	public void setYear_code(String year_code) {
		this.year_code = year_code;
	}
	/**
	 * 缴费单号 缴费之后，产生的单号
	 */	
  	public void setFee_no(String fee_no) {
		this.fee_no = fee_no;
  	}
 	/**
	 * 缴费单号 缴费之后，产生的单号
	 */	 	
  	public String getFee_no() {
		return fee_no;
  	}
	/**
	 * 收费标准 冗余字段，关联课程开考计划表可以查询到
	 */	
  	public void setFee_price(String fee_price) {
		this.fee_price = fee_price;
  	}
 	/**
	 * 收费标准 冗余字段，关联课程开考计划表可以查询到
	 */	 	
  	public String getFee_price() {
		return fee_price;
  	}
	/**
	 * 缴费状态 0：待缴费1:缴费成功2：缴费失败
	 */	
  	public void setFee_status(Integer fee_status) {
		this.fee_status = fee_status;
  	}
 	/**
	 * 缴费状态 0：待缴费1:缴费成功2：缴费失败
	 */	 	
  	public Integer getFee_status() {
		return fee_status;
  	}
	/**
	 * 第一次报考课程标志 主要为助学机构使用；第一次不需要缴费，第二次需要缴费
	 */	
  	public void setFirst_enrol_flag(Integer first_enrol_flag) {
		this.first_enrol_flag = first_enrol_flag;
  	}
 	/**
	 * 第一次报考课程标志 主要为助学机构使用；第一次不需要缴费，第二次需要缴费
	 */	 	
  	public Integer getFirst_enrol_flag() {
		return first_enrol_flag;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 专业代号 冗余字段
	 */	
  	public void setMajor_code(String major_code) {
		this.major_code = major_code;
  	}
 	/**
	 * 专业代号 冗余字段
	 */	 	
  	public String getMajor_code() {
		return major_code;
  	}
	/**
	 * 专业ID 和专业信息表关联
	 */	
  	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
  	}
 	/**
	 * 专业ID 和专业信息表关联
	 */	 	
  	public Integer getMajor_id() {
		return major_id;
  	}
	/**
	 * 姓名 冗余字段
	 */	
  	public void setStd_name(String std_name) {
		this.std_name = std_name;
  	}
 	/**
	 * 姓名 冗余字段
	 */	 	
  	public String getStd_name() {
		return std_name;
  	}
	/**
	 * 考生ID，关联学生注册表
	 */	
  	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
  	}
 	/**
	 * 考生ID，关联学生注册表
	 */	 	
  	public Integer getStd_reg_id() {
		return std_reg_id;
  	}
	/**
	 * 准考证号
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
	/**
	 * 课程ID
	 */	
	public Integer getCourse_id() {
		return course_id;
	}
	/**
	 * 课程ID
	 */	
	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
	}
	/**
	 * 收费人
	 */
	public String getFee_earner() {
		return fee_earner;
	}
	/**
	 * 收费人
	 */
	public void setFee_earner(String fee_earner) {
		this.fee_earner = fee_earner;
	}

	public Integer getEnrol_agent_id() {
		return enrol_agent_id;
	}

	public void setEnrol_agent_id(Integer enrol_agent_id) {
		this.enrol_agent_id = enrol_agent_id;
	}

	public Integer getEnrol_source_id() {
		return enrol_source_id;
	}

	public void setEnrol_source_id(Integer enrol_source_id) {
		this.enrol_source_id = enrol_source_id;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getSpecial_flag() {
		return special_flag;
	}

	public void setSpecial_flag(Integer special_flag) {
		this.special_flag = special_flag;
	}

	public Integer getOrg_id() {
		return org_id;
	}

	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
	}

	public Integer getOptr_id() {
		return optr_id;
	}
	public void setOptr_id(Integer optr_id) {
		this.optr_id = optr_id;
	}


	protected String major_name;
  	protected String course_name;
  	protected String enrol_agent_name;
	protected Integer[] courseIds;// 考生选择的课程ID
	protected Integer batch; //批次
	protected Integer num; //数量
	protected Integer common_num; //统考数量
	protected Integer special_num; //特殊课程数量
	protected Integer personal_num; //个人报考科次
	protected Integer college_num; //集体报考科次
	protected Integer person_num; //报考人数
	protected Integer person_p_num; //个人报考人数
	protected Integer college_p_num; //集体报考人数
	protected String full_exam_date;
	protected String cert_no;
	protected String course_full_name;
	protected String major_full_name;
	protected String enrol_date; //报考日期
	protected String have_fee_num; //已缴费科次
	protected String no_fee_num; //未缴费科次
	
	protected Integer have_fee_person;//已缴费人数
	protected Integer no_fee_person;//未缴费人数
	protected Integer net_fee_person; //网上报考已缴费人数
	protected Integer local_fee_person; //现场报考已缴费人数
	protected Integer new_std_num; //新生人数
	protected Integer is_test; //是否测试报考 1 是，0或者空 否 该字段用于报考前测试缴费流程是否正常，完成测试后该报考记录要删除
	protected Integer exam_unit_id;
	protected String room_code; 
	
	protected LocalDateTime bill_time;
	protected Integer bill_total_amount;
	
	protected String examyearmonth;

	public String getExamyearmonth() {
		return examyearmonth;
	}

	public void setExamyearmonth(String examyearmonth) {
		this.examyearmonth = examyearmonth;
	}

	public String getRoom_code() {
		return room_code;
	}

	public void setRoom_code(String room_code) {
		this.room_code = room_code;
	}

	public Integer getExam_unit_id() {
		return exam_unit_id;
	}

	public void setExam_unit_id(Integer exam_unit_id) {
		this.exam_unit_id = exam_unit_id;
	}

	public Integer getBill_total_amount() {
		return bill_total_amount;
	}

	public void setBill_total_amount(Integer bill_total_amount) {
		this.bill_total_amount = bill_total_amount;
	}

	public LocalDateTime getBill_time() {
		return bill_time;
	}

	public void setBill_time(LocalDateTime bill_time) {
		this.bill_time = bill_time;
	}

	public Integer getIs_test() {
		return is_test;
	}
	public void setIs_test(Integer is_test) {
		this.is_test = is_test;
	}
	public Integer[] getCourseIds() {
		return courseIds;
	}

	public void setCourseIds(Integer[] courseIds) {
		this.courseIds = courseIds;
	}
	public String getMajor_name() {
		return major_name;
	}
	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}
	public String getCourse_name() {
		return course_name;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
	public String getEnrol_agent_name() {
		return enrol_agent_name;
	}
	public void setEnrol_agent_name(String enrol_agent_name) {
		this.enrol_agent_name = enrol_agent_name;
	}
	public Integer getBatch() {
		return batch;
	}
	public void setBatch(Integer batch) {
		this.batch = batch;
	}
	public Integer getNum() {
		return num;
	}
	public void setNum(Integer num) {
		this.num = num;
	}
	public Integer getPersonal_num() {
		return personal_num;
	}
	public void setPersonal_num(Integer personal_num) {
		this.personal_num = personal_num;
	}
	public Integer getCollege_num() {
		return college_num;
	}
	public void setCollege_num(Integer college_num) {
		this.college_num = college_num;
	}
	public Integer getPerson_num() {
		return person_num;
	}
	public void setPerson_num(Integer person_num) {
		this.person_num = person_num;
	}
	public Integer getPerson_p_num() {
		return person_p_num;
	}
	public void setPerson_p_num(Integer person_p_num) {
		this.person_p_num = person_p_num;
	}
	public Integer getCollege_p_num() {
		return college_p_num;
	}
	public void setCollege_p_num(Integer college_p_num) {
		this.college_p_num = college_p_num;
	}
	public String getFull_exam_date() {
		return full_exam_date;
	}
	public void setFull_exam_date(String full_exam_date) {
		this.full_exam_date = full_exam_date;
	}
	public Integer getCommon_num() {
		return common_num;
	}
	public void setCommon_num(Integer common_num) {
		this.common_num = common_num;
	}
	public Integer getSpecial_num() {
		return special_num;
	}
	public void setSpecial_num(Integer special_num) {
		this.special_num = special_num;
	}
	public String getCert_no() {
		return cert_no;
	}
	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}
	public String getCourse_full_name() {
		return course_full_name;
	}
	public void setCourse_full_name(String course_full_name) {
		this.course_full_name = course_full_name;
	}
	public String getMajor_full_name() {
		return major_full_name;
	}
	public void setMajor_full_name(String major_full_name) {
		this.major_full_name = major_full_name;
	}
	public String getEnrol_date() {
		return enrol_date;
	}
	public void setEnrol_date(String enrol_date) {
		this.enrol_date = enrol_date;
	}
	public String getHave_fee_num() {
		return have_fee_num;
	}
	public void setHave_fee_num(String have_fee_num) {
		this.have_fee_num = have_fee_num;
	}
	public String getNo_fee_num() {
		return no_fee_num;
	}
	public void setNo_fee_num(String no_fee_num) {
		this.no_fee_num = no_fee_num;
	}
	public Integer getHave_fee_person() {
		return have_fee_person;
	}
	public void setHave_fee_person(Integer have_fee_person) {
		this.have_fee_person = have_fee_person;
	}
	public Integer getNo_fee_person() {
		return no_fee_person;
	}
	public void setNo_fee_person(Integer no_fee_person) {
		this.no_fee_person = no_fee_person;
	}
	public Integer getNet_fee_person() {
		return net_fee_person;
	}
	public void setNet_fee_person(Integer net_fee_person) {
		this.net_fee_person = net_fee_person;
	}
	public Integer getLocal_fee_person() {
		return local_fee_person;
	}
	public void setLocal_fee_person(Integer local_fee_person) {
		this.local_fee_person = local_fee_person;
	}
	public Integer getNew_std_num() {
		return new_std_num;
	}
	public void setNew_std_num(Integer new_std_num) {
		this.new_std_num = new_std_num;
	}
	
	
  	
}
