package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**
 * 考生报考日志表 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-06-28 11:42:13
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "std_enrol_log", keyColumn = "id", sequenceName = "SEQ_std_enrol_log")
public class StdEnrolLog implements Serializable {
	private static final long serialVersionUID = -2371698149347152277L;
  	//操作内容
  	private String content;
  	//报考类型 1：个人报考；2：集体报考
  	private Integer enrol_type;
  	//编号
  	private Integer id;
  	//操作人 登录名+姓名
  	private String operator;
  	//操作时间 精确到时分秒
  	private LocalDateTime oper_time;
  	//操作类型 0：新增：1：修改：2：删除
  	private Integer oper_type;
  	//报考ID 和std_enrol表关联
  	private Integer std_enrol_id;
  	//考生ID 和考生表关联
  	private Integer std_reg_id;
  	//批次码 6位批次码，如：201910
  	private Integer year_code;
  
	/**
	 * 操作内容
	 */	
  	public void setContent(String content) {
		this.content = content;
  	}
 	/**
	 * 操作内容
	 */	 	
  	public String getContent() {
		return content;
  	}
	/**
	 * 报考类型 1：个人报考；2：集体报考
	 */	
  	public void setEnrol_type(Integer enrol_type) {
		this.enrol_type = enrol_type;
  	}
 	/**
	 * 报考类型 1：个人报考；2：集体报考
	 */	 	
  	public Integer getEnrol_type() {
		return enrol_type;
  	}
	/**
	 * 编号
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 编号
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 操作人 登录名+姓名
	 */	
  	public void setOperator(String operator) {
		this.operator = operator;
  	}
 	/**
	 * 操作人 登录名+姓名
	 */	 	
  	public String getOperator() {
		return operator;
  	}
	/**
	 * 操作时间 精确到时分秒
	 */	
  	public void setOper_time(LocalDateTime oper_time) {
		this.oper_time = oper_time;
  	}
 	/**
	 * 操作时间 精确到时分秒
	 */	 	
  	public LocalDateTime getOper_time() {
		return oper_time;
  	}
	/**
	 * 操作类型 0：新增：1：修改：2：删除
	 */	
  	public void setOper_type(Integer oper_type) {
		this.oper_type = oper_type;
  	}
 	/**
	 * 操作类型 0：新增：1：修改：2：删除
	 */	 	
  	public Integer getOper_type() {
		return oper_type;
  	}
	/**
	 * 报考ID 和std_enrol表关联
	 */	
  	public void setStd_enrol_id(Integer std_enrol_id) {
		this.std_enrol_id = std_enrol_id;
  	}
 	/**
	 * 报考ID 和std_enrol表关联
	 */	 	
  	public Integer getStd_enrol_id() {
		return std_enrol_id;
  	}
	/**
	 * 考生ID 和考生表关联
	 */	
  	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
  	}
 	/**
	 * 考生ID 和考生表关联
	 */	 	
  	public Integer getStd_reg_id() {
		return std_reg_id;
  	}
	/**
	 * 批次码 6位批次码，如：201910
	 */	
  	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 批次码 6位批次码，如：201910
	 */	 	
  	public Integer getYear_code() {
		return year_code;
  	}
}