package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 学生和专业对应表 模型.
 * 
 * @author: yangwei
 * @date: 2018-10-17 10:39:13
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "std_major", keyColumn = "id", sequenceName = "seq_std_major")
public class StdMajor implements Serializable {
	private static final long serialVersionUID = 4089501673009073020L;
  	//第一次申请专业标志 借鉴湖北自考系统，第一次申请和毕业申请的专业不同，会有优惠政策
  	private Integer first_apply_flag;
  	//主键
  	private Integer id;
  	//专业代号 冗余字段
  	private String major_code;
  	//专业ID 和专业信息表关联
  	private Integer major_id;
  	//开考院校代号 和机构表关联
  	private String open_shcool_code;
  	//准考证号
  	private String ticket_no;
  	//考生ID
  	private Integer std_reg_id;
  	
  
  
	/**
	 * 第一次申请专业标志 借鉴湖北自考系统，第一次申请和毕业申请的专业不同，会有优惠政策
	 */	
  	public void setFirst_apply_flag(Integer first_apply_flag) {
		this.first_apply_flag = first_apply_flag;
  	}
 	/**
	 * 第一次申请专业标志 借鉴湖北自考系统，第一次申请和毕业申请的专业不同，会有优惠政策
	 */	 	
  	public Integer getFirst_apply_flag() {
		return first_apply_flag;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 专业代号 冗余字段
	 */	
  	public void setMajor_code(String major_code) {
		this.major_code = major_code;
  	}
 	/**
	 * 专业代号 冗余字段
	 */	 	
  	public String getMajor_code() {
		return major_code;
  	}
	/**
	 * 专业ID 和专业信息表关联
	 */	
  	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
  	}
 	/**
	 * 专业ID 和专业信息表关联
	 */	 	
  	public Integer getMajor_id() {
		return major_id;
  	}
	/**
	 * 开考院校代号 和机构表关联
	 */	
  	public void setOpen_shcool_code(String open_shcool_code) {
		this.open_shcool_code = open_shcool_code;
  	}
 	/**
	 * 开考院校代号 和机构表关联
	 */	 	
  	public String getOpen_shcool_code() {
		return open_shcool_code;
  	}
	/**
	 * 准考证号
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
  	/**
	 * 考生ID
	 */	
	public Integer getStd_reg_id() {
		return std_reg_id;
	}
	/**
	 * 考生ID
	 */	
	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
	}
	
	protected String std_name;
  	protected String cert_no;
  	protected String major_name;
  	protected String full_name; //组合名称
  	
	public String getStd_name() {
		return std_name;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}
	public String getCert_no() {
		return cert_no;
	}
	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}
	public String getMajor_name() {
		return major_name;
	}
	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}
	public String getFull_name() {
		return full_name;
	}
	public void setFull_name(String full_name) {
		this.full_name = full_name;
	}
	
	
	
}