package cn.hmsoft.ses.data.model.std;

import cn.hmsoft.jdbc.entity.Table;

import java.io.Serializable;

/**
 * 
 * 
 * @author: yangwei
 * @date: 2018-10-16 10:23:05
 * @version: 1.0
 * @email: xxxx@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "std_reg_info", keyColumn = "id", sequenceName = "SEQ_std_reg_info")
public class StdRegInfo implements Serializable {
	private static final long serialVersionUID = 8437701093601128489L;
  	//助学班属性 字典表关联，针对助学类考生
  	private Integer assist_id;
  	//所属地市 字典表关联，针对助学类考生
  	private String belong_city_id;
  	//身份证号
  	protected String cert_no;
  	//报名县市 字典表关联，针对助学类考生
  	private String enrol_county_city;
  	//报名号
  	private String enrol_no;
  	//报名点 字典表关联，针对助学类考生
  	private String enrol_place;
  	//主键ID
  	private Integer id;
  	//学习形式 如：本科衔接教育等
  	private Integer learn_form;
  	//报考专业
  	private Integer major_id;
  	//专业代号 
  	private String major_code;
  	//老考号1 13位准考证的考生
  	private String old_ticket_no1;
  	//老考号2 非13位准考证的考生
  	private String old_ticket_no2;
  	//政治面貌 和字典表关联
  	private String political_status;
  	//备注
  	private String remark;
  	//主考院校代码 字典表关联，针对助学类考生
  	private Integer school_id;
  	//住址
  	protected String std_address;
  	//出生日期
  	private String std_birth;
  	//籍贯
  	private String std_birth_place;
  	//学历
  	private Integer std_edu;
  	//邮件
  	protected String std_email;
  	//英文名
  	private String std_eng_name;
  	//户籍 户籍代号，和字典表关联
  	private String std_family_reg;
  	//健康状况
  	private Integer std_healthy;
  	//手机号码
  	protected String std_mobile;
  	//姓名
  	private String std_name;
  	//民族
  	private Integer std_nation;
  	//职业
  	private String std_occupation;
  	//密码 MD5加密
  	private String std_pass;
  	//邮编
  	private String std_postcode;
  	//性别
  	private String std_sex;
  	//考生来源 社会考生和助学类考生(助学班)
  	private Integer std_source;
  	//准考证号
  	private String ticket_no;
  	//考区ID，社会学生必填
  	private Integer exam_area_id;
  	
  	private String photo_url;
	//专科毕业证号
  	private String junior_no;
  	//本科毕业证号
  	private String undergradu_no;
  	//注册状态 0:新注册 1 已完善
  	private Integer status;
  	
  	private String reg_time;
  	
  	private String exam_time_id;
	private Integer is_new_stu;
  	private Integer cert_type;
  	
  	private String std_yhkh;//银行卡号
  	private String std_dh;//银行卡号
  	private Integer old_major_id;//考生旧专业
  	
  	private Integer cert_no_must_update;
  	
  	protected Integer isProvince;
  	protected Integer isCanEdit;
  	
  	protected String asso_status;
  	protected String question;
  	protected String answer;
  	
  	
  	
  	protected String bindphone;
  	protected String bind_email;
  	private String std_city;
  	private String std_county;
  	// 身份证认证是否通过，1表示 通过0或者其他表示未通过
  	private Integer is_identfiy;
  	
  	
  	//文件服务器照片路径
  	private String photo_path;
  	//文件服务器照片ID
  	private String photo_id;
  	
    //身份证文件服务器照片路径
  	private String idcard_photo_path;
  	//身份证文件服务器照片ID
  	private String idcard_photo_id;
  	// 照片是否合规
  	private String photo_compliance;
  	private String is_certification;
  	
  	private String cert_no_en;
   	private String bindphone_en;
   	private String std_mobile_en;
   	private String bind_email_en;
   	private String std_email_en;
   	private String std_address_en;


	private Integer certification;
	
	private Integer join_school_id;
	
	protected String join_school_name;
	
	// 导入顺序 按、批次、主考学校从1排序到N
	private Integer import_order;
	
	// 省（市、自治区）
	private String province;
	// 市
	private String city;
	// 区（县）
	private String county;
	// 信息采集年度码
	private Integer year_code;
	// 当前批次
	protected Integer current_year_code;
	
	protected String ks_address;
	
	public String getKs_address() {
		return ks_address;
	}

	public void setKs_address(String ks_address) {
		this.ks_address = ks_address;
	}

	public Integer getCurrent_year_code() {
		return current_year_code;
	}

	public void setCurrent_year_code(Integer current_year_code) {
		this.current_year_code = current_year_code;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getCounty() {
		return county;
	}

	public void setCounty(String county) {
		this.county = county;
	}

	public Integer getYear_code() {
		return year_code;
	}

	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}
	
	
	public String getJoin_school_name() {
		return join_school_name;
	}

	public void setJoin_school_name(String join_school_name) {
		this.join_school_name = join_school_name;
	}

	public Integer getImport_order() {
		return import_order;
	}

	public void setImport_order(Integer import_order) {
		this.import_order = import_order;
	}

	public Integer getJoin_school_id() {
		return join_school_id;
	}

	public void setJoin_school_id(Integer join_school_id) {
		this.join_school_id = join_school_id;
	}

	public Integer getCertification() {
		return certification;
	}

	public void setCertification(Integer certification) {
		this.certification = certification;
	}

	public String getCert_no_en() {
		return cert_no_en;
	}
	public void setCert_no_en(String cert_no_en) {
		this.cert_no_en = cert_no_en;
	}
	public String getBindphone_en() {
		return bindphone_en;
	}
	public void setBindphone_en(String bindphone_en) {
		this.bindphone_en = bindphone_en;
	}
	public String getStd_mobile_en() {
		return std_mobile_en;
	}
	public void setStd_mobile_en(String std_mobile_en) {
		this.std_mobile_en = std_mobile_en;
	}
	public String getBind_email_en() {
		return bind_email_en;
	}
	public void setBind_email_en(String bind_email_en) {
		this.bind_email_en = bind_email_en;
	}
	public String getStd_email_en() {
		return std_email_en;
	}
	public void setStd_email_en(String std_email_en) {
		this.std_email_en = std_email_en;
	}
	public String getStd_address_en() {
		return std_address_en;
	}
	public void setStd_address_en(String std_address_en) {
		this.std_address_en = std_address_en;
	}
  	
  	
	public String getIs_certification() {
		return is_certification;
	}
	public void setIs_certification(String is_certification) {
		this.is_certification = is_certification;
	}
	
	public String getPhoto_compliance() {
		return photo_compliance;
	}
	public void setPhoto_compliance(String photo_compliance) {
		this.photo_compliance = photo_compliance;
	}
	public String getIdcard_photo_path() {
		return idcard_photo_path;
	}
	public void setIdcard_photo_path(String idcard_photo_path) {
		this.idcard_photo_path = idcard_photo_path;
	}
	public String getIdcard_photo_id() {
		return idcard_photo_id;
	}
	public void setIdcard_photo_id(String idcard_photo_id) {
		this.idcard_photo_id = idcard_photo_id;
	}
	public String getPhoto_path() {
		return photo_path;
	}
	public void setPhoto_path(String photo_path) {
		this.photo_path = photo_path;
	}
	public String getPhoto_id() {
		return photo_id;
	}
	public void setPhoto_id(String photo_id) {
		this.photo_id = photo_id;
	}
	public Integer getIs_identfiy() {
		return is_identfiy;
	}
	public void setIs_identfiy(Integer is_identfiy) {
		this.is_identfiy = is_identfiy;
	}
	public String getStd_city() {
		return std_city;
	}
	public void setStd_city(String std_city) {
		this.std_city = std_city;
	}
	public String getStd_county() {
		return std_county;
	}
	public void setStd_county(String std_county) {
		this.std_county = std_county;
	}
	public String getBind_email() {
		return bind_email;
	}
	public void setBind_email(String bind_email) {
		this.bind_email = bind_email;
	}
	public String getBindphone() {
		return bindphone;
	}
	public void setBindphone(String bindphone) {
		this.bindphone = bindphone;
	}
	
	public String getAnswer() {
		return answer;
	}
	public void setAnswer(String answer) {
		this.answer = answer;
	}
	public String getQuestion() {
		return question;
	}
	public void setQuestion(String question) {
		this.question = question;
	}
	public String getAsso_status() {
		return asso_status;
	}
	public void setAsso_status(String asso_status) {
		this.asso_status = asso_status;
	}
	public Integer getIsCanEdit() {
		return isCanEdit;
	}
	public void setIsCanEdit(Integer isCanEdit) {
		this.isCanEdit = isCanEdit;
	}
	public Integer getIsProvince() {
		return isProvince;
	}
	public void setIsProvince(Integer isProvince) {
		this.isProvince = isProvince;
	}



  	
	/**
	 * 助学班属性 字典表关联，针对助学类考生
	 */	
  	public void setAssist_id(Integer assist_id) {
		this.assist_id = assist_id;
  	}
 	/**
	 * 助学班属性 字典表关联，针对助学类考生
	 */	 	
  	public Integer getAssist_id() {
		return assist_id;
  	}
	/**
	 * 所属地市 字典表关联，针对助学类考生
	 */	
  	public void setBelong_city_id(String belong_city_id) {
		this.belong_city_id = belong_city_id;
  	}
 	/**
	 * 所属地市 字典表关联，针对助学类考生
	 */	 	
  	public String getBelong_city_id() {
		return belong_city_id;
  	}
	/**
	 * 身份证号
	 */	
  	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
  	}
 	/**
	 * 身份证号
	 */	 	
  	public String getCert_no() {
		return cert_no;
  	}
	/**
	 * 报名县市 字典表关联，针对助学类考生
	 */	
  	public void setEnrol_county_city(String enrol_county_city) {
		this.enrol_county_city = enrol_county_city;
  	}
 	/**
	 * 报名县市 字典表关联，针对助学类考生
	 */	 	
  	public String getEnrol_county_city() {
		return enrol_county_city;
  	}
	/**
	 * 报名号
	 */	
  	public void setEnrol_no(String enrol_no) {
		this.enrol_no = enrol_no;
  	}
 	/**
	 * 报名号
	 */	 	
  	public String getEnrol_no() {
		return enrol_no;
  	}
	/**
	 * 报名点 字典表关联，针对助学类考生
	 */	
  	public void setEnrol_place(String enrol_place) {
		this.enrol_place = enrol_place;
  	}
 	/**
	 * 报名点 字典表关联，针对助学类考生
	 */	 	
  	public String getEnrol_place() {
		return enrol_place;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 学习形式 如：本科衔接教育等
	 */	
  	public void setLearn_form(Integer learn_form) {
		this.learn_form = learn_form;
  	}
 	/**
	 * 学习形式 如：本科衔接教育等
	 */	 	
  	public Integer getLearn_form() {
		return learn_form;
  	}
	/**
	 * 报考专业
	 */	
  	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
  	}
 	/**
	 * 报考专业
	 */	 	
  	public Integer getMajor_id() {
		return major_id;
  	}
  	/**
	 * 专业代码
	 */	 
	public String getMajor_code() {
		return major_code;
	}
	/**
	 * 专业代码
	 */	 
	public void setMajor_code(String major_code) {
		this.major_code = major_code;
	}
  	
	/**
	 * 老考号1 13位准考证的考生
	 */	
  	public void setOld_ticket_no1(String old_ticket_no1) {
		this.old_ticket_no1 = old_ticket_no1;
  	}
 	/**
	 * 老考号1 13位准考证的考生
	 */	 	
  	public String getOld_ticket_no1() {
		return old_ticket_no1;
  	}
	/**
	 * 老考号2 非13位准考证的考生
	 */	
  	public void setOld_ticket_no2(String old_ticket_no2) {
		this.old_ticket_no2 = old_ticket_no2;
  	}
 	/**
	 * 老考号2 非13位准考证的考生
	 */	 	
  	public String getOld_ticket_no2() {
		return old_ticket_no2;
  	}
	/**
	 * 政治面貌 和字典表关联
	 */	
  	public void setPolitical_status(String political_status) {
		this.political_status = political_status;
  	}
 	/**
	 * 政治面貌 和字典表关联
	 */	 	
  	public String getPolitical_status() {
		return political_status;
  	}
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 主考院校代码 字典表关联，针对助学类考生
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 主考院校代码 字典表关联，针对助学类考生
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
	/**
	 * 住址
	 */	
  	public void setStd_address(String std_address) {
		this.std_address = std_address;
  	}
 	/**
	 * 住址
	 */	 	
  	public String getStd_address() {
		return std_address;
  	}
	/**
	 * 出生日期
	 */	
  	public void setStd_birth(String std_birth) {
		this.std_birth = std_birth;
  	}
 	/**
	 * 出生日期
	 */	 	
  	public String getStd_birth() {
		return std_birth;
  	}
	/**
	 * 籍贯
	 */	
  	public void setStd_birth_place(String std_birth_place) {
		this.std_birth_place = std_birth_place;
  	}
 	/**
	 * 籍贯
	 */	 	
  	public String getStd_birth_place() {
		return std_birth_place;
  	}
	/**
	 * 学历
	 */	
  	public void setStd_edu(Integer std_edu) {
		this.std_edu = std_edu;
  	}
 	/**
	 * 学历
	 */	 	
  	public Integer getStd_edu() {
		return std_edu;
  	}
	/**
	 * 邮件
	 */	
  	public void setStd_email(String std_email) {
		this.std_email = std_email;
  	}
 	/**
	 * 邮件
	 */	 	
  	public String getStd_email() {
		return std_email;
  	}
	/**
	 * 英文名
	 */	
  	public void setStd_eng_name(String std_eng_name) {
		this.std_eng_name = std_eng_name;
  	}
 	/**
	 * 英文名
	 */	 	
  	public String getStd_eng_name() {
		return std_eng_name;
  	}

  	
  	
	/**
	 * 健康状况
	 */	
  	public void setStd_healthy(Integer std_healthy) {
		this.std_healthy = std_healthy;
  	}
	/**
	 * 户籍 户籍代号，和字典表关联
	 */	
 	public String getStd_family_reg() {
		return std_family_reg;
	}
	public void setStd_family_reg(String std_family_reg) {
		this.std_family_reg = std_family_reg;
	}
	/**
	 * 健康状况
	 */	 	
  	public Integer getStd_healthy() {
		return std_healthy;
  	}
	/**
	 * 手机号码
	 */	
  	public void setStd_mobile(String std_mobile) {
		this.std_mobile = std_mobile;
  	}
 	/**
	 * 手机号码
	 */	 	
  	public String getStd_mobile() {
		return std_mobile;
  	}
	/**
	 * 姓名
	 */	
  	public void setStd_name(String std_name) {
		this.std_name = std_name;
  	}
 	/**
	 * 姓名
	 */	 	
  	public String getStd_name() {
		return std_name;
  	}
	/**
	 * 民族
	 */	
  	public void setStd_nation(Integer std_nation) {
		this.std_nation = std_nation;
  	}
 	/**
	 * 民族
	 */	 	
  	public Integer getStd_nation() {
		return std_nation;
  	}
	/**
	 * 职业
	 */	
  	public void setStd_occupation(String std_occupation) {
		this.std_occupation = std_occupation;
  	}
 	/**
	 * 职业
	 */	 	
  	public String getStd_occupation() {
		return std_occupation;
  	}
	/**
	 * 密码 MD5加密
	 */	
  	public void setStd_pass(String std_pass) {
		this.std_pass = std_pass;
  	}
 	/**
	 * 密码 MD5加密
	 */	 	
  	public String getStd_pass() {
		return std_pass;
  	}
	/**
	 * 邮编
	 */	
  	public void setStd_postcode(String std_postcode) {
		this.std_postcode = std_postcode;
  	}
 	/**
	 * 邮编
	 */	 	
  	public String getStd_postcode() {
		return std_postcode;
  	}
	/**
	 * 性别
	 */	
  	public void setStd_sex(String std_sex) {
		this.std_sex = std_sex;
  	}
 	/**
	 * 性别
	 */	 	
  	public String getStd_sex() {
		return std_sex;
  	}
	/**
	 * 考生来源 社会考生和助学类考生(助学班)
	 */	
  	public void setStd_source(Integer std_source) {
		this.std_source = std_source;
  	}
 	/**
	 * 考生来源 社会考生和助学类考生(助学班)
	 */	 	
  	public Integer getStd_source() {
		return std_source;
  	}
	/**
	 * 准考证号
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
  	
	public Integer getExam_area_id() {
		return exam_area_id;
	}
	public void setExam_area_id(Integer exam_area_id) {
		this.exam_area_id = exam_area_id;
	}
	/**
	 * 专科毕业证号
	 */	 
  	public String getJunior_no() {
		return junior_no;
	}
  	/**
	 * 专科毕业证号
	 */	 
	public void setJunior_no(String junior_no) {
		this.junior_no = junior_no;
	}
	/**
	 * 本科毕业证号
	 */	 
	public String getUndergradu_no() {
		return undergradu_no;
	}
	/**
	 * 本科毕业证号
	 */	 
	public void setUndergradu_no(String undergradu_no) {
		this.undergradu_no = undergradu_no;
	}

	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public String getExam_time_id() {
		return exam_time_id;
	}
	public void setExam_time_id(String exam_time_id) {
		this.exam_time_id = exam_time_id;
	}
	
	public Integer getIs_new_stu() {
		return is_new_stu;
	}
	public void setIs_new_stu(Integer is_new_stu) {
		this.is_new_stu = is_new_stu;
	}
	
	public Integer getOld_major_id() {
		return old_major_id;
	}
	public void setOld_major_id(Integer old_major_id) {
		this.old_major_id = old_major_id;
	}



	//std_major 关系表属性 start
	//开考院校代号 和机构表关联
  	protected String open_shcool_code;
  	
  	protected String belong_city;
  	//std_major 关系表属性 end
  	
  	protected String school_name;//主考院校名称
  	protected String major_level;//专业级别 专科  本科
	protected String major_name;
	protected Integer hz_status;
  	
	public String getOpen_shcool_code() {
		return open_shcool_code;
	}
	public void setOpen_shcool_code(String open_shcool_code) {
		this.open_shcool_code = open_shcool_code;
	}
	public String getPhoto_url() {
		return photo_url;
	}
	public void setPhoto_url(String photo_url) {
		this.photo_url = photo_url;
	}
	public String getBelong_city() {
		return belong_city;
	}
	public void setBelong_city(String belong_city) {
		this.belong_city = belong_city;
	}
	public String getReg_time() {
		return reg_time;
	}
	public void setReg_time(String reg_time) {
		this.reg_time = reg_time;
	}
	public String getSchool_name() {
		return school_name;
	}
	public void setSchool_name(String school_name) {
		this.school_name = school_name;
	}
	public String getMajor_level() {
		return major_level;
	}
	public void setMajor_level(String major_level) {
		this.major_level = major_level;
	}
	public String getMajor_name() {
		return major_name;
	}
	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}
	public Integer getHz_status() {
		return hz_status;
	}
	public void setHz_status(Integer hz_status) {
		this.hz_status = hz_status;
	}
	public Integer getCert_type() {
		return cert_type;
	}
	public void setCert_type(Integer cert_type) {
		this.cert_type = cert_type;
	}
	public String getStd_yhkh() {
		return std_yhkh;
	}
	public void setStd_yhkh(String std_yhkh) {
		this.std_yhkh = std_yhkh;
	}
	public String getStd_dh() {
		return std_dh;
	}
	public void setStd_dh(String std_dh) {
		this.std_dh = std_dh;
	}
	public Integer getCert_no_must_update() {
		return cert_no_must_update;
	}
	public void setCert_no_must_update(Integer cert_no_must_update) {
		this.cert_no_must_update = cert_no_must_update;
	}
	
	
  	
}
