package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**
 * 考生操作日志表 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-07-02 15:52:07
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "std_reg_info_log", keyColumn = "id", sequenceName = "SEQ_std_reg_info_log")
public class StdRegInfoLog implements Serializable {
	private static final long serialVersionUID = 3820989354481055444L;
  	//助学班属性
  	private Integer assist_id;
  	//所属地市
  	private String belong_city_id;
  	//身份证号
  	protected String cert_no;
  	//报名县市
  	private String enrol_county_city;
  	//报名号
  	private String enrol_no;
  	//报名点
  	private String enrol_place;
  	//考区ID
  	private Integer exam_area_id;
  	//注册批次
  	private String exam_time_id;
  	//
  	private Integer id;
  	//新旧考生：只针对新旧专业衔接，0：老考生，1：新考生
  	private Integer is_new_stu;
  	//专科毕业证
  	private String junior_no;
  	//学习形式
  	private Integer learn_form;
  	//报考专业代码
  	private String major_code;
  	//报考专业
  	private Integer major_id;
  	//老考号1
  	private String old_ticket_no1;
  	//老考号2
  	private String old_ticket_no2;
  	//操作人：操作账号+登录人姓名
  	private String operator;
  	//操作时间，精确到时分秒
  	private LocalDateTime oper_time;
  	//临时字段，数据插入后，删除该字段
  	private String oper_time_temp;
  	//操作类型：0：新增1：修改、2：删除3：确认4：操作失败
  	private Integer oper_type;
  	//考生头像地址
  	private String photo_url;
  	//政治面貌
  	private String political_status;
  	//注册时间
  	private String reg_time;
  	//备注
  	private String remark;
  	//主考学校code
  	private String school_code;
  	//主考院校ID
  	private Integer school_id;
  	//提交状态
  	private Integer status;
  	//住址
  	protected String std_address;
  	//出生日期
  	private String std_birth;
  	//籍贯
  	private String std_birth_place;
  	//学历
  	private String std_edu;
  	//邮件
  	protected String std_email;
  	//英文名
  	private String std_eng_name;
  	//户籍
  	private String std_family_reg;
  	//健康状况
  	private String std_healthy;
  	//手机号码
  	protected String std_mobile;
  	//姓名
  	private String std_name;
  	//民族
  	private String std_nation;
  	//职业
  	private String std_occupation;
  	//密码
  	private String std_pass;
  	//邮编
  	private String std_postcode;
  	//性别
  	private String std_sex;
  	//考生来源：社会考生和助学类考生(助学班)
  	private Integer std_source;
  	//准考证号
  	private String ticket_no;
  	//本科毕业证
  	private String undergradu_no;
  	
  	protected String bindphone;
  	
  	protected String bind_email;
  	
  	// 照片是否合规
   	private String photo_compliance;
   	
   	// 身份证认证是否通过，1表示 通过0或者其他表示未通过
   	private Integer is_identfiy;
   	
   	private String is_certification;
   	
   	private String cert_no_en;
   	private String bindphone_en;
   	private String std_mobile_en;
   	private String bind_email_en;
   	private String std_email_en;
   	private String std_address_en;
   	
	public String getCert_no_en() {
		return cert_no_en;
	}
	public void setCert_no_en(String cert_no_en) {
		this.cert_no_en = cert_no_en;
	}
	public String getBindphone_en() {
		return bindphone_en;
	}
	public void setBindphone_en(String bindphone_en) {
		this.bindphone_en = bindphone_en;
	}
	public String getStd_mobile_en() {
		return std_mobile_en;
	}
	public void setStd_mobile_en(String std_mobile_en) {
		this.std_mobile_en = std_mobile_en;
	}
	public String getBind_email_en() {
		return bind_email_en;
	}
	public void setBind_email_en(String bind_email_en) {
		this.bind_email_en = bind_email_en;
	}
	public String getStd_email_en() {
		return std_email_en;
	}
	public void setStd_email_en(String std_email_en) {
		this.std_email_en = std_email_en;
	}
	public String getStd_address_en() {
		return std_address_en;
	}
	public void setStd_address_en(String std_address_en) {
		this.std_address_en = std_address_en;
	}
	public String getIs_certification() {
		return is_certification;
	}
	public void setIs_certification(String is_certification) {
		this.is_certification = is_certification;
	}
  	
	public Integer getIs_identfiy() {
		return is_identfiy;
	}
	public void setIs_identfiy(Integer is_identfiy) {
		this.is_identfiy = is_identfiy;
	}
  
	public String getPhoto_compliance() {
		return photo_compliance;
	}
	public void setPhoto_compliance(String photo_compliance) {
		this.photo_compliance = photo_compliance;
	}
	public String getBindphone() {
		return bindphone;
	}
	public void setBindphone(String bindphone) {
		this.bindphone = bindphone;
	}
	public String getBind_email() {
		return bind_email;
	}
	public void setBind_email(String bind_email) {
		this.bind_email = bind_email;
	}
	/**
	 * 助学班属性
	 */	
  	public void setAssist_id(Integer assist_id) {
		this.assist_id = assist_id;
  	}
 	/**
	 * 助学班属性
	 */	 	
  	public Integer getAssist_id() {
		return assist_id;
  	}
	/**
	 * 所属地市
	 */	
  	public void setBelong_city_id(String belong_city_id) {
		this.belong_city_id = belong_city_id;
  	}
 	/**
	 * 所属地市
	 */	 	
  	public String getBelong_city_id() {
		return belong_city_id;
  	}
	/**
	 * 身份证号
	 */	
  	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
  	}
 	/**
	 * 身份证号
	 */	 	
  	public String getCert_no() {
		return cert_no;
  	}
	/**
	 * 报名县市
	 */	
  	public void setEnrol_county_city(String enrol_county_city) {
		this.enrol_county_city = enrol_county_city;
  	}
 	/**
	 * 报名县市
	 */	 	
  	public String getEnrol_county_city() {
		return enrol_county_city;
  	}
	/**
	 * 报名号
	 */	
  	public void setEnrol_no(String enrol_no) {
		this.enrol_no = enrol_no;
  	}
 	/**
	 * 报名号
	 */	 	
  	public String getEnrol_no() {
		return enrol_no;
  	}
	/**
	 * 报名点
	 */	
  	public void setEnrol_place(String enrol_place) {
		this.enrol_place = enrol_place;
  	}
 	/**
	 * 报名点
	 */	 	
  	public String getEnrol_place() {
		return enrol_place;
  	}
	/**
	 * 考区ID
	 */	
  	public void setExam_area_id(Integer exam_area_id) {
		this.exam_area_id = exam_area_id;
  	}
 	/**
	 * 考区ID
	 */	 	
  	public Integer getExam_area_id() {
		return exam_area_id;
  	}
	/**
	 * 注册批次
	 */	
  	public void setExam_time_id(String exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 注册批次
	 */	 	
  	public String getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 新旧考生：只针对新旧专业衔接，0：老考生，1：新考生
	 */	
  	public void setIs_new_stu(Integer is_new_stu) {
		this.is_new_stu = is_new_stu;
  	}
 	/**
	 * 新旧考生：只针对新旧专业衔接，0：老考生，1：新考生
	 */	 	
  	public Integer getIs_new_stu() {
		return is_new_stu;
  	}
	/**
	 * 专科毕业证
	 */	
  	public void setJunior_no(String junior_no) {
		this.junior_no = junior_no;
  	}
 	/**
	 * 专科毕业证
	 */	 	
  	public String getJunior_no() {
		return junior_no;
  	}
	/**
	 * 学习形式
	 */	
  	public void setLearn_form(Integer learn_form) {
		this.learn_form = learn_form;
  	}
 	/**
	 * 学习形式
	 */	 	
  	public Integer getLearn_form() {
		return learn_form;
  	}
	/**
	 * 报考专业代码
	 */	
  	public void setMajor_code(String major_code) {
		this.major_code = major_code;
  	}
 	/**
	 * 报考专业代码
	 */	 	
  	public String getMajor_code() {
		return major_code;
  	}
	/**
	 * 报考专业
	 */	
  	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
  	}
 	/**
	 * 报考专业
	 */	 	
  	public Integer getMajor_id() {
		return major_id;
  	}
	/**
	 * 老考号1
	 */	
  	public void setOld_ticket_no1(String old_ticket_no1) {
		this.old_ticket_no1 = old_ticket_no1;
  	}
 	/**
	 * 老考号1
	 */	 	
  	public String getOld_ticket_no1() {
		return old_ticket_no1;
  	}
	/**
	 * 老考号2
	 */	
  	public void setOld_ticket_no2(String old_ticket_no2) {
		this.old_ticket_no2 = old_ticket_no2;
  	}
 	/**
	 * 老考号2
	 */	 	
  	public String getOld_ticket_no2() {
		return old_ticket_no2;
  	}
	/**
	 * 操作人：操作账号+登录人姓名
	 */	
  	public void setOperator(String operator) {
		this.operator = operator;
  	}
 	/**
	 * 操作人：操作账号+登录人姓名
	 */	 	
  	public String getOperator() {
		return operator;
  	}
	/**
	 * 操作时间，精确到时分秒
	 */	
  	public void setOper_time(LocalDateTime oper_time) {
		this.oper_time = oper_time;
  	}
 	/**
	 * 操作时间，精确到时分秒
	 */	 	
  	public LocalDateTime getOper_time() {
		return oper_time;
  	}
	/**
	 * 临时字段，数据插入后，删除该字段
	 */	
  	public void setOper_time_temp(String oper_time_temp) {
		this.oper_time_temp = oper_time_temp;
  	}
 	/**
	 * 临时字段，数据插入后，删除该字段
	 */	 	
  	public String getOper_time_temp() {
		return oper_time_temp;
  	}
	/**
	 * 操作类型：0：新增1：修改、2：删除3：确认4：操作失败
	 */	
  	public void setOper_type(Integer oper_type) {
		this.oper_type = oper_type;
  	}
 	/**
	 * 操作类型：0：新增1：修改、2：删除3：确认4：操作失败
	 */	 	
  	public Integer getOper_type() {
		return oper_type;
  	}
	/**
	 * 考生头像地址
	 */	
  	public void setPhoto_url(String photo_url) {
		this.photo_url = photo_url;
  	}
 	/**
	 * 考生头像地址
	 */	 	
  	public String getPhoto_url() {
		return photo_url;
  	}
	/**
	 * 政治面貌
	 */	
  	public void setPolitical_status(String political_status) {
		this.political_status = political_status;
  	}
 	/**
	 * 政治面貌
	 */	 	
  	public String getPolitical_status() {
		return political_status;
  	}
	/**
	 * 注册时间
	 */	
  	public void setReg_time(String reg_time) {
		this.reg_time = reg_time;
  	}
 	/**
	 * 注册时间
	 */	 	
  	public String getReg_time() {
		return reg_time;
  	}
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 主考学校code
	 */	
  	public void setSchool_code(String school_code) {
		this.school_code = school_code;
  	}
 	/**
	 * 主考学校code
	 */	 	
  	public String getSchool_code() {
		return school_code;
  	}
	/**
	 * 主考院校ID
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 主考院校ID
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
	/**
	 * 提交状态
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 提交状态
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 住址
	 */	
  	public void setStd_address(String std_address) {
		this.std_address = std_address;
  	}
 	/**
	 * 住址
	 */	 	
  	public String getStd_address() {
		return std_address;
  	}
	/**
	 * 出生日期
	 */	
  	public void setStd_birth(String std_birth) {
		this.std_birth = std_birth;
  	}
 	/**
	 * 出生日期
	 */	 	
  	public String getStd_birth() {
		return std_birth;
  	}
	/**
	 * 籍贯
	 */	
  	public void setStd_birth_place(String std_birth_place) {
		this.std_birth_place = std_birth_place;
  	}
 	/**
	 * 籍贯
	 */	 	
  	public String getStd_birth_place() {
		return std_birth_place;
  	}
	/**
	 * 学历
	 */	
  	public void setStd_edu(String std_edu) {
		this.std_edu = std_edu;
  	}
 	/**
	 * 学历
	 */	 	
  	public String getStd_edu() {
		return std_edu;
  	}
	/**
	 * 邮件
	 */	
  	public void setStd_email(String std_email) {
		this.std_email = std_email;
  	}
 	/**
	 * 邮件
	 */	 	
  	public String getStd_email() {
		return std_email;
  	}
	/**
	 * 英文名
	 */	
  	public void setStd_eng_name(String std_eng_name) {
		this.std_eng_name = std_eng_name;
  	}
 	/**
	 * 英文名
	 */	 	
  	public String getStd_eng_name() {
		return std_eng_name;
  	}
	/**
	 * 户籍
	 */	
  	public void setStd_family_reg(String std_family_reg) {
		this.std_family_reg = std_family_reg;
  	}
 	/**
	 * 户籍
	 */	 	
  	public String getStd_family_reg() {
		return std_family_reg;
  	}
	/**
	 * 健康状况
	 */	
  	public void setStd_healthy(String std_healthy) {
		this.std_healthy = std_healthy;
  	}
 	/**
	 * 健康状况
	 */	 	
  	public String getStd_healthy() {
		return std_healthy;
  	}
	/**
	 * 手机号码
	 */	
  	public void setStd_mobile(String std_mobile) {
		this.std_mobile = std_mobile;
  	}
 	/**
	 * 手机号码
	 */	 	
  	public String getStd_mobile() {
		return std_mobile;
  	}
	/**
	 * 姓名
	 */	
  	public void setStd_name(String std_name) {
		this.std_name = std_name;
  	}
 	/**
	 * 姓名
	 */	 	
  	public String getStd_name() {
		return std_name;
  	}
	/**
	 * 民族
	 */	
  	public void setStd_nation(String std_nation) {
		this.std_nation = std_nation;
  	}
 	/**
	 * 民族
	 */	 	
  	public String getStd_nation() {
		return std_nation;
  	}
	/**
	 * 职业
	 */	
  	public void setStd_occupation(String std_occupation) {
		this.std_occupation = std_occupation;
  	}
 	/**
	 * 职业
	 */	 	
  	public String getStd_occupation() {
		return std_occupation;
  	}
	/**
	 * 密码
	 */	
  	public void setStd_pass(String std_pass) {
		this.std_pass = std_pass;
  	}
 	/**
	 * 密码
	 */	 	
  	public String getStd_pass() {
		return std_pass;
  	}
	/**
	 * 邮编
	 */	
  	public void setStd_postcode(String std_postcode) {
		this.std_postcode = std_postcode;
  	}
 	/**
	 * 邮编
	 */	 	
  	public String getStd_postcode() {
		return std_postcode;
  	}
	/**
	 * 性别
	 */	
  	public void setStd_sex(String std_sex) {
		this.std_sex = std_sex;
  	}
 	/**
	 * 性别
	 */	 	
  	public String getStd_sex() {
		return std_sex;
  	}
	/**
	 * 考生来源：社会考生和助学类考生(助学班)
	 */	
  	public void setStd_source(Integer std_source) {
		this.std_source = std_source;
  	}
 	/**
	 * 考生来源：社会考生和助学类考生(助学班)
	 */	 	
  	public Integer getStd_source() {
		return std_source;
  	}
	/**
	 * 准考证号
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
	/**
	 * 本科毕业证
	 */	
  	public void setUndergradu_no(String undergradu_no) {
		this.undergradu_no = undergradu_no;
  	}
 	/**
	 * 本科毕业证
	 */	 	
  	public String getUndergradu_no() {
		return undergradu_no;
  	}
}