package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 考生成绩表 参考了老系统中及格成绩表--新设计表中包括及格成绩和不及格成绩 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-01-07 16:06:22
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "std_score", keyColumn = "id", sequenceName = "SEQ_std_score")
public class StdScore implements Serializable {
	private static final long serialVersionUID = -9182374010775428271L;
  	//课程代号 课程信息表关联
  	private String course_code;
  	//课程ID
  	private Integer course_id;
  	//考试时间 冗余字段
  	private LocalDateTime exam_date;
  	//主键ID
  	private Integer id;
  	//专业代号
  	private String major_code;
  	//专业ID 和专业信息表关联
  	private Integer major_id;
  	//备注
  	private String remark;
  	//顶替日期 针对课程顶替
  	private LocalDateTime repl_date;
  	//顶替记录ID 和顶替记录表关联
  	private Integer repl_record_id;
  	//成绩 保留2位小数
  	private String score;
  	//成绩来源  1：正常导入、 2：顶替；3：被顶替 4：手工增加   5：免考、6：外省转入、7：已毕业使用、8：成绩废弃
  	private Integer score_source;
  	//状态 0：无效；1：有效
  	private Integer status;
  	//学生ID 和学生信息表关联
  	private Integer std_reg_id;
  	//准考证号 冗余字段
  	private String ticket_no;
  
	/**
	 * 课程代号 课程信息表关联
	 */	
  	public void setCourse_code(String course_code) {
		this.course_code = course_code;
  	}
 	/**
	 * 课程代号 课程信息表关联
	 */	 	
  	public String getCourse_code() {
		return course_code;
  	}
	/**
	 * 课程ID
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 考试时间 冗余字段
	 */	
  	public void setExam_date(LocalDateTime exam_date) {
		this.exam_date = exam_date;
  	}
 	/**
	 * 考试时间 冗余字段
	 */	 	
  	public LocalDateTime getExam_date() {
		return exam_date;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 专业代号
	 */	
  	public void setMajor_code(String major_code) {
		this.major_code = major_code;
  	}
 	/**
	 * 专业代号
	 */	 	
  	public String getMajor_code() {
		return major_code;
  	}
	/**
	 * 专业ID 和专业信息表关联
	 */	
  	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
  	}
 	/**
	 * 专业ID 和专业信息表关联
	 */	 	
  	public Integer getMajor_id() {
		return major_id;
  	}
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 顶替日期 针对课程顶替
	 */	
  	public void setRepl_date(LocalDateTime repl_date) {
		this.repl_date = repl_date;
  	}
 	/**
	 * 顶替日期 针对课程顶替
	 */	 	
  	public LocalDateTime getRepl_date() {
		return repl_date;
  	}
	/**
	 * 顶替记录ID 和顶替记录表关联
	 */	
  	public void setRepl_record_id(Integer repl_record_id) {
		this.repl_record_id = repl_record_id;
  	}
 	/**
	 * 顶替记录ID 和顶替记录表关联
	 */	 	
  	public Integer getRepl_record_id() {
		return repl_record_id;
  	}
	/**
	 * 成绩 保留2位小数
	 */	
  	public void setScore(String score) {
		this.score = score;
  	}
 	/**
	 * 成绩 保留2位小数
	 */	 	
  	public String getScore() {
		return score;
  	}
	/**
	 * 成绩来源  1：正常导入、 2：顶替；3：被顶替 4：手工增加   5：免考、6：外省转入、7：已毕业使用、8：成绩废弃
	 */	
  	public void setScore_source(Integer score_source) {
		this.score_source = score_source;
  	}
 	/**
	 * 成绩来源  1：正常导入、 2：顶替；3：被顶替 4：手工增加   5：免考、6：外省转入、7：已毕业使用、8：成绩废弃
	 */	 	
  	public Integer getScore_source() {
		return score_source;
  	}
	/**
	 * 状态 0：无效；1：有效
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 0：无效；1：有效
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 学生ID 和学生信息表关联
	 */	
  	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
  	}
 	/**
	 * 学生ID 和学生信息表关联
	 */	 	
  	public Integer getStd_reg_id() {
		return std_reg_id;
  	}
	/**
	 * 准考证号 冗余字段
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号 冗余字段
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
  	
  	protected String course_name;//课程名称
  	protected String course_score;//课程学分
  	protected Integer score_id;
  	

	public String getCourse_name() {
		return course_name;
	}

	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}

	public String getCourse_score() {
		return course_score;
	}

	public void setCourse_score(String course_score) {
		this.course_score = course_score;
	}
	public Integer getScore_id() {
		return score_id;
	}
	public void setScore_id(Integer score_id) {
		this.score_id = score_id;
	}
  	
	
}